﻿// 2014 DeathByNukes

// With this shader, the model will be placed in world space at the camera's position then plotted.

Shader "HUD_VisualizeCameraPos" {
Properties {
	_MainTex ("Base (RGB)", 2D) = "white" {}
	_Color ("Tint", Color) = (1,1,1,1)
	_Scale ("Scale", float) = 1
	
	// other things not listed here
}

SubShader {
	Tags {"Queue" = "Overlay+750" }
	// If you aren't using any shaders that ignore the depth buffer you can put the HUD at the very beginning of the queue instead.
	// It always writes the highest Z value so nothing should be able to go through it.
	// This will increase the speed because fragments of the scene under the HUD will never be drawn.
	
	Pass {
		Fog { Mode Off }
		//ZWrite Off
		//Blend SrcAlpha OneMinusSrcAlpha // Alpha
		//AlphaTest Greater 0.01
		Cull Off // back faces
		ZTest Always
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 13 to 13
//   d3d9 - ALU: 13 to 13
//   d3d11 - ALU: 4 to 4, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 4 to 4, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Vector 1 [_WorldSpaceCameraPos]
Vector 2 [_MainTex_ST]
Float 3 [_Scale]
Float 4 [_MinX]
Float 5 [_MinY]
Float 6 [_ScaleX]
Float 7 [_ScaleY]
Float 8 [_OffsX]
Float 9 [_OffsY]
"!!ARBvp1.0
# 13 ALU
PARAM c[10] = { { -1, 1 },
		program.local[1..9] };
TEMP R0;
TEMP R1;
MUL R0.xy, vertex.position.xzzw, c[3].x;
ADD R0.zw, R0.xyxy, c[1].xyxz;
MOV R0.y, c[5].x;
MOV R0.x, c[4];
ADD R1.xy, R0.zwzw, -R0;
MOV R0.z, c[6].x;
MOV R0.w, c[7].x;
MOV R0.y, c[9].x;
MOV R0.x, c[8];
MAD result.position.xy, R1, R0.zwzw, R0;
MOV result.color, vertex.color;
MOV result.position.zw, c[0].xyxy;
MAD result.texcoord[0].xy, vertex.texcoord[0], c[2], c[2].zwzw;
END
# 13 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_MainTex_ST]
Float 2 [_Scale]
Float 3 [_MinX]
Float 4 [_MinY]
Float 5 [_ScaleX]
Float 6 [_ScaleY]
Float 7 [_OffsX]
Float 8 [_OffsY]
"vs_2_0
; 13 ALU
def c9, 0.00000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_texcoord0 v1
dcl_color0 v2
mul r0.xy, v0.xzzw, c2.x
add r0.zw, r0.xyxy, c0.xyxz
mov r0.y, c4.x
mov r0.x, c3
add r1.xy, r0.zwzw, -r0
mov r0.z, c5.x
mov r0.w, c6.x
mov r0.y, c8.x
mov r0.x, c7
mad oPos.xy, r1, r0.zwzw, r0
mov oD0, v2
mov oPos.zw, c9.xyxy
mad oT0.xy, v1, c1, c1.zwzw
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "$Globals" 80 // 76 used size, 10 vars
Vector 16 [_MainTex_ST] 4
Float 48 [_Scale]
Float 52 [_MinX]
Float 56 [_MinY]
Float 60 [_ScaleX]
Float 64 [_ScaleY]
Float 68 [_OffsX]
Float 72 [_OffsY]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
// 9 instructions, 2 temp regs, 0 temp arrays:
// ALU 4 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecednbbciejphmpnjpnpldffadgpaolilbobabaaaaaakiacaaaaadaaaaaa
cmaaaaaajmaaaaaabaabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapafaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaaepfdeheo
gmaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaagfaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaedepemepfcaaklfdeieefcjaabaaaaeaaaabaageaaaaaa
fjaaaaaeegiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaa
fpaaaaadfcbabaaaaaaaaaaafpaaaaaddcbabaaaabaaaaaafpaaaaadpcbabaaa
acaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaa
gfaaaaadpccabaaaacaaaaaagiaaaaacacaaaaaadcaaaaaldcaabaaaaaaaaaaa
igbabaaaaaaaaaaaagiacaaaaaaaaaaaadaaaaaaigiacaaaabaaaaaaaeaaaaaa
aaaaaaajdcaabaaaaaaaaaaaegaabaaaaaaaaaaajgifcaiaebaaaaaaaaaaaaaa
adaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaaaaaaaaadkiacaaaaaaaaaaa
adaaaaaadiaaaaaiccaabaaaabaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaa
aeaaaaaaaaaaaaaidccabaaaaaaaaaaaegaabaaaabaaaaaajgifcaaaaaaaaaaa
aeaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaiadpdcaaaaaldccabaaaabaaaaaaegbabaaaabaaaaaaegiacaaaaaaaaaaa
abaaaaaaogikcaaaaaaaaaaaabaaaaaadgaaaaafpccabaaaacaaaaaaegbobaaa
acaaaaaadoaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "$Globals" 80 // 76 used size, 10 vars
Vector 16 [_MainTex_ST] 4
Float 48 [_Scale]
Float 52 [_MinX]
Float 56 [_MinY]
Float 60 [_ScaleX]
Float 64 [_ScaleY]
Float 68 [_OffsX]
Float 72 [_OffsY]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
// 9 instructions, 2 temp regs, 0 temp arrays:
// ALU 4 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 3 to 3, TEX: 1 to 1
//   d3d9 - ALU: 3 to 3, TEX: 1 to 1
//   d3d11 - ALU: 2 to 2, TEX: 1 to 1, FLOW: 1 to 1
//   d3d11_9x - ALU: 2 to 2, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Color]
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 3 ALU, 1 TEX
PARAM c[1] = { program.local[0] };
TEMP R0;
TEX R0, fragment.texcoord[0], texture[0], 2D;
MUL R0, R0, fragment.color.primary;
MUL result.color, R0, c[0];
END
# 3 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Color]
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 3 ALU, 1 TEX
dcl_2d s0
dcl t0.xy
dcl v0
texld r0, t0, s0
mul r0, r0, v0
mul r0, r0, c0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 80 // 48 used size, 10 vars
Vector 32 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 4 instructions, 1 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedlkpdablbmchnmmmacmfogommneedinhfabaaaaaakaabaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagfaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcmeaaaaaaeaaaaaaa
dbaaaaaafjaaaaaeegiocaaaaaaaaaaaadaaaaaafkaaaaadaagabaaaaaaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaad
pcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacabaaaaaaefaaaaaj
pcaabaaaaaaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegbobaaaacaaaaaadiaaaaai
pccabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaacaaaaaadoaaaaab
"
}

SubProgram "d3d11_9x " {
Keywords { }
ConstBuffer "$Globals" 80 // 48 used size, 10 vars
Vector 32 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 4 instructions, 1 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1
eefiecedgmfpjfbempenoofjjghjoepflpjbmihjabaaaaaaeiacaaaaaeaaaaaa
daaaaaaaneaaaaaakaabaaaabeacaaaaebgpgodjjmaaaaaajmaaaaaaaaacpppp
giaaaaaadeaaaaaaabaaciaaaaaadeaaaaaadeaaabaaceaaaaaadeaaaaaaaaaa
aaaaacaaabaaaaaaaaaaaaaaaaacppppbpaaaaacaaaaaaiaaaaaadlabpaaaaac
aaaaaaiaabaaaplabpaaaaacaaaaaajaaaaiapkaecaaaaadaaaaapiaaaaaoela
aaaioekaafaaaaadaaaaapiaaaaaoeiaabaaoelaafaaaaadaaaacpiaaaaaoeia
aaaaoekaabaaaaacaaaicpiaaaaaoeiappppaaaafdeieefcmeaaaaaaeaaaaaaa
dbaaaaaafjaaaaaeegiocaaaaaaaaaaaadaaaaaafkaaaaadaagabaaaaaaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaad
pcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacabaaaaaaefaaaaaj
pcaabaaaaaaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegbobaaaacaaaaaadiaaaaai
pccabaaaaaaaaaaaegaobaaaaaaaaaaaegiocaaaaaaaaaaaacaaaaaadoaaaaab
ejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadadaaaa
gfaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaaapapaaaafdfgfpfaepfdejfe
ejepeoaafeeffiedepepfceeaaedepemepfcaaklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklkl"
}

}

#LINE 80

	}
}

// fallback
SubShader {
    Pass {
    	// don't draw anything
		ColorMask 0
        ZWrite Off
    }
}

}
