﻿// 2014 DeathByNukes

Shader "VertexOverColorAdd" {
Properties {
}

Category {

Tags {"Queue" = "Transparent" }

// Pass
Fog { Mode Off }
ZWrite Off
Blend One One // Add
//Blend One OneMinusSrcColor // AddSmooth
Cull Off // back faces
Colormask RGB

SubShader {
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 5 to 5
//   d3d9 - ALU: 5 to 5
//   d3d11 - ALU: 1 to 1, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 1 to 1, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
"!!ARBvp1.0
# 5 ALU
PARAM c[5] = { program.local[0],
		state.matrix.mvp };
MOV result.color, vertex.color;
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 5 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
"vs_2_0
; 5 ALU
dcl_position0 v0
dcl_color0 v1
mov oD0, v1
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "UnityPerDraw" 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 1 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedamflbolapkbcdegjcikakklimmmoahnpabaaaaaanmabaaaaadaaaaaa
cmaaaaaahmaaaaaanaaaaaaaejfdeheoeiaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaafaepfdejfeejepeoaaedepemepfcaaklepfdeheo
emaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaafdfgfpfa
epfdejfeejepeoaaedepemepfcaaklklfdeieefcaeabaaaaeaaaabaaebaaaaaa
fjaaaaaeegiocaaaaaaaaaaaaeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
pcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagiaaaaacabaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiocaaaaaaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
aaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaaaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaaaaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadoaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "vertex" Vertex
Bind "color" Color
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "UnityPerDraw" 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 1 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1
eefiecedpniogekgighioafeioceianndfjiollaabaaaaaaleacaaaaaeaaaaaa
daaaaaaaaeabaaaabaacaaaagaacaaaaebgpgodjmmaaaaaammaaaaaaaaacpopp
jiaaaaaadeaaaaaaabaaceaaaaaadaaaaaaadaaaaaaaceaaabaadaaaaaaaaaaa
aeaaabaaaaaaaaaaaaaaaaaaaaacpoppbpaaaaacafaaaaiaaaaaapjabpaaaaac
afaaabiaabaaapjaafaaaaadaaaaapiaaaaaffjaacaaoekaaeaaaaaeaaaaapia
abaaoekaaaaaaajaaaaaoeiaaeaaaaaeaaaaapiaadaaoekaaaaakkjaaaaaoeia
aeaaaaaeaaaaapiaaeaaoekaaaaappjaaaaaoeiaaeaaaaaeaaaaadmaaaaappia
aaaaoekaaaaaoeiaabaaaaacaaaaammaaaaaoeiaabaaaaacaaaaapoaabaaoeja
ppppaaaafdeieefcaeabaaaaeaaaabaaebaaaaaafjaaaaaeegiocaaaaaaaaaaa
aeaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadpcbabaaaabaaaaaaghaaaaae
pccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaaabaaaaaagiaaaaacabaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaa
aaaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaa
abaaaaaaegbobaaaabaaaaaadoaaaaabejfdeheoeiaaaaaaacaaaaaaaiaaaaaa
diaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaa
aaaaaaaaadaaaaaaabaaaaaaapapaaaafaepfdejfeejepeoaaedepemepfcaakl
epfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaa
fdfgfpfaepfdejfeejepeoaaedepemepfcaaklkl"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 13 to 13, TEX: 0 to 0
//   d3d9 - ALU: 14 to 14
//   d3d11 - ALU: 6 to 6, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 6 to 6, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
"!!ARBfp1.0
# 13 ALU, 0 TEX
PARAM c[1] = { { 1, 0, 3, 2 } };
TEMP R0;
MAX R0.x, fragment.color.primary, fragment.color.primary.y;
MAX R0.x, R0, fragment.color.primary.z;
ADD_SAT R0.w, R0.x, -c[0].x;
SGE R0.y, c[0].x, R0.x;
MAD R0.z, -R0.w, c[0].w, c[0];
MUL R0.w, R0, R0;
ABS R0.y, R0;
MUL R0.z, R0.w, R0;
RCP R0.x, R0.x;
MAD R0.xzw, fragment.color.primary.xyyz, R0.x, R0.z;
CMP R0.y, -R0, c[0], c[0].x;
CMP result.color.xyz, -R0.y, R0.xzww, fragment.color.primary;
MOV result.color.w, fragment.color.primary;
END
# 13 instructions, 1 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
"ps_2_0
; 14 ALU
def c0, 1.00000000, 0.00000000, -1.00000000, 0
def c1, 2.00000000, 3.00000000, 0, 0
dcl v0
max_pp r0.x, v0, v0.y
max_pp r1.x, r0, v0.z
add_pp_sat r2.x, r1, c0.z
mad_pp r0.x, -r2, c1, c1.y
mul_pp r2.x, r2, r2
mul_pp r2.x, r2, r0
add_pp r0.x, -r1, c0
rcp_pp r1.x, r1.x
cmp_pp r0.x, r0, c0, c0.y
mad_pp r1.xyz, v0, r1.x, r2.x
abs_pp r0.x, r0
mov_pp r0.w, v0
cmp_pp r0.xyz, -r0.x, r1, v0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
// 11 instructions, 2 temp regs, 0 temp arrays:
// ALU 6 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedekipeglnggggmpcjkifjolabeobijgcfabaaaaaabaacaaaaadaaaaaa
cmaaaaaaiaaaaaaaleaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaaklkl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcfeabaaaaeaaaaaaa
ffaaaaaagcbaaaadpcbabaaaabaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
acaaaaaadeaaaaahbcaabaaaaaaaaaaabkbabaaaabaaaaaaakbabaaaabaaaaaa
deaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaackbabaaaabaaaaaaaoaaaaah
ocaabaaaaaaaaaaaagbjbaaaabaaaaaaagaabaaaaaaaaaaaaacaaaahbcaabaaa
abaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaialpbnaaaaahbcaabaaaaaaaaaaa
abeaaaaaaaaaiadpakaabaaaaaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaaamaabeaaaaaaaaaeaeadiaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaajocaabaaaaaaaaaaafgafbaaa
abaaaaaaagaabaaaabaaaaaafgaobaaaaaaaaaaadhaaaaajhccabaaaaaaaaaaa
agaabaaaaaaaaaaaegbcbaaaabaaaaaajgahbaaaaaaaaaaadgaaaaaficcabaaa
aaaaaaaadkbabaaaabaaaaaadoaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
// 11 instructions, 2 temp regs, 0 temp arrays:
// ALU 6 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1
eefiecedechbamoiicmdokebeejijegejipcfjapabaaaaaacmadaaaaaeaaaaaa
daaaaaaaeiabaaaakeacaaaapiacaaaaebgpgodjbaabaaaabaabaaaaaaacpppp
omaaaaaaceaaaaaaaaaaceaaaaaaceaaaaaaceaaaaaaceaaaaaaceaaaaacpppp
fbaaaaafaaaaapkaaaaaiadpaaaaialpaaaaaamaaaaaeaeabpaaaaacaaaaaaia
aaaacplaalaaaaadaaaaciiaaaaaaalaaaaafflaalaaaaadabaaciiaaaaappia
aaaakklaacaaaaadaaaadbiaabaappiaaaaaffkaaeaaaaaeaaaacciaaaaaaaia
aaaakkkaaaaappkaafaaaaadaaaacbiaaaaaaaiaaaaaaaiaafaaaaadaaaacbia
aaaaaaiaaaaaffiaagaaaaacaaaaaciaabaappiaacaaaaadaaaaaeiaabaappib
aaaaaakaaeaaaaaeabaachiaaaaaoelaaaaaffiaaaaaaaiafiaaaaaeaaaachia
aaaakkiaaaaaoelaabaaoeiaabaaaaacaaaaciiaaaaapplaabaaaaacaaaicpia
aaaaoeiappppaaaafdeieefcfeabaaaaeaaaaaaaffaaaaaagcbaaaadpcbabaaa
abaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacacaaaaaadeaaaaahbcaabaaa
aaaaaaaabkbabaaaabaaaaaaakbabaaaabaaaaaadeaaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaackbabaaaabaaaaaaaoaaaaahocaabaaaaaaaaaaaagbjbaaa
abaaaaaaagaabaaaaaaaaaaaaacaaaahbcaabaaaabaaaaaaakaabaaaaaaaaaaa
abeaaaaaaaaaialpbnaaaaahbcaabaaaaaaaaaaaabeaaaaaaaaaiadpakaabaaa
aaaaaaaadcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaama
abeaaaaaaaaaeaeadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaa
abaaaaaadcaaaaajocaabaaaaaaaaaaafgafbaaaabaaaaaaagaabaaaabaaaaaa
fgaobaaaaaaaaaaadhaaaaajhccabaaaaaaaaaaaagaabaaaaaaaaaaaegbcbaaa
abaaaaaajgahbaaaaaaaaaaadgaaaaaficcabaaaaaaaaaaadkbabaaaabaaaaaa
doaaaaabejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaa
adaaaaaaaaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaaedepemepfcaaklklepfdeheocmaaaaaa
abaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaa
fdfgfpfegbhcghgfheaaklkl"
}

}

#LINE 51

	}
}

// fallback

SubShader {
	Pass {
		BindChannels {
			Bind "Vertex", vertex
			Bind "Color", color
		} 
	}
}

}
}
