// Copyright 2014 DeathByNukes
// rotates the model on the Y axis so it always faces the camera

Shader "pillar" {
Properties {
	_MainTex ("Base (RGB)", 2D) = "white" {}
	_Color ("Batch per-object settings. (Negative Y scale, Unused, Unused, Unused)", Color) = (-1,0,0,0)
	_Tint ("Tint", Color) = (1,1,1,1)
}

SubShader {
	Tags {"Queue" = "Transparent" }
	Pass {
		Fog { Mode Off }
		ZWrite Off
		Blend One One // Add
		//Blend One OneMinusSrcColor // AddSmooth
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 60 to 60
//   d3d9 - ALU: 65 to 65
//   d3d11 - ALU: 23 to 23, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 23 to 23, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Vector 9 [_WorldSpaceCameraPos]
Matrix 5 [_Object2World]
Vector 10 [_Color]
"!!ARBvp1.0
# 60 ALU
PARAM c[16] = { { 1, 3.141593, 1.570796, -0.01348047 },
		state.matrix.mvp,
		program.local[5..10],
		{ 0.05747731, 0.1212391, 0.1956359, 0.33299461 },
		{ 0.99999559, 0.15915491, 1, -1 },
		{ 0.25, 0.5, 0.75, 1 },
		{ -24.980801, 60.145809, -85.453789, 64.939346 },
		{ -19.73921, 1 } };
TEMP R0;
TEMP R1;
TEMP R2;
DP4 R0.x, vertex.position, c[5];
DP4 R0.y, vertex.position, c[7];
ADD R1.xy, -R0, c[9].xzzw;
ABS R0.z, R1.y;
ABS R0.w, R1.x;
MAX R1.x, R0.w, R0.z;
RCP R1.y, R1.x;
MIN R1.x, R0.w, R0.z;
MUL R1.x, R1, R1.y;
MUL R1.y, R1.x, R1.x;
MUL R1.z, R1.y, c[0].w;
ADD R1.z, R1, c[11].x;
MAD R1.z, R1, R1.y, -c[11].y;
MAD R1.z, R1, R1.y, c[11];
MAD R1.z, R1, R1.y, -c[11].w;
MAD R1.y, R1.z, R1, c[12].x;
MUL R1.x, R1.y, R1;
SLT R0.w, R0, R0.z;
ADD R1.y, -R1.x, -R1.x;
ADD R0.z, R1.y, c[0];
MAD R0.z, R0, R0.w, R1.x;
ADD R0.w, -R0.z, -R0.z;
SLT R1.x, -R0, -c[9];
ADD R0.x, R0.w, c[0].y;
MAD R0.x, R0, R1, R0.z;
SLT R0.z, -R0.y, -c[9];
ADD R0.y, -R0.x, -R0.x;
MAD R0.x, R0.y, R0.z, R0;
MUL R0.x, R0, c[12].y;
FRC R1.z, R0.x;
SLT R0, R1.z, c[13];
ADD R2.xyz, R0.yzww, -R0;
MOV R0.yzw, R2.xxyz;
DP4 R1.y, R0, c[13].xxzz;
DP3 R1.x, R2, c[13].yyww;
ADD R1.xy, R1.z, -R1;
MUL R2.xy, R1, R1;
MUL R2.zw, R2.xyxy, R2.xyxy;
MAD R1, R2.zzww, c[14].xyxy, c[14].zwzw;
MAD R1, R1, R2.zzww, c[15].xyxy;
MAD R1.xy, R1.xzzw, R2, R1.ywzw;
DP4 R1.w, R0, c[12].zzww;
DP4 R1.z, R0, c[12].zwwz;
MUL R0.zw, R1, R1.xyxy;
MOV R0.y, -R0.w;
MOV R0.x, R0.z;
MUL R0.xy, vertex.position.xzzw, R0;
ADD R0.x, R0, R0.y;
MUL R0.zw, R0.xywz, vertex.position.xyxz;
ADD R0.y, R0.z, R0.w;
MOV R1.xz, R0.xyyw;
MOV R0.xzw, c[0].x;
MOV R1.yw, vertex.position;
MOV R0.y, -c[10].x;
MUL R0, R1, R0;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 60 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Matrix 4 [_Object2World]
Vector 9 [_Color]
"vs_2_0
; 65 ALU
def c10, 0.00000000, -0.01348047, 0.05747731, -0.12123910
def c11, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c12, 1.00000000, 3.14159298, 0.15915491, 0.50000000
def c13, 6.28318501, -3.14159298, 0, 0
def c14, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c15, -0.02083333, -0.12500000, 1.00000000, 0.50000000
dcl_position0 v0
dcl_texcoord0 v1
dp4 r0.x, v0, c4
dp4 r0.y, v0, c6
add r0.zw, -r0.xyxy, c8.xyxz
abs r1.y, r0.z
abs r1.x, r0.w
max r0.z, r1.y, r1.x
rcp r0.w, r0.z
min r0.z, r1.y, r1.x
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mad r1.z, r0.w, c10.y, c10
slt r1.x, r1.y, r1
mad r1.z, r1, r0.w, c10.w
mad r1.y, r1.z, r0.w, c11.x
mad r1.y, r1, r0.w, c11
mad r0.w, r1.y, r0, c11.z
max r1.x, -r1, r1
slt r1.x, c10, r1
add r1.y, -r1.x, c12.x
mul r0.z, r0.w, r0
mul r0.w, r0.z, r1.y
add r0.z, -r0, c11.w
mad r0.z, r1.x, r0, r0.w
slt r0.w, -r0.x, -c8.x
max r1.x, -r0.w, r0.w
slt r0.w, -r0.y, -c8.z
slt r0.y, c10.x, r1.x
max r0.w, -r0, r0
add r1.x, -r0.y, c12
add r0.x, -r0.z, c12.y
mul r0.z, r0, r1.x
slt r0.w, c10.x, r0
mad r0.x, r0.y, r0, r0.z
add r1.x, -r0.w, c12
mul r0.y, r0.x, r1.x
mad r0.x, r0.w, -r0, r0.y
mad r0.x, r0, c12.z, c12.w
frc r0.x, r0
mad r1.x, r0, c13, c13.y
sincos r0.xy, r1.x, c14.xyzw, c15.xyzw
mul r1.xy, r0.yxzw, v0.xzzw
mov r0.w, -r0.y
add r0.y, r1.x, r1
mov r0.z, r0.x
mul r0.zw, v0.xyxz, r0
add r0.x, r0.z, r0.w
mov r1.xz, r0.xyyw
mov r0.xzw, c12.x
mov r1.yw, v0
mov r0.y, -c9.x
mul r0, r1, r0
dp4 oPos.w, r0, c3
dp4 oPos.z, r0, c2
dp4 oPos.y, r0, c1
dp4 oPos.x, r0, c0
mov oT0.xy, v1
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 32 // 32 used size, 2 vars
Vector 16 [_Color] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 42 instructions, 3 temp regs, 0 temp arrays:
// ALU 20 float, 0 int, 3 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 32 // 32 used size, 2 vars
Vector 16 [_Color] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 42 instructions, 3 temp regs, 0 temp arrays:
// ALU 20 float, 0 int, 3 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1
eefiecedalamdnfddpmienfjjnjlhoknjoepamfhabaaaaaagmakaaaaaeaaaaaa
daaaaaaabmaeaaaamaajaaaabeakaaaaebgpgodjoeadaaaaoeadaaaaaaacpopp
imadaaaafiaaaaaaaeaaceaaaaaafeaaaaaafeaaaaaaceaaabaafeaaaaaaabaa
abaaabaaaaaaaaaaabaaaeaaabaaacaaaaaaaaaaacaaaaaaaeaaadaaaaaaaaaa
acaaamaaaeaaahaaaaaaaaaaaaaaaaaaaaacpoppfbaaaaafalaaapkafpkokkdm
dgfkkolnochgdidoaebnkjlofbaaaaafamaaapkadiphhpdpaaaaaamanlapmjdp
nlapejmafbaaaaafanaaapkaidpjccdoaaaaaadpnlapmjeanlapejmafbaaaaaf
aoaaapkaabannalfgballglhklkkckdlijiiiidjfbaaaaafapaaapkaklkkkklm
aaaaaaloaaaaiadpaaaaaadpbpaaaaacafaaaaiaaaaaapjabpaaaaacafaaabia
abaaapjaafaaaaadaaaaadiaaaaaffjaaiaaockaaeaaaaaeaaaaadiaahaaocka
aaaaaajaaaaaoeiaaeaaaaaeaaaaadiaajaaockaaaaakkjaaaaaoeiaaeaaaaae
aaaaadiaakaaockaaaaappjaaaaaoeiaacaaaaadaaaaadiaaaaaoeibacaaocka
cdaaaaacaaaaamiaaaaaeeiaalaaaaadabaaabiaaaaappiaaaaakkiaagaaaaac
abaaabiaabaaaaiaakaaaaadabaaaciaaaaappiaaaaakkiaamaaaaadaaaaaeia
aaaappiaaaaakkiaafaaaaadaaaaaiiaabaaaaiaabaaffiaafaaaaadabaaabia
aaaappiaaaaappiaaeaaaaaeabaaaciaabaaaaiaalaaaakaalaaffkaaeaaaaae
abaaaciaabaaaaiaabaaffiaalaakkkaaeaaaaaeabaaaciaabaaaaiaabaaffia
alaappkaaeaaaaaeabaaabiaabaaaaiaabaaffiaamaaaakaafaaaaadaaaaaiia
aaaappiaabaaaaiaaeaaaaaeabaaabiaaaaappiaamaaffkaamaakkkaaeaaaaae
aaaaaeiaabaaaaiaaaaakkiaaaaappiaamaaaaadaaaaaiiaaaaaffiaaaaaffib
aeaaaaaeaaaaaeiaaaaappiaamaappkaaaaakkiaacaaaaadaaaaaiiaaaaakkia
aaaakkiaakaaaaadabaaabiaaaaaffiaaaaaaaiaalaaaaadaaaaabiaaaaaffia
aaaaaaiaanaaaaadaaaaabiaaaaaaaiaaaaaaaibamaaaaadaaaaaciaabaaaaia
abaaaaibafaaaaadaaaaabiaaaaaaaiaaaaaffiaaeaaaaaeaaaaabiaaaaaaaia
aaaappibaaaakkiaaeaaaaaeaaaaabiaaaaaaaiaanaaaakaanaaffkabdaaaaac
aaaaabiaaaaaaaiaaeaaaaaeaaaaabiaaaaaaaiaanaakkkaanaappkacfaaaaae
abaaadiaaaaaaaiaaoaaoekaapaaoekaafaaaaadaaaaahiaabaameiaaaaaoaja
aeaaaaaeabaaabiaabaaffibaaaakkjaaaaaaaiaacaaaaadabaaaciaaaaakkia
aaaaffiaabaaaaacabaaamiaaaaahejaafaaaaadaaaaabiaabaappiaabaaaakb
afaaaaadaaaaapiaaaaaaaiaaeaaoekaaeaaaaaeaaaaapiaadaaoekaabaaaaia
aaaaoeiaaeaaaaaeaaaaapiaafaaoekaabaaffiaaaaaoeiaaeaaaaaeaaaaapia
agaaoekaabaakkiaaaaaoeiaaeaaaaaeaaaaadmaaaaappiaaaaaoekaaaaaoeia
abaaaaacaaaaammaaaaaoeiaabaaaaacaaaaadoaabaaoejappppaaaafdeieefc
jmafaaaaeaaaabaaghabaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaafjaaaaae
egiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaaddccabaaaabaaaaaagiaaaaacadaaaaaadiaaaaaidcaabaaa
aaaaaaaafgbfbaaaaaaaaaaacgikcaaaacaaaaaaanaaaaaadcaaaaakdcaabaaa
aaaaaaaacgikcaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegaabaaaaaaaaaaa
dcaaaaakdcaabaaaaaaaaaaacgikcaaaacaaaaaaaoaaaaaakgbkbaaaaaaaaaaa
egaabaaaaaaaaaaadcaaaaakdcaabaaaaaaaaaaacgikcaaaacaaaaaaapaaaaaa
pgbpbaaaaaaaaaaaegaabaaaaaaaaaaaaaaaaaajdcaabaaaaaaaaaaaegaabaia
ebaaaaaaaaaaaaaacgikcaaaabaaaaaaaeaaaaaadeaaaaajecaabaaaaaaaaaaa
bkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaaoaaaaakecaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpckaabaaaaaaaaaaa
ddaaaaajicaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahicaabaaaaaaaaaaackaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
bcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkoln
dcaaaaajbcaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaaabeaaaaa
ochgdidodcaaaaajbcaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
abeaaaaaaebnkjlodcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaamaabeaaaaanlapmjdpdbaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaa
aaaaaaaaakaabaiaibaaaaaaaaaaaaaaabaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaabaaaaaadbaaaaaiicaabaaaaaaaaaaabkaabaaa
aaaaaaaabkaabaiaebaaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaanlapejmaaaaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaaddaaaaahicaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaa
aaaaaaaadeaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
bnaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaa
dbaaaaaiccaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaadhaaaaak
bcaabaaaaaaaaaaaakaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaackaabaaa
aaaaaaaaenaaaaahbcaabaaaaaaaaaaabcaabaaaabaaaaaaakaabaaaaaaaaaaa
dgaaaaagbcaabaaaacaaaaaaakaabaiaebaaaaaaaaaaaaaadgaaaaafccaabaaa
acaaaaaaakaabaaaabaaaaaadgaaaaafecaabaaaacaaaaaaakaabaaaaaaaaaaa
apaaaaahccaabaaaaaaaaaaaggakbaaaacaaaaaaigbabaaaaaaaaaaaapaaaaah
bcaabaaaaaaaaaaabgafbaaaacaaaaaaigbabaaaaaaaaaaadgaaaaafmcaabaaa
aaaaaaaapgbhbaaaaaaaaaaadiaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akiacaiaebaaaaaaaaaaaaaaabaaaaaadiaaaaaipcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaa
abaaaaaaegiocaaaacaaaaaaacaaaaaafgafbaaaaaaaaaaaegaobaaaabaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaakgakbaaaaaaaaaaa
egaobaaaabaaaaaadgaaaaafdccabaaaabaaaaaaegbabaaaabaaaaaadoaaaaab
ejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadadaaaa
faepfdejfeejepeoaafeeffiedepepfceeaaklklepfdeheofaaaaaaaacaaaaaa
aiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklkl"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 15 to 15, TEX: 1 to 1
//   d3d9 - ALU: 15 to 15, TEX: 1 to 1
//   d3d11 - ALU: 7 to 7, TEX: 1 to 1, FLOW: 1 to 1
//   d3d11_9x - ALU: 7 to 7, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Color]
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 15 ALU, 1 TEX
PARAM c[2] = { program.local[0],
		{ 1, 0, 3, 2 } };
TEMP R0;
TEMP R1;
TEX R0.xyz, fragment.texcoord[0], texture[0], 2D;
MUL R0.xyz, R0, c[0];
MAX R0.w, R0.x, R0.y;
MAX R1.x, R0.w, R0.z;
ADD_SAT R1.y, R1.x, -c[1].x;
SGE R0.w, c[1].x, R1.x;
MAD R1.z, -R1.y, c[1].w, c[1];
MUL R1.y, R1, R1;
ABS R0.w, R0;
MUL R1.y, R1, R1.z;
RCP R1.x, R1.x;
MAD R1.xyz, R0, R1.x, R1.y;
CMP R0.w, -R0, c[1].y, c[1].x;
CMP result.color.xyz, -R0.w, R1, R0;
MOV result.color.w, c[0];
END
# 15 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Color]
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 15 ALU, 1 TEX
dcl_2d s0
def c1, 1.00000000, 0.00000000, -1.00000000, 0
def c2, 2.00000000, 3.00000000, 0, 0
dcl t0.xy
texld r0, t0, s0
mul r3.xyz, r0, c0
max_pp r0.x, r3, r3.y
max_pp r0.x, r0, r3.z
add_pp_sat r4.x, r0, c1.z
add_pp r1.x, -r0, c1
mad_pp r2.x, -r4, c2, c2.y
mul_pp r4.x, r4, r4
rcp_pp r0.x, r0.x
mul_pp r2.x, r4, r2
mad_pp r2.xyz, r3, r0.x, r2.x
cmp_pp r1.x, r1, c1, c1.y
abs_pp r0.x, r1
mov_pp r0.w, c0
cmp_pp r0.xyz, -r0.x, r2, r3
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 32 used size, 2 vars
Vector 16 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 13 instructions, 3 temp regs, 0 temp arrays:
// ALU 7 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecediekkblcmkccjnlhckpnkkabkbhphpbdnabaaaaaaiiacaaaaadaaaaaa
cmaaaaaaieaaaaaaliaaaaaaejfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcmiabaaaa
eaaaaaaahcaaaaaafjaaaaaeegiocaaaaaaaaaaaacaaaaaafkaaaaadaagabaaa
aaaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaaefaaaaajpcaabaaaaaaaaaaa
egbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaadeaaaaahicaabaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadeaaaaahicaabaaaaaaaaaaa
ckaabaaaaaaaaaaadkaabaaaaaaaaaaaaoaaaaahhcaabaaaabaaaaaaegacbaaa
aaaaaaaapgapbaaaaaaaaaaaaacaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaialpbnaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaiadpdkaabaaa
aaaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaama
abeaaaaaaaaaeaeadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaa
abaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaapgapbaaaabaaaaaa
egacbaaaabaaaaaadhaaaaajhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaaegacbaaaabaaaaaadgaaaaagiccabaaaaaaaaaaadkiacaaaaaaaaaaa
abaaaaaadoaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
ConstBuffer "$Globals" 32 // 32 used size, 2 vars
Vector 16 [_Color] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 13 instructions, 3 temp regs, 0 temp arrays:
// ALU 7 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1
eefiecedhcbekampfkijlgbffelllfdadladebhmabaaaaaaoaadaaaaaeaaaaaa
daaaaaaaieabaaaafeadaaaakmadaaaaebgpgodjemabaaaaemabaaaaaaacpppp
biabaaaadeaaaaaaabaaciaaaaaadeaaaaaadeaaabaaceaaaaaadeaaaaaaaaaa
aaaaabaaabaaaaaaaaaaaaaaaaacppppfbaaaaafabaaapkaaaaaiadpaaaaialp
aaaaaamaaaaaeaeabpaaaaacaaaaaaiaaaaaadlabpaaaaacaaaaaajaaaaiapka
ecaaaaadaaaaapiaaaaaoelaaaaioekaafaaaaadaaaachiaaaaaoeiaaaaaoeka
alaaaaadabaaciiaaaaaaaiaaaaaffiaalaaaaadacaaciiaabaappiaaaaakkia
acaaaaadaaaadiiaacaappiaabaaffkaaeaaaaaeabaacbiaaaaappiaabaakkka
abaappkaafaaaaadaaaaciiaaaaappiaaaaappiaafaaaaadaaaaciiaaaaappia
abaaaaiaagaaaaacabaaabiaacaappiaacaaaaadabaaaciaacaappibabaaaaka
aeaaaaaeacaachiaaaaaoeiaabaaaaiaaaaappiafiaaaaaeaaaachiaabaaffia
aaaaoeiaacaaoeiaabaaaaacaaaaciiaaaaappkaabaaaaacaaaicpiaaaaaoeia
ppppaaaafdeieefcmiabaaaaeaaaaaaahcaaaaaafjaaaaaeegiocaaaaaaaaaaa
acaaaaaafkaaaaadaagabaaaaaaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
gcbaaaaddcbabaaaabaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaa
efaaaaajpcaabaaaaaaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaa
abaaaaaadeaaaaahicaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaahicaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaaaoaaaaah
hcaabaaaabaaaaaaegacbaaaaaaaaaaapgapbaaaaaaaaaaaaacaaaahicaabaaa
abaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaialpbnaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaiadpdkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaaamaabeaaaaaaaaaeaeadiaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaabaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaa
acaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadhaaaaajhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadgaaaaagiccabaaa
aaaaaaaadkiacaaaaaaaaaaaabaaaaaadoaaaaabejfdeheofaaaaaaaacaaaaaa
aiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadadaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
"
}

}

#LINE 56

	}
}

// fallback
SubShader {
	Pass {
	}
}

}
