﻿// Copyright 2013 DeathByNukes

Shader "ppBlurMaxV" {
Properties {
	_BlurSize ("Blur Size", float) = 1
}

SubShader {
	Tags { "Queue"="Overlay" "IgnoreProjector"="True" "ForceNoShadowCasting"="True" }
	
	GrabPass { Tags { "LightMode" = "Always" } }
	
	Pass {
		Cull Off ZWrite Off ZTest Always Fog { Mode Off } Tags { "LightMode" = "Always" }
		BlendOp Max
		AlphaTest NotEqual 0.0
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 3 to 3
//   d3d9 - ALU: 7 to 7
//   d3d11 - ALU: 2 to 2, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 2 to 2, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "texcoord" TexCoord0
"!!ARBvp1.0
# 3 ALU
PARAM c[1] = { { -1, 1, 2 } };
MOV result.position.zw, c[0].xyxy;
MAD result.position.xy, vertex.texcoord[0], c[0].z, -c[0].y;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 3 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "texcoord" TexCoord0
Vector 0 [_ScreenParams]
"vs_2_0
; 7 ALU
def c1, 2.00000000, -1.00000000, 0.00000000, 1.00000000
def c2, 0.50000000, 0, 0, 0
dcl_texcoord0 v0
rcp r0.z, c0.x
rcp r0.w, c0.y
add r0.y, -v0, c1.w
mov r0.x, v0
mad oT0.xy, r0.zwzw, c2.x, r0
mov oPos.zw, c1
mad oPos.xy, v0, c1.x, c1.y
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "UnityPerCamera" 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedbecngiaipbnadmnhfiioaphjkdookcgjabaaaaaaamacaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefccmabaaaa
eaaaabaaelaaaaaafjaaaaaeegiocaaaaaaaaaaaahaaaaaafpaaaaaddcbabaaa
abaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaa
giaaaaacabaaaaaadcaaaaapdccabaaaaaaaaaaaegbabaaaabaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaiadpaoaaaaaldcaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaaegiacaaaaaaaaaaaagaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaiadpaaaaialpaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpaaaaaaahdccabaaaabaaaaaaegaabaaaaaaaaaaa
ogakbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD0;
attribute vec4 _glesMultiTexCoord0;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.xy = ((_glesMultiTexCoord0.xy * 2.0) - 1.0);
  tmpvar_1.z = -1.0;
  tmpvar_1.w = 1.0;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
}



#endif
#ifdef FRAGMENT

varying highp vec2 xlv_TEXCOORD0;
uniform highp float _BlurSize;
uniform sampler2D _GrabTexture;
uniform highp vec4 _ScreenParams;
void main ()
{
  highp float tmpvar_1;
  tmpvar_1 = xlv_TEXCOORD0.x;
  highp float tmpvar_2;
  tmpvar_2 = (_BlurSize / _ScreenParams.y);
  highp vec2 tmpvar_3;
  tmpvar_3.x = tmpvar_1;
  tmpvar_3.y = xlv_TEXCOORD0.y;
  highp vec2 tmpvar_4;
  tmpvar_4.x = tmpvar_1;
  tmpvar_4.y = (xlv_TEXCOORD0.y + tmpvar_2);
  highp vec2 tmpvar_5;
  tmpvar_5.x = tmpvar_1;
  tmpvar_5.y = (xlv_TEXCOORD0.y + (-1.0 * tmpvar_2));
  highp vec2 tmpvar_6;
  tmpvar_6.x = tmpvar_1;
  tmpvar_6.y = (xlv_TEXCOORD0.y + (2.0 * tmpvar_2));
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_1;
  tmpvar_7.y = (xlv_TEXCOORD0.y + (-2.0 * tmpvar_2));
  highp vec2 tmpvar_8;
  tmpvar_8.x = tmpvar_1;
  tmpvar_8.y = (xlv_TEXCOORD0.y + (3.0 * tmpvar_2));
  highp vec2 tmpvar_9;
  tmpvar_9.x = tmpvar_1;
  tmpvar_9.y = (xlv_TEXCOORD0.y + (-3.0 * tmpvar_2));
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_1;
  tmpvar_10.y = (xlv_TEXCOORD0.y + (4.0 * tmpvar_2));
  highp vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_1;
  tmpvar_11.y = (xlv_TEXCOORD0.y + (-4.0 * tmpvar_2));
  gl_FragData[0] = (((((((((texture2D (_GrabTexture, tmpvar_3) * 0.18) + (texture2D (_GrabTexture, tmpvar_4) * 0.15)) + (texture2D (_GrabTexture, tmpvar_5) * 0.15)) + (texture2D (_GrabTexture, tmpvar_6) * 0.12)) + (texture2D (_GrabTexture, tmpvar_7) * 0.12)) + (texture2D (_GrabTexture, tmpvar_8) * 0.09)) + (texture2D (_GrabTexture, tmpvar_9) * 0.09)) + (texture2D (_GrabTexture, tmpvar_10) * 0.05)) + (texture2D (_GrabTexture, tmpvar_11) * 0.05));
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD0;
attribute vec4 _glesMultiTexCoord0;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.xy = ((_glesMultiTexCoord0.xy * 2.0) - 1.0);
  tmpvar_1.z = -1.0;
  tmpvar_1.w = 1.0;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
}



#endif
#ifdef FRAGMENT

varying highp vec2 xlv_TEXCOORD0;
uniform highp float _BlurSize;
uniform sampler2D _GrabTexture;
uniform highp vec4 _ScreenParams;
void main ()
{
  highp float tmpvar_1;
  tmpvar_1 = xlv_TEXCOORD0.x;
  highp float tmpvar_2;
  tmpvar_2 = (_BlurSize / _ScreenParams.y);
  highp vec2 tmpvar_3;
  tmpvar_3.x = tmpvar_1;
  tmpvar_3.y = xlv_TEXCOORD0.y;
  highp vec2 tmpvar_4;
  tmpvar_4.x = tmpvar_1;
  tmpvar_4.y = (xlv_TEXCOORD0.y + tmpvar_2);
  highp vec2 tmpvar_5;
  tmpvar_5.x = tmpvar_1;
  tmpvar_5.y = (xlv_TEXCOORD0.y + (-1.0 * tmpvar_2));
  highp vec2 tmpvar_6;
  tmpvar_6.x = tmpvar_1;
  tmpvar_6.y = (xlv_TEXCOORD0.y + (2.0 * tmpvar_2));
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_1;
  tmpvar_7.y = (xlv_TEXCOORD0.y + (-2.0 * tmpvar_2));
  highp vec2 tmpvar_8;
  tmpvar_8.x = tmpvar_1;
  tmpvar_8.y = (xlv_TEXCOORD0.y + (3.0 * tmpvar_2));
  highp vec2 tmpvar_9;
  tmpvar_9.x = tmpvar_1;
  tmpvar_9.y = (xlv_TEXCOORD0.y + (-3.0 * tmpvar_2));
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_1;
  tmpvar_10.y = (xlv_TEXCOORD0.y + (4.0 * tmpvar_2));
  highp vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_1;
  tmpvar_11.y = (xlv_TEXCOORD0.y + (-4.0 * tmpvar_2));
  gl_FragData[0] = (((((((((texture2D (_GrabTexture, tmpvar_3) * 0.18) + (texture2D (_GrabTexture, tmpvar_4) * 0.15)) + (texture2D (_GrabTexture, tmpvar_5) * 0.15)) + (texture2D (_GrabTexture, tmpvar_6) * 0.12)) + (texture2D (_GrabTexture, tmpvar_7) * 0.12)) + (texture2D (_GrabTexture, tmpvar_8) * 0.09)) + (texture2D (_GrabTexture, tmpvar_9) * 0.09)) + (texture2D (_GrabTexture, tmpvar_10) * 0.05)) + (texture2D (_GrabTexture, tmpvar_11) * 0.05));
}



#endif"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "UnityPerCamera" 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1
eefiecedneniapgabafacofpjoodoblpmlmbbcbnabaaaaaaamadaaaaaeaaaaaa
daaaaaaacmabaaaagaacaaaaleacaaaaebgpgodjpeaaaaaapeaaaaaaaaacpopp
maaaaaaadeaaaaaaabaaceaaaaaadaaaaaaadaaaaaaaceaaabaadaaaaaaaagaa
abaaabaaaaaaaaaaaaaaaaaaaaacpoppfbaaaaafacaaapkaaaaaaaeaaaaaiadp
aaaaialpaaaaaaaafbaaaaafadaaapkaaaaaaadpaaaaaaaaaaaaaaaaaaaaaaaa
bpaaaaacafaaabiaabaaapjaagaaaaacaaaaabiaabaaaakaagaaaaacaaaaacia
abaaffkaaeaaaaaeaaaaamiaabaaeejaacaajekaacaahekaaeaaaaaeaaaaadoa
aaaaoeiaadaaaakaaaaaooiaabaaaaacaaaaabiaacaaaakaaeaaaaaeaaaaadia
abaaoejaaaaaaaiaaaaaoekaacaaaaadaaaaadmaaaaaoeiaacaakkkaabaaaaac
aaaaammaacaahekappppaaaafdeieefccmabaaaaeaaaabaaelaaaaaafjaaaaae
egiocaaaaaaaaaaaahaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaagiaaaaacabaaaaaadcaaaaap
dccabaaaaaaaaaaaegbabaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaa
aaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaadgaaaaaimccabaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpaoaaaaaldcaabaaa
aaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaegiacaaaaaaaaaaa
agaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaiadpaaaaialpaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
aaaaaaahdccabaaaabaaaaaaegaabaaaaaaaaaaaogakbaaaaaaaaaaadoaaaaab
ejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaaebaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadadaaaa
faepfdejfeejepeoaafeeffiedepepfceeaaklklepfdeheofaaaaaaaacaaaaaa
aiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklkl"
}

SubProgram "gles3 " {
Keywords { }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;

#line 150
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 186
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 180
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 312
struct pp_v2f {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 306
struct pp_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 333
struct pp_notex_v2f {
    highp vec4 vertex;
};
#line 327
struct pp_notex_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[4];
uniform highp vec4 unity_LightPosition[4];
uniform highp vec4 unity_LightAtten[4];
#line 19
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
uniform highp vec4 unity_SHBr;
#line 23
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
#line 27
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
uniform highp vec4 _LightSplitsNear;
#line 31
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
uniform highp vec4 unity_ShadowFadeCenterAndType;
#line 35
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
uniform highp mat4 _Object2World;
#line 39
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
uniform highp mat4 glstate_matrix_texture0;
#line 43
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
uniform highp mat4 glstate_matrix_projection;
#line 47
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
uniform lowp vec4 unity_ColorSpaceGrey;
#line 76
#line 81
#line 86
#line 90
#line 95
#line 119
#line 136
#line 157
#line 165
#line 192
#line 205
#line 214
#line 219
#line 228
#line 233
#line 242
#line 259
#line 264
#line 290
#line 298
#line 302
#line 318
#line 338
#line 346
#line 352
#line 356
#line 370
#line 374
uniform sampler2D _GrabTexture;
uniform highp float _BlurSize;
#line 390
#line 318
pp_v2f pp_vert( in pp_appdata_t v ) {
    pp_v2f o;
    o.vertex.xy = ((v.texcoord * 2.0) - 1.0);
    #line 322
    o.vertex.z = -1.0;
    o.vertex.w = 1.0;
    o.texcoord = v.texcoord;
    return o;
}
out highp vec2 xlv_TEXCOORD0;
void main() {
    pp_v2f xl_retval;
    pp_appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = pp_vert( xlt_v);
    gl_Position = vec4(xl_retval.vertex);
    xlv_TEXCOORD0 = vec2(xl_retval.texcoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];

#line 150
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 186
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 180
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 312
struct pp_v2f {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 306
struct pp_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 333
struct pp_notex_v2f {
    highp vec4 vertex;
};
#line 327
struct pp_notex_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[4];
uniform highp vec4 unity_LightPosition[4];
uniform highp vec4 unity_LightAtten[4];
#line 19
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
uniform highp vec4 unity_SHBr;
#line 23
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
#line 27
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
uniform highp vec4 _LightSplitsNear;
#line 31
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
uniform highp vec4 unity_ShadowFadeCenterAndType;
#line 35
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
uniform highp mat4 _Object2World;
#line 39
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
uniform highp mat4 glstate_matrix_texture0;
#line 43
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
uniform highp mat4 glstate_matrix_projection;
#line 47
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
uniform lowp vec4 unity_ColorSpaceGrey;
#line 76
#line 81
#line 86
#line 90
#line 95
#line 119
#line 136
#line 157
#line 165
#line 192
#line 205
#line 214
#line 219
#line 228
#line 233
#line 242
#line 259
#line 264
#line 290
#line 298
#line 302
#line 318
#line 338
#line 346
#line 352
#line 356
#line 370
#line 374
uniform sampler2D _GrabTexture;
uniform highp float _BlurSize;
#line 390
#line 390
lowp vec4 frag( in pp_v2f i ) {
    highp float x = i.texcoord.x;
    highp float y = i.texcoord.y;
    #line 394
    highp float scale = (_BlurSize / _ScreenParams.y);
    return (((((((((texture( _GrabTexture, vec2( x, (y + (0.0 * scale)))) * 0.18) + (texture( _GrabTexture, vec2( x, (y + (1.0 * scale)))) * 0.15)) + (texture( _GrabTexture, vec2( x, (y + (-1.0 * scale)))) * 0.15)) + (texture( _GrabTexture, vec2( x, (y + (2.0 * scale)))) * 0.12)) + (texture( _GrabTexture, vec2( x, (y + (-2.0 * scale)))) * 0.12)) + (texture( _GrabTexture, vec2( x, (y + (3.0 * scale)))) * 0.09)) + (texture( _GrabTexture, vec2( x, (y + (-3.0 * scale)))) * 0.09)) + (texture( _GrabTexture, vec2( x, (y + (4.0 * scale)))) * 0.05)) + (texture( _GrabTexture, vec2( x, (y + (-4.0 * scale)))) * 0.05));
}
in highp vec2 xlv_TEXCOORD0;
void main() {
    lowp vec4 xl_retval;
    pp_v2f xlt_i;
    xlt_i.vertex = vec4(0.0);
    xlt_i.texcoord = vec2(xlv_TEXCOORD0);
    xl_retval = frag( xlt_i);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 36 to 36, TEX: 9 to 9
//   d3d9 - ALU: 28 to 28, TEX: 9 to 9
//   d3d11 - ALU: 4 to 4, TEX: 9 to 9, FLOW: 1 to 1
//   d3d11_9x - ALU: 4 to 4, TEX: 9 to 9, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_BlurSize]
SetTexture 0 [_GrabTexture] 2D
"!!ARBfp1.0
# 36 ALU, 9 TEX
PARAM c[5] = { program.local[0..1],
		{ 0.18000001, 0.15000001, 2, 0.12 },
		{ -2, 3, 0.090000004, -3 },
		{ 4, 0.050000001, -4 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEMP R4;
TEMP R5;
TEMP R6;
TEMP R7;
TEMP R8;
RCP R0.x, c[0].y;
MUL R3.z, R0.x, c[1].x;
ADD R0.y, fragment.texcoord[0], R3.z;
ADD R0.w, fragment.texcoord[0].y, -R3.z;
MAD R1.y, R3.z, c[2].z, fragment.texcoord[0];
MAD R1.w, R3.z, c[3].x, fragment.texcoord[0].y;
MOV R1.z, fragment.texcoord[0].x;
MAD R2.y, R3.z, c[3], fragment.texcoord[0];
MOV R2.x, fragment.texcoord[0];
MAD R2.w, R3.z, c[3], fragment.texcoord[0].y;
MOV R2.z, fragment.texcoord[0].x;
MAD R3.y, R3.z, c[4].x, fragment.texcoord[0];
MAD R3.w, R3.z, c[4].z, fragment.texcoord[0].y;
MOV R3.x, fragment.texcoord[0];
MOV R3.z, fragment.texcoord[0].x;
MOV R0.x, fragment.texcoord[0];
MOV R0.z, fragment.texcoord[0].x;
MOV R1.x, fragment.texcoord[0];
TEX R8, R3.zwzw, texture[0], 2D;
TEX R7, R3, texture[0], 2D;
TEX R6, R2.zwzw, texture[0], 2D;
TEX R5, R2, texture[0], 2D;
TEX R4, R1.zwzw, texture[0], 2D;
TEX R3, R1, texture[0], 2D;
TEX R1, R0, texture[0], 2D;
TEX R2, R0.zwzw, texture[0], 2D;
TEX R0, fragment.texcoord[0], texture[0], 2D;
MUL R1, R1, c[2].y;
MAD R0, R0, c[2].x, R1;
MAD R0, R2, c[2].y, R0;
MAD R0, R3, c[2].w, R0;
MAD R0, R4, c[2].w, R0;
MAD R0, R5, c[3].z, R0;
MAD R0, R6, c[3].z, R0;
MAD R0, R7, c[4].y, R0;
MAD result.color, R8, c[4].y, R0;
END
# 36 instructions, 9 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_BlurSize]
SetTexture 0 [_GrabTexture] 2D
"ps_2_0
; 28 ALU, 9 TEX
dcl_2d s0
def c2, 0.15000001, 2.00000000, -2.00000000, 3.00000000
def c3, -3.00000000, 4.00000000, -4.00000000, 0.18000001
def c4, 0.12000000, 0.09000000, 0.05000000, 0
dcl t0.xy
rcp r0.x, c0.y
mul r3.x, r0, c1
add r1.y, t0, -r3.x
mad r2.y, r3.x, c2, t0
mad r3.y, r3.x, c3.z, t0
add r0.y, t0, r3.x
mov r0.x, t0
mov r1.x, t0
mov r2.x, t0
mad r4.y, r3.x, c2.z, t0
mov r4.x, t0
mad r5.y, r3.x, c2.w, t0
mov r5.x, t0
mad r6.y, r3.x, c3.x, t0
mad r7.y, r3.x, c3, t0
mov r3.x, t0
mov r6.x, t0
mov r7.x, t0
texld r8, r3, s0
texld r3, r2, s0
texld r2, r1, s0
texld r7, r7, s0
texld r6, r6, s0
texld r5, r5, s0
texld r4, r4, s0
texld r0, r0, s0
texld r1, t0, s0
mul r0, r0, c2.x
mad r0, r1, c3.w, r0
mad r0, r2, c2.x, r0
mad r0, r3, c4.x, r0
mad r0, r4, c4.x, r0
mad r0, r5, c4.y, r0
mad r0, r6, c4.y, r0
mad r0, r7, c4.z, r0
mad r0, r8, c4.z, r0
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_BlurSize]
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_GrabTexture] 2D 0
// 31 instructions, 4 temp regs, 0 temp arrays:
// ALU 4 float, 0 int, 0 uint
// TEX 9 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { }
"!!GLES"
}

SubProgram "d3d11_9x " {
Keywords { }
ConstBuffer "$Globals" 32 // 20 used size, 2 vars
Float 16 [_BlurSize]
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_GrabTexture] 2D 0
// 31 instructions, 4 temp regs, 0 temp arrays:
// ALU 4 float, 0 int, 0 uint
// TEX 9 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1
eefiecedjdmgnbakmdhminidkpjhajpndgeaffbbabaaaaaaiaaiaaaaaeaaaaaa
daaaaaaaeiadaaaapeahaaaaemaiaaaaebgpgodjbaadaaaabaadaaaaaaacpppp
naacaaaaeaaaaaaaacaaciaaaaaaeaaaaaaaeaaaabaaceaaaaaaeaaaaaaaaaaa
aaaaabaaabaaaaaaaaaaaaaaabaaagaaabaaabaaaaaaaaaaaaacppppfbaaaaaf
acaaapkajkjjbjdoomfbdidoaaaaaaeaipmcpfdnfbaaaaafadaaapkaaaaaeaea
omfblidnaaaaeamaaaaaiaeafbaaaaafaeaaapkamnmmemdnaaaaaaaaaaaaaaaa
aaaaaaaabpaaaaacaaaaaaiaaaaaadlabpaaaaacaaaaaajaaaaiapkaabaaaaac
aaaaabiaaaaaaalaagaaaaacaaaaaeiaabaaffkaaeaaaaaeaaaaaciaaaaaaaka
aaaakkiaaaaafflaaeaaaaaeabaaaciaaaaaaakaaaaakkibaaaafflaafaaaaad
aaaaaeiaaaaakkiaaaaaaakaabaaaaacabaaabiaaaaaaalaabaaaaacacaaabia
aaaaaalaaeaaaaaeacaaaciaaaaakkiaacaakkkaaaaafflaabaaaaacadaaabia
aaaaaalaaeaaaaaeadaaaciaaaaakkiaacaakkkbaaaafflaabaaaaacaeaaabia
aaaaaalaaeaaaaaeaeaaaciaaaaakkiaadaaaakaaaaafflaaeaaaaaeafaaacia
aaaakkiaadaakkkaaaaafflaabaaaaacafaaabiaaaaaaalaaeaaaaaeagaaacia
aaaakkiaadaappkaaaaafflaaeaaaaaeahaaaciaaaaakkiaadaappkbaaaaffla
abaaaaacagaaabiaaaaaaalaabaaaaacahaaabiaaaaaaalaecaaaaadaiaaapia
aaaaoelaaaaioekaecaaaaadaaaaapiaaaaaoeiaaaaioekaecaaaaadabaaapia
abaaoeiaaaaioekaecaaaaadacaaapiaacaaoeiaaaaioekaecaaaaadadaaapia
adaaoeiaaaaioekaecaaaaadaeaaapiaaeaaoeiaaaaioekaecaaaaadafaaapia
afaaoeiaaaaioekaecaaaaadagaaapiaagaaoeiaaaaioekaecaaaaadahaaapia
ahaaoeiaaaaioekaafaaaaadaaaaapiaaaaaoeiaacaaaakaaeaaaaaeaaaaapia
aiaaoeiaacaaffkaaaaaoeiaaeaaaaaeaaaaapiaabaaoeiaacaaaakaaaaaoeia
aeaaaaaeaaaaapiaacaaoeiaacaappkaaaaaoeiaaeaaaaaeaaaaapiaadaaoeia
acaappkaaaaaoeiaaeaaaaaeaaaaapiaaeaaoeiaadaaffkaaaaaoeiaaeaaaaae
aaaaapiaafaaoeiaadaaffkaaaaaoeiaaeaaaaaeaaaaapiaagaaoeiaaeaaaaka
aaaaoeiaaeaaaaaeaaaacpiaahaaoeiaaeaaaakaaaaaoeiaabaaaaacaaaicpia
aaaaoeiappppaaaafdeieefckeaeaaaaeaaaaaaacjabaaaafjaaaaaeegiocaaa
aaaaaaaaacaaaaaafjaaaaaeegiocaaaabaaaaaaahaaaaaafkaaaaadaagabaaa
aaaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacaeaaaaaaefaaaaajpcaabaaaaaaaaaaa
egbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadgaaaaaffcaabaaa
abaaaaaaagbabaaaabaaaaaaaoaaaaajbcaabaaaacaaaaaaakiacaaaaaaaaaaa
abaaaaaabkiacaaaabaaaaaaagaaaaaaaaaaaaahccaabaaaabaaaaaaakaabaaa
acaaaaaabkbabaaaabaaaaaaefaaaaajpcaabaaaadaaaaaaegaabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaadiaaaaakpcaabaaaadaaaaaaegaobaaa
adaaaaaaaceaaaaajkjjbjdojkjjbjdojkjjbjdojkjjbjdodcaaaaampcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaomfbdidoomfbdidoomfbdidoomfbdido
egaobaaaadaaaaaaaaaaaaaiicaabaaaabaaaaaaakaabaiaebaaaaaaacaaaaaa
bkbabaaaabaaaaaaefaaaaajpcaabaaaabaaaaaaogakbaaaabaaaaaaeghobaaa
aaaaaaaaaagabaaaaaaaaaaadcaaaaampcaabaaaaaaaaaaaegaobaaaabaaaaaa
aceaaaaajkjjbjdojkjjbjdojkjjbjdojkjjbjdoegaobaaaaaaaaaaadcaaaaaj
ccaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaaaeabkbabaaaabaaaaaa
dgaaaaaffcaabaaaabaaaaaaagbabaaaabaaaaaaefaaaaajpcaabaaaadaaaaaa
egaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadcaaaaampcaabaaa
aaaaaaaaegaobaaaadaaaaaaaceaaaaaipmcpfdnipmcpfdnipmcpfdnipmcpfdn
egaobaaaaaaaaaaadcaaaaampcaabaaaadaaaaaaagaabaaaacaaaaaaaceaaaaa
aaaaaamaaaaaeaeaaaaaiaeaaaaaeamafgbfbaaaabaaaaaadcaaaaajicaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiamabkbabaaaabaaaaaadgaaaaaf
icaabaaaabaaaaaaakaabaaaadaaaaaaefaaaaajpcaabaaaabaaaaaaogakbaaa
abaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadcaaaaampcaabaaaaaaaaaaa
egaobaaaabaaaaaaaceaaaaaipmcpfdnipmcpfdnipmcpfdnipmcpfdnegaobaaa
aaaaaaaadgaaaaafccaabaaaacaaaaaackaabaaaadaaaaaadgaaaaaffcaabaaa
adaaaaaaagbabaaaabaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaefaaaaajpcaabaaaadaaaaaaogakbaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaadcaaaaampcaabaaaaaaaaaaa
egaobaaaabaaaaaaaceaaaaaomfblidnomfblidnomfblidnomfblidnegaobaaa
aaaaaaaadcaaaaampcaabaaaaaaaaaaaegaobaaaadaaaaaaaceaaaaaomfblidn
omfblidnomfblidnomfblidnegaobaaaaaaaaaaadgaaaaaffcaabaaaacaaaaaa
agbabaaaabaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaacaaaaaaeghobaaa
aaaaaaaaaagabaaaaaaaaaaaefaaaaajpcaabaaaacaaaaaaogakbaaaacaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaadcaaaaampcaabaaaaaaaaaaaegaobaaa
abaaaaaaaceaaaaamnmmemdnmnmmemdnmnmmemdnmnmmemdnegaobaaaaaaaaaaa
dcaaaaampccabaaaaaaaaaaaegaobaaaacaaaaaaaceaaaaamnmmemdnmnmmemdn
mnmmemdnmnmmemdnegaobaaaaaaaaaaadoaaaaabejfdeheofaaaaaaaacaaaaaa
aiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadadaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklkl
"
}

SubProgram "gles3 " {
Keywords { }
"!!GLES3"
}

}

#LINE 44

	}
}

SubShader {
    Pass {
    	// don't draw anything
		Lighting Off
		ColorMask 0
        ZWrite Off
        Cull Front
    }
}
}
