﻿// Copyright 2013 DeathByNukes

Shader "ppGlowEnd" {
Properties {
	_AlphaMult ("Alpha Multiplier", float) = 1
	_AlphaAdd ("Alpha Offset", float) = 0
	_Color ("Color", Color) = (1,1,1,0)
	_BlurSize ("Blur Size", float) = 1
	_GlowThreshold("GlowThreshold", float) = 0
	_GlowMult("GlowThreshold", float) = 1
	_CenterDarkenAmount ("Center Darken Amount (if 1 only the edges of objects will glow)", Range(0,1)) = 1
	_CenterThreshold ("Center Threshold (alpha level to qualify as center)", Range(0,1)) = 0.75
}

SubShader {
	Tags { "Queue"="Overlay" "IgnoreProjector"="True" "ForceNoShadowCasting"="True" }
	
	GrabPass { Tags { "LightMode" = "Always" } }
	
	Pass {
		Cull Off ZWrite Off ZTest Always Fog { Mode Off } Tags { "LightMode" = "Always" }
		ColorMask RGBA
		//Blend Zero One
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 3 to 3
//   d3d9 - ALU: 7 to 7
//   d3d11 - ALU: 2 to 2, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 2 to 2, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "texcoord" TexCoord0
"!!ARBvp1.0
# 3 ALU
PARAM c[1] = { { -1, 1, 2 } };
MOV result.position.zw, c[0].xyxy;
MAD result.position.xy, vertex.texcoord[0], c[0].z, -c[0].y;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 3 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "texcoord" TexCoord0
Vector 0 [_ScreenParams]
"vs_2_0
; 7 ALU
def c1, 2.00000000, -1.00000000, 0.00000000, 1.00000000
def c2, 0.50000000, 0, 0, 0
dcl_texcoord0 v0
rcp r0.z, c0.x
rcp r0.w, c0.y
add r0.y, -v0, c1.w
mov r0.x, v0
mad oT0.xy, r0.zwzw, c2.x, r0
mov oPos.zw, c1
mad oPos.xy, v0, c1.x, c1.y
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "UnityPerCamera" 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedbecngiaipbnadmnhfiioaphjkdookcgjabaaaaaaamacaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefccmabaaaa
eaaaabaaelaaaaaafjaaaaaeegiocaaaaaaaaaaaahaaaaaafpaaaaaddcbabaaa
abaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaa
giaaaaacabaaaaaadcaaaaapdccabaaaaaaaaaaaegbabaaaabaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaiadpaoaaaaaldcaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaaegiacaaaaaaaaaaaagaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaiadpaaaaialpaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpaaaaaaahdccabaaaabaaaaaaegaabaaaaaaaaaaa
ogakbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD0;
attribute vec4 _glesMultiTexCoord0;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.xy = ((_glesMultiTexCoord0.xy * 2.0) - 1.0);
  tmpvar_1.z = -1.0;
  tmpvar_1.w = 1.0;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
}



#endif
#ifdef FRAGMENT

varying highp vec2 xlv_TEXCOORD0;
uniform lowp float _CenterThreshold;
uniform lowp float _CenterDarkenAmount;
uniform lowp float _GlowMult;
uniform lowp float _GlowThreshold;
uniform highp float _BlurSize;
uniform lowp vec4 _Color;
uniform lowp float _AlphaAdd;
uniform lowp float _AlphaMult;
uniform sampler2D _DBN_PostProcessGlow;
uniform sampler2D _GrabTexture;
uniform highp vec4 _ScreenParams;
void main ()
{
  lowp vec4 orig_1;
  lowp vec4 c_2;
  highp float tmpvar_3;
  tmpvar_3 = xlv_TEXCOORD0.x;
  highp float tmpvar_4;
  tmpvar_4 = (_BlurSize / _ScreenParams.y);
  lowp vec4 tmpvar_5;
  tmpvar_5 = texture2D (_GrabTexture, xlv_TEXCOORD0);
  highp vec2 tmpvar_6;
  tmpvar_6.x = tmpvar_3;
  tmpvar_6.y = (xlv_TEXCOORD0.y + tmpvar_4);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_3;
  tmpvar_7.y = (xlv_TEXCOORD0.y + (-1.0 * tmpvar_4));
  highp vec2 tmpvar_8;
  tmpvar_8.x = tmpvar_3;
  tmpvar_8.y = (xlv_TEXCOORD0.y + (2.0 * tmpvar_4));
  highp vec2 tmpvar_9;
  tmpvar_9.x = tmpvar_3;
  tmpvar_9.y = (xlv_TEXCOORD0.y + (-2.0 * tmpvar_4));
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_3;
  tmpvar_10.y = (xlv_TEXCOORD0.y + (3.0 * tmpvar_4));
  highp vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_3;
  tmpvar_11.y = (xlv_TEXCOORD0.y + (-3.0 * tmpvar_4));
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_3;
  tmpvar_12.y = (xlv_TEXCOORD0.y + (4.0 * tmpvar_4));
  highp vec2 tmpvar_13;
  tmpvar_13.x = tmpvar_3;
  tmpvar_13.y = (xlv_TEXCOORD0.y + (-4.0 * tmpvar_4));
  lowp vec4 tmpvar_14;
  tmpvar_14 = max ((((((((((tmpvar_5 * 0.18) + (texture2D (_GrabTexture, tmpvar_6) * 0.15)) + (texture2D (_GrabTexture, tmpvar_7) * 0.15)) + (texture2D (_GrabTexture, tmpvar_8) * 0.12)) + (texture2D (_GrabTexture, tmpvar_9) * 0.12)) + (texture2D (_GrabTexture, tmpvar_10) * 0.09)) + (texture2D (_GrabTexture, tmpvar_11) * 0.09)) + (texture2D (_GrabTexture, tmpvar_12) * 0.05)) + (texture2D (_GrabTexture, tmpvar_13) * 0.05)), tmpvar_5);
  c_2.w = tmpvar_14.w;
  c_2.xyz = (tmpvar_14.xyz * ((_Color.xyz * _GlowMult) * tmpvar_14.w));
  c_2.xyz = clamp (((c_2.xyz - _GlowThreshold) / (1.0 - _GlowThreshold)), 0.0, 1.0);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2D (_DBN_PostProcessGlow, xlv_TEXCOORD0);
  orig_1.xyz = tmpvar_15.xyz;
  orig_1.w = clamp (((tmpvar_15.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  c_2.w = max (tmpvar_14.w, orig_1.w);
  if ((orig_1.w > _CenterThreshold)) {
    c_2.xyz = (c_2.xyz * (1.0 - (((orig_1.w - _CenterThreshold) / (1.0 - _CenterThreshold)) * _CenterDarkenAmount)));
    c_2.xyz = clamp (c_2.xyz, 0.0, 1.0);
  };
  c_2.xyz = (c_2.xyz + tmpvar_15.xyz);
  gl_FragData[0] = c_2;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD0;
attribute vec4 _glesMultiTexCoord0;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.xy = ((_glesMultiTexCoord0.xy * 2.0) - 1.0);
  tmpvar_1.z = -1.0;
  tmpvar_1.w = 1.0;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
}



#endif
#ifdef FRAGMENT

varying highp vec2 xlv_TEXCOORD0;
uniform lowp float _CenterThreshold;
uniform lowp float _CenterDarkenAmount;
uniform lowp float _GlowMult;
uniform lowp float _GlowThreshold;
uniform highp float _BlurSize;
uniform lowp vec4 _Color;
uniform lowp float _AlphaAdd;
uniform lowp float _AlphaMult;
uniform sampler2D _DBN_PostProcessGlow;
uniform sampler2D _GrabTexture;
uniform highp vec4 _ScreenParams;
void main ()
{
  lowp vec4 orig_1;
  lowp vec4 c_2;
  highp float tmpvar_3;
  tmpvar_3 = xlv_TEXCOORD0.x;
  highp float tmpvar_4;
  tmpvar_4 = (_BlurSize / _ScreenParams.y);
  lowp vec4 tmpvar_5;
  tmpvar_5 = texture2D (_GrabTexture, xlv_TEXCOORD0);
  highp vec2 tmpvar_6;
  tmpvar_6.x = tmpvar_3;
  tmpvar_6.y = (xlv_TEXCOORD0.y + tmpvar_4);
  highp vec2 tmpvar_7;
  tmpvar_7.x = tmpvar_3;
  tmpvar_7.y = (xlv_TEXCOORD0.y + (-1.0 * tmpvar_4));
  highp vec2 tmpvar_8;
  tmpvar_8.x = tmpvar_3;
  tmpvar_8.y = (xlv_TEXCOORD0.y + (2.0 * tmpvar_4));
  highp vec2 tmpvar_9;
  tmpvar_9.x = tmpvar_3;
  tmpvar_9.y = (xlv_TEXCOORD0.y + (-2.0 * tmpvar_4));
  highp vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_3;
  tmpvar_10.y = (xlv_TEXCOORD0.y + (3.0 * tmpvar_4));
  highp vec2 tmpvar_11;
  tmpvar_11.x = tmpvar_3;
  tmpvar_11.y = (xlv_TEXCOORD0.y + (-3.0 * tmpvar_4));
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_3;
  tmpvar_12.y = (xlv_TEXCOORD0.y + (4.0 * tmpvar_4));
  highp vec2 tmpvar_13;
  tmpvar_13.x = tmpvar_3;
  tmpvar_13.y = (xlv_TEXCOORD0.y + (-4.0 * tmpvar_4));
  lowp vec4 tmpvar_14;
  tmpvar_14 = max ((((((((((tmpvar_5 * 0.18) + (texture2D (_GrabTexture, tmpvar_6) * 0.15)) + (texture2D (_GrabTexture, tmpvar_7) * 0.15)) + (texture2D (_GrabTexture, tmpvar_8) * 0.12)) + (texture2D (_GrabTexture, tmpvar_9) * 0.12)) + (texture2D (_GrabTexture, tmpvar_10) * 0.09)) + (texture2D (_GrabTexture, tmpvar_11) * 0.09)) + (texture2D (_GrabTexture, tmpvar_12) * 0.05)) + (texture2D (_GrabTexture, tmpvar_13) * 0.05)), tmpvar_5);
  c_2.w = tmpvar_14.w;
  c_2.xyz = (tmpvar_14.xyz * ((_Color.xyz * _GlowMult) * tmpvar_14.w));
  c_2.xyz = clamp (((c_2.xyz - _GlowThreshold) / (1.0 - _GlowThreshold)), 0.0, 1.0);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2D (_DBN_PostProcessGlow, xlv_TEXCOORD0);
  orig_1.xyz = tmpvar_15.xyz;
  orig_1.w = clamp (((tmpvar_15.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  c_2.w = max (tmpvar_14.w, orig_1.w);
  if ((orig_1.w > _CenterThreshold)) {
    c_2.xyz = (c_2.xyz * (1.0 - (((orig_1.w - _CenterThreshold) / (1.0 - _CenterThreshold)) * _CenterDarkenAmount)));
    c_2.xyz = clamp (c_2.xyz, 0.0, 1.0);
  };
  c_2.xyz = (c_2.xyz + tmpvar_15.xyz);
  gl_FragData[0] = c_2;
}



#endif"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "UnityPerCamera" 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1
eefiecedneniapgabafacofpjoodoblpmlmbbcbnabaaaaaaamadaaaaaeaaaaaa
daaaaaaacmabaaaagaacaaaaleacaaaaebgpgodjpeaaaaaapeaaaaaaaaacpopp
maaaaaaadeaaaaaaabaaceaaaaaadaaaaaaadaaaaaaaceaaabaadaaaaaaaagaa
abaaabaaaaaaaaaaaaaaaaaaaaacpoppfbaaaaafacaaapkaaaaaaaeaaaaaiadp
aaaaialpaaaaaaaafbaaaaafadaaapkaaaaaaadpaaaaaaaaaaaaaaaaaaaaaaaa
bpaaaaacafaaabiaabaaapjaagaaaaacaaaaabiaabaaaakaagaaaaacaaaaacia
abaaffkaaeaaaaaeaaaaamiaabaaeejaacaajekaacaahekaaeaaaaaeaaaaadoa
aaaaoeiaadaaaakaaaaaooiaabaaaaacaaaaabiaacaaaakaaeaaaaaeaaaaadia
abaaoejaaaaaaaiaaaaaoekaacaaaaadaaaaadmaaaaaoeiaacaakkkaabaaaaac
aaaaammaacaahekappppaaaafdeieefccmabaaaaeaaaabaaelaaaaaafjaaaaae
egiocaaaaaaaaaaaahaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaagiaaaaacabaaaaaadcaaaaap
dccabaaaaaaaaaaaegbabaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaa
aaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaadgaaaaaimccabaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpaoaaaaaldcaabaaa
aaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaegiacaaaaaaaaaaa
agaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaiadpaaaaialpaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
aaaaaaahdccabaaaabaaaaaaegaabaaaaaaaaaaaogakbaaaaaaaaaaadoaaaaab
ejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaaebaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadadaaaa
faepfdejfeejepeoaafeeffiedepepfceeaaklklepfdeheofaaaaaaaacaaaaaa
aiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklkl"
}

SubProgram "gles3 " {
Keywords { }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;

#line 150
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 186
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 180
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 312
struct pp_v2f {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 306
struct pp_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 333
struct pp_notex_v2f {
    highp vec4 vertex;
};
#line 327
struct pp_notex_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[4];
uniform highp vec4 unity_LightPosition[4];
uniform highp vec4 unity_LightAtten[4];
#line 19
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
uniform highp vec4 unity_SHBr;
#line 23
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
#line 27
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
uniform highp vec4 _LightSplitsNear;
#line 31
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
uniform highp vec4 unity_ShadowFadeCenterAndType;
#line 35
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
uniform highp mat4 _Object2World;
#line 39
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
uniform highp mat4 glstate_matrix_texture0;
#line 43
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
uniform highp mat4 glstate_matrix_projection;
#line 47
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
uniform lowp vec4 unity_ColorSpaceGrey;
#line 76
#line 81
#line 86
#line 90
#line 95
#line 119
#line 136
#line 157
#line 165
#line 192
#line 205
#line 214
#line 219
#line 228
#line 233
#line 242
#line 259
#line 264
#line 290
#line 298
#line 302
#line 318
#line 338
#line 346
#line 352
#line 356
#line 370
#line 374
uniform sampler2D _GrabTexture;
uniform sampler2D _DBN_PostProcessGlow;
#line 390
uniform lowp float _AlphaMult;
uniform lowp float _AlphaAdd;
uniform lowp vec4 _Color;
uniform highp float _BlurSize;
#line 394
uniform lowp float _GlowThreshold;
uniform lowp float _GlowMult;
uniform lowp float _CenterDarkenAmount;
uniform lowp float _CenterThreshold;
#line 398
#line 318
pp_v2f pp_vert( in pp_appdata_t v ) {
    pp_v2f o;
    o.vertex.xy = ((v.texcoord * 2.0) - 1.0);
    #line 322
    o.vertex.z = -1.0;
    o.vertex.w = 1.0;
    o.texcoord = v.texcoord;
    return o;
}
out highp vec2 xlv_TEXCOORD0;
void main() {
    pp_v2f xl_retval;
    pp_appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = pp_vert( xlt_v);
    gl_Position = vec4(xl_retval.vertex);
    xlv_TEXCOORD0 = vec2(xl_retval.texcoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 150
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 186
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 180
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 312
struct pp_v2f {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 306
struct pp_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 333
struct pp_notex_v2f {
    highp vec4 vertex;
};
#line 327
struct pp_notex_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[4];
uniform highp vec4 unity_LightPosition[4];
uniform highp vec4 unity_LightAtten[4];
#line 19
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
uniform highp vec4 unity_SHBr;
#line 23
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
#line 27
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
uniform highp vec4 _LightSplitsNear;
#line 31
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
uniform highp vec4 unity_ShadowFadeCenterAndType;
#line 35
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
uniform highp mat4 _Object2World;
#line 39
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
uniform highp mat4 glstate_matrix_texture0;
#line 43
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
uniform highp mat4 glstate_matrix_projection;
#line 47
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
uniform lowp vec4 unity_ColorSpaceGrey;
#line 76
#line 81
#line 86
#line 90
#line 95
#line 119
#line 136
#line 157
#line 165
#line 192
#line 205
#line 214
#line 219
#line 228
#line 233
#line 242
#line 259
#line 264
#line 290
#line 298
#line 302
#line 318
#line 338
#line 346
#line 352
#line 356
#line 370
#line 374
uniform sampler2D _GrabTexture;
uniform sampler2D _DBN_PostProcessGlow;
#line 390
uniform lowp float _AlphaMult;
uniform lowp float _AlphaAdd;
uniform lowp vec4 _Color;
uniform highp float _BlurSize;
#line 394
uniform lowp float _GlowThreshold;
uniform lowp float _GlowMult;
uniform lowp float _CenterDarkenAmount;
uniform lowp float _CenterThreshold;
#line 398
#line 398
lowp vec4 frag( in pp_v2f i ) {
    highp float x = i.texcoord.x;
    highp float y = i.texcoord.y;
    #line 402
    highp float scale = (_BlurSize / _ScreenParams.y);
    lowp vec4 center = texture( _GrabTexture, i.texcoord);
    lowp vec4 c = (((((((((center * 0.18) + (texture( _GrabTexture, vec2( x, (y + (1.0 * scale)))) * 0.15)) + (texture( _GrabTexture, vec2( x, (y + (-1.0 * scale)))) * 0.15)) + (texture( _GrabTexture, vec2( x, (y + (2.0 * scale)))) * 0.12)) + (texture( _GrabTexture, vec2( x, (y + (-2.0 * scale)))) * 0.12)) + (texture( _GrabTexture, vec2( x, (y + (3.0 * scale)))) * 0.09)) + (texture( _GrabTexture, vec2( x, (y + (-3.0 * scale)))) * 0.09)) + (texture( _GrabTexture, vec2( x, (y + (4.0 * scale)))) * 0.05)) + (texture( _GrabTexture, vec2( x, (y + (-4.0 * scale)))) * 0.05));
    c = max( c, center);
    #line 406
    c.xyz *= ((_Color.xyz * _GlowMult) * c.w);
    c.xyz = xll_saturate_vf3(((c.xyz - _GlowThreshold) / (1.0 - _GlowThreshold)));
    lowp vec4 orig = texture( _DBN_PostProcessGlow, i.texcoord);
    orig.w = xll_saturate_f(((orig.w * _AlphaMult) + _AlphaAdd));
    #line 410
    c.w = max( c.w, orig.w);
    if ((orig.w > _CenterThreshold)){
        c.xyz *= (1.0 - (((orig.w - _CenterThreshold) / (1.0 - _CenterThreshold)) * _CenterDarkenAmount));
        #line 414
        c.xyz = xll_saturate_vf3(c.xyz);
    }
    c.xyz += orig.xyz;
    return c;
}
in highp vec2 xlv_TEXCOORD0;
void main() {
    lowp vec4 xl_retval;
    pp_v2f xlt_i;
    xlt_i.vertex = vec4(0.0);
    xlt_i.texcoord = vec2(xlv_TEXCOORD0);
    xl_retval = frag( xlt_i);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 59 to 59, TEX: 10 to 10
//   d3d9 - ALU: 52 to 52, TEX: 10 to 10
//   d3d11 - ALU: 16 to 16, TEX: 10 to 10, FLOW: 1 to 1
//   d3d11_9x - ALU: 16 to 16, TEX: 10 to 10, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_AlphaMult]
Float 2 [_AlphaAdd]
Vector 3 [_Color]
Float 4 [_BlurSize]
Float 5 [_GlowThreshold]
Float 6 [_GlowMult]
Float 7 [_CenterDarkenAmount]
Float 8 [_CenterThreshold]
SetTexture 0 [_GrabTexture] 2D
SetTexture 1 [_DBN_PostProcessGlow] 2D
"!!ARBfp1.0
# 59 ALU, 10 TEX
PARAM c[12] = { program.local[0..8],
		{ -4, 0.050000001, 4, -3 },
		{ 0.090000004, 3, -2, 0.12 },
		{ 2, 0.15000001, 0.18005371, 1 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEMP R4;
TEMP R5;
TEMP R6;
TEMP R7;
TEMP R8;
TEMP R9;
TEMP R10;
TEX R9, fragment.texcoord[0], texture[0], 2D;
RCP R0.x, c[0].y;
MUL R0.x, R0, c[4];
ADD R8.y, fragment.texcoord[0], R0.x;
MOV R8.x, fragment.texcoord[0];
ADD R7.y, fragment.texcoord[0], -R0.x;
MOV R7.x, fragment.texcoord[0];
MAD R6.y, R0.x, c[11].x, fragment.texcoord[0];
MOV R6.x, fragment.texcoord[0];
MAD R5.y, R0.x, c[10].z, fragment.texcoord[0];
MOV R5.x, fragment.texcoord[0];
MAD R4.y, R0.x, c[10], fragment.texcoord[0];
MOV R4.x, fragment.texcoord[0];
MAD R3.y, R0.x, c[9].w, fragment.texcoord[0];
MOV R3.x, fragment.texcoord[0];
MAD R2.y, R0.x, c[9].z, fragment.texcoord[0];
MAD R1.y, R0.x, c[9].x, fragment.texcoord[0];
MOV R2.x, fragment.texcoord[0];
MOV R1.x, fragment.texcoord[0];
MUL R10, R9, c[11].z;
TEX R8, R8, texture[0], 2D;
TEX R0, fragment.texcoord[0], texture[1], 2D;
TEX R1, R1, texture[0], 2D;
TEX R2, R2, texture[0], 2D;
TEX R3, R3, texture[0], 2D;
TEX R4, R4, texture[0], 2D;
TEX R5, R5, texture[0], 2D;
TEX R6, R6, texture[0], 2D;
TEX R7, R7, texture[0], 2D;
MAD R8, R8, c[11].y, R10;
MAD R7, R7, c[11].y, R8;
MAD R6, R6, c[10].w, R7;
MAD R5, R5, c[10].w, R6;
MAD R4, R4, c[10].x, R5;
MAD R3, R3, c[10].x, R4;
MAD R2, R2, c[9].y, R3;
MAD R1, R1, c[9].y, R2;
MOV R3.x, c[6];
MAX R1, R1, R9;
MUL R2.xyz, R3.x, c[3];
MUL R2.xyz, R1.w, R2;
MAD R1.xyz, R1, R2, -c[5].x;
MOV R2.y, c[2].x;
MAD_SAT R0.w, R0, c[1].x, R2.y;
MOV R2.x, c[11].w;
ADD R2.y, R2.x, -c[8].x;
RCP R2.w, R2.y;
ADD R2.z, R0.w, -c[8].x;
ADD R2.y, R2.x, -c[5].x;
MUL R2.w, R2.z, R2;
RCP R2.y, R2.y;
MUL_SAT R1.xyz, R1, R2.y;
MAD R2.x, -R2.w, c[7], R2;
MUL R3.xyz, R1, R2.x;
CMP R1.xyz, -R2.z, R3, R1;
MOV_SAT R3.xyz, R1;
CMP R1.xyz, -R2.z, R3, R1;
ADD result.color.xyz, R1, R0;
MAX result.color.w, R0, R1;
END
# 59 instructions, 11 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_AlphaMult]
Float 2 [_AlphaAdd]
Vector 3 [_Color]
Float 4 [_BlurSize]
Float 5 [_GlowThreshold]
Float 6 [_GlowMult]
Float 7 [_CenterDarkenAmount]
Float 8 [_CenterThreshold]
SetTexture 0 [_GrabTexture] 2D
SetTexture 1 [_DBN_PostProcessGlow] 2D
"ps_2_0
; 52 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
def c9, -4.00000000, 4.00000000, -3.00000000, 3.00000000
def c10, -2.00000000, 2.00000000, 0.18005371, 0.15000001
def c11, 0.12000000, 0.09000000, 0.05000000, 1.00000000
dcl t0.xy
texld r9, t0, s1
rcp r0.x, c0.y
mul r4.x, r0, c4
add r0.y, t0, -r4.x
mad r2.y, r4.x, c10, t0
mad r3.y, r4.x, c10.x, t0
add r1.y, t0, r4.x
mov r1.x, t0
mov r0.x, t0
mov r2.x, t0
mov r3.x, t0
mad r5.y, r4.x, c9.w, t0
mov r5.x, t0
mad r6.y, r4.x, c9.z, t0
mov r6.x, t0
mad r7.y, r4.x, c9, t0
mad r8.y, r4.x, c9.x, t0
mov r7.x, t0
mov r8.x, t0
texld r4, r3, s0
texld r3, r2, s0
texld r2, r0, s0
texld r8, r8, s0
texld r7, r7, s0
texld r6, r6, s0
texld r5, r5, s0
texld r0, t0, s0
texld r1, r1, s0
mul_pp r10, r0, c10.z
mad r1, r1, c10.w, r10
mad r1, r2, c10.w, r1
mad r1, r3, c11.x, r1
mov_pp r2.xyz, c3
mov_pp r3.x, c5
add_pp r3.x, c11.w, -r3
mul_pp r2.xyz, c6.x, r2
mad r1, r4, c11.x, r1
mad r1, r5, c11.y, r1
mad r1, r6, c11.y, r1
mad r1, r7, c11.z, r1
mad r1, r8, c11.z, r1
max_pp r1, r1, r0
mul_pp r0.xyz, r1.w, r2
mad_pp r4.xyz, r1, r0, -c5.x
mov_pp r1.x, c8
add_pp r2.x, c11.w, -r1
mov_pp r0.x, c2
mad_pp_sat r0.x, r9.w, c1, r0
rcp_pp r3.x, r3.x
add_pp r1.x, r0, -c8
rcp_pp r2.x, r2.x
mul_pp_sat r3.xyz, r4, r3.x
mul_pp r2.x, r1, r2
mov_pp r0.w, c11
mad_pp r2.x, -r2, c7, r0.w
mul_pp r2.xyz, r3, r2.x
cmp_pp r2.xyz, -r1.x, r3, r2
mov_pp_sat r3.xyz, r2
max_pp r0.w, r0.x, r1
cmp_pp r1.xyz, -r1.x, r2, r3
add_pp r0.xyz, r1, r9
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 80 // 68 used size, 9 vars
Float 16 [_AlphaMult]
Float 20 [_AlphaAdd]
Vector 32 [_Color] 4
Float 48 [_BlurSize]
Float 52 [_GlowThreshold]
Float 56 [_GlowMult]
Float 60 [_CenterDarkenAmount]
Float 64 [_CenterThreshold]
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_GrabTexture] 2D 0
SetTexture 1 [_DBN_PostProcessGlow] 2D 1
// 48 instructions, 5 temp regs, 0 temp arrays:
// ALU 16 float, 0 int, 0 uint
// TEX 10 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { }
"!!GLES"
}

SubProgram "d3d11_9x " {
Keywords { }
ConstBuffer "$Globals" 80 // 68 used size, 9 vars
Float 16 [_AlphaMult]
Float 20 [_AlphaAdd]
Vector 32 [_Color] 4
Float 48 [_BlurSize]
Float 52 [_GlowThreshold]
Float 56 [_GlowMult]
Float 60 [_CenterDarkenAmount]
Float 64 [_CenterThreshold]
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_GrabTexture] 2D 0
SetTexture 1 [_DBN_PostProcessGlow] 2D 1
// 48 instructions, 5 temp regs, 0 temp arrays:
// ALU 16 float, 0 int, 0 uint
// TEX 10 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1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"
}

SubProgram "gles3 " {
Keywords { }
"!!GLES3"
}

}

#LINE 78

	}
}

SubShader {
    Pass {
    	// don't draw anything
		Lighting Off
		ColorMask 0
        ZWrite Off
        Cull Front
    }
}
}
