﻿// Copyright 2013 DeathByNukes

Shader "ppGlowStart" {
Properties {
	_AlphaMult ("Alpha Multiplier", float) = 1
	_AlphaAdd ("Alpha Offset", float) = 0
	_BlurSize ("Blur Size", float) = 1
}

SubShader {
	Tags { "Queue"="Overlay" "IgnoreProjector"="True" "ForceNoShadowCasting"="True" }
	
	GrabPass { "_DBN_PostProcessGlow" Tags { "LightMode" = "Always" } }
	
	Pass {
		Cull Off ZWrite Off ZTest Always Fog { Mode Off } Tags { "LightMode" = "Always" }
		ColorMask RGBA
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 3 to 3
//   d3d9 - ALU: 7 to 7
//   d3d11 - ALU: 2 to 2, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 2 to 2, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "texcoord" TexCoord0
"!!ARBvp1.0
# 3 ALU
PARAM c[1] = { { -1, 1, 2 } };
MOV result.position.zw, c[0].xyxy;
MAD result.position.xy, vertex.texcoord[0], c[0].z, -c[0].y;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 3 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "texcoord" TexCoord0
Vector 0 [_ScreenParams]
"vs_2_0
; 7 ALU
def c1, 2.00000000, -1.00000000, 0.00000000, 1.00000000
def c2, 0.50000000, 0, 0, 0
dcl_texcoord0 v0
rcp r0.z, c0.x
rcp r0.w, c0.y
add r0.y, -v0, c1.w
mov r0.x, v0
mad oT0.xy, r0.zwzw, c2.x, r0
mov oPos.zw, c1
mad oPos.xy, v0, c1.x, c1.y
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "UnityPerCamera" 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedbecngiaipbnadmnhfiioaphjkdookcgjabaaaaaaamacaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefccmabaaaa
eaaaabaaelaaaaaafjaaaaaeegiocaaaaaaaaaaaahaaaaaafpaaaaaddcbabaaa
abaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaa
giaaaaacabaaaaaadcaaaaapdccabaaaaaaaaaaaegbabaaaabaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaiadpaoaaaaaldcaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaaegiacaaaaaaaaaaaagaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaiadpaaaaialpaceaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaiadpaaaaaaahdccabaaaabaaaaaaegaabaaaaaaaaaaa
ogakbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD0;
attribute vec4 _glesMultiTexCoord0;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.xy = ((_glesMultiTexCoord0.xy * 2.0) - 1.0);
  tmpvar_1.z = -1.0;
  tmpvar_1.w = 1.0;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
}



#endif
#ifdef FRAGMENT

varying highp vec2 xlv_TEXCOORD0;
uniform highp float _BlurSize;
uniform lowp float _AlphaAdd;
uniform lowp float _AlphaMult;
uniform sampler2D _DBN_PostProcessGlow;
uniform highp vec4 _ScreenParams;
void main ()
{
  highp float tmpvar_1;
  tmpvar_1 = xlv_TEXCOORD0.y;
  highp float tmpvar_2;
  tmpvar_2 = (_BlurSize / _ScreenParams.x);
  lowp vec4 tmpvar_3;
  tmpvar_3 = texture2D (_DBN_PostProcessGlow, xlv_TEXCOORD0);
  lowp vec4 c_4;
  c_4.xyz = tmpvar_3.xyz;
  c_4.w = clamp (((tmpvar_3.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_5;
  tmpvar_5.x = (xlv_TEXCOORD0.x + tmpvar_2);
  tmpvar_5.y = tmpvar_1;
  lowp vec4 tmpvar_6;
  tmpvar_6 = texture2D (_DBN_PostProcessGlow, tmpvar_5);
  lowp vec4 c_7;
  c_7.xyz = tmpvar_6.xyz;
  c_7.w = clamp (((tmpvar_6.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_8;
  tmpvar_8.x = (xlv_TEXCOORD0.x + (-1.0 * tmpvar_2));
  tmpvar_8.y = tmpvar_1;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_DBN_PostProcessGlow, tmpvar_8);
  lowp vec4 c_10;
  c_10.xyz = tmpvar_9.xyz;
  c_10.w = clamp (((tmpvar_9.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_11;
  tmpvar_11.x = (xlv_TEXCOORD0.x + (2.0 * tmpvar_2));
  tmpvar_11.y = tmpvar_1;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_DBN_PostProcessGlow, tmpvar_11);
  lowp vec4 c_13;
  c_13.xyz = tmpvar_12.xyz;
  c_13.w = clamp (((tmpvar_12.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_14;
  tmpvar_14.x = (xlv_TEXCOORD0.x + (-2.0 * tmpvar_2));
  tmpvar_14.y = tmpvar_1;
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2D (_DBN_PostProcessGlow, tmpvar_14);
  lowp vec4 c_16;
  c_16.xyz = tmpvar_15.xyz;
  c_16.w = clamp (((tmpvar_15.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_17;
  tmpvar_17.x = (xlv_TEXCOORD0.x + (3.0 * tmpvar_2));
  tmpvar_17.y = tmpvar_1;
  lowp vec4 tmpvar_18;
  tmpvar_18 = texture2D (_DBN_PostProcessGlow, tmpvar_17);
  lowp vec4 c_19;
  c_19.xyz = tmpvar_18.xyz;
  c_19.w = clamp (((tmpvar_18.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_20;
  tmpvar_20.x = (xlv_TEXCOORD0.x + (-3.0 * tmpvar_2));
  tmpvar_20.y = tmpvar_1;
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2D (_DBN_PostProcessGlow, tmpvar_20);
  lowp vec4 c_22;
  c_22.xyz = tmpvar_21.xyz;
  c_22.w = clamp (((tmpvar_21.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_23;
  tmpvar_23.x = (xlv_TEXCOORD0.x + (4.0 * tmpvar_2));
  tmpvar_23.y = tmpvar_1;
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2D (_DBN_PostProcessGlow, tmpvar_23);
  lowp vec4 c_25;
  c_25.xyz = tmpvar_24.xyz;
  c_25.w = clamp (((tmpvar_24.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_26;
  tmpvar_26.x = (xlv_TEXCOORD0.x + (-4.0 * tmpvar_2));
  tmpvar_26.y = tmpvar_1;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2D (_DBN_PostProcessGlow, tmpvar_26);
  lowp vec4 c_28;
  c_28.xyz = tmpvar_27.xyz;
  c_28.w = clamp (((tmpvar_27.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  gl_FragData[0] = max ((((((((((c_4 * 0.18) + (c_7 * 0.15)) + (c_10 * 0.15)) + (c_13 * 0.12)) + (c_16 * 0.12)) + (c_19 * 0.09)) + (c_22 * 0.09)) + (c_25 * 0.05)) + (c_28 * 0.05)), c_4);
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD0;
attribute vec4 _glesMultiTexCoord0;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.xy = ((_glesMultiTexCoord0.xy * 2.0) - 1.0);
  tmpvar_1.z = -1.0;
  tmpvar_1.w = 1.0;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
}



#endif
#ifdef FRAGMENT

varying highp vec2 xlv_TEXCOORD0;
uniform highp float _BlurSize;
uniform lowp float _AlphaAdd;
uniform lowp float _AlphaMult;
uniform sampler2D _DBN_PostProcessGlow;
uniform highp vec4 _ScreenParams;
void main ()
{
  highp float tmpvar_1;
  tmpvar_1 = xlv_TEXCOORD0.y;
  highp float tmpvar_2;
  tmpvar_2 = (_BlurSize / _ScreenParams.x);
  lowp vec4 tmpvar_3;
  tmpvar_3 = texture2D (_DBN_PostProcessGlow, xlv_TEXCOORD0);
  lowp vec4 c_4;
  c_4.xyz = tmpvar_3.xyz;
  c_4.w = clamp (((tmpvar_3.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_5;
  tmpvar_5.x = (xlv_TEXCOORD0.x + tmpvar_2);
  tmpvar_5.y = tmpvar_1;
  lowp vec4 tmpvar_6;
  tmpvar_6 = texture2D (_DBN_PostProcessGlow, tmpvar_5);
  lowp vec4 c_7;
  c_7.xyz = tmpvar_6.xyz;
  c_7.w = clamp (((tmpvar_6.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_8;
  tmpvar_8.x = (xlv_TEXCOORD0.x + (-1.0 * tmpvar_2));
  tmpvar_8.y = tmpvar_1;
  lowp vec4 tmpvar_9;
  tmpvar_9 = texture2D (_DBN_PostProcessGlow, tmpvar_8);
  lowp vec4 c_10;
  c_10.xyz = tmpvar_9.xyz;
  c_10.w = clamp (((tmpvar_9.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_11;
  tmpvar_11.x = (xlv_TEXCOORD0.x + (2.0 * tmpvar_2));
  tmpvar_11.y = tmpvar_1;
  lowp vec4 tmpvar_12;
  tmpvar_12 = texture2D (_DBN_PostProcessGlow, tmpvar_11);
  lowp vec4 c_13;
  c_13.xyz = tmpvar_12.xyz;
  c_13.w = clamp (((tmpvar_12.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_14;
  tmpvar_14.x = (xlv_TEXCOORD0.x + (-2.0 * tmpvar_2));
  tmpvar_14.y = tmpvar_1;
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2D (_DBN_PostProcessGlow, tmpvar_14);
  lowp vec4 c_16;
  c_16.xyz = tmpvar_15.xyz;
  c_16.w = clamp (((tmpvar_15.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_17;
  tmpvar_17.x = (xlv_TEXCOORD0.x + (3.0 * tmpvar_2));
  tmpvar_17.y = tmpvar_1;
  lowp vec4 tmpvar_18;
  tmpvar_18 = texture2D (_DBN_PostProcessGlow, tmpvar_17);
  lowp vec4 c_19;
  c_19.xyz = tmpvar_18.xyz;
  c_19.w = clamp (((tmpvar_18.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_20;
  tmpvar_20.x = (xlv_TEXCOORD0.x + (-3.0 * tmpvar_2));
  tmpvar_20.y = tmpvar_1;
  lowp vec4 tmpvar_21;
  tmpvar_21 = texture2D (_DBN_PostProcessGlow, tmpvar_20);
  lowp vec4 c_22;
  c_22.xyz = tmpvar_21.xyz;
  c_22.w = clamp (((tmpvar_21.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_23;
  tmpvar_23.x = (xlv_TEXCOORD0.x + (4.0 * tmpvar_2));
  tmpvar_23.y = tmpvar_1;
  lowp vec4 tmpvar_24;
  tmpvar_24 = texture2D (_DBN_PostProcessGlow, tmpvar_23);
  lowp vec4 c_25;
  c_25.xyz = tmpvar_24.xyz;
  c_25.w = clamp (((tmpvar_24.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  highp vec2 tmpvar_26;
  tmpvar_26.x = (xlv_TEXCOORD0.x + (-4.0 * tmpvar_2));
  tmpvar_26.y = tmpvar_1;
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2D (_DBN_PostProcessGlow, tmpvar_26);
  lowp vec4 c_28;
  c_28.xyz = tmpvar_27.xyz;
  c_28.w = clamp (((tmpvar_27.w * _AlphaMult) + _AlphaAdd), 0.0, 1.0);
  gl_FragData[0] = max ((((((((((c_4 * 0.18) + (c_7 * 0.15)) + (c_10 * 0.15)) + (c_13 * 0.12)) + (c_16 * 0.12)) + (c_19 * 0.09)) + (c_22 * 0.09)) + (c_25 * 0.05)) + (c_28 * 0.05)), c_4);
}



#endif"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "UnityPerCamera" 0
// 6 instructions, 1 temp regs, 0 temp arrays:
// ALU 2 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1
eefiecedneniapgabafacofpjoodoblpmlmbbcbnabaaaaaaamadaaaaaeaaaaaa
daaaaaaacmabaaaagaacaaaaleacaaaaebgpgodjpeaaaaaapeaaaaaaaaacpopp
maaaaaaadeaaaaaaabaaceaaaaaadaaaaaaadaaaaaaaceaaabaadaaaaaaaagaa
abaaabaaaaaaaaaaaaaaaaaaaaacpoppfbaaaaafacaaapkaaaaaaaeaaaaaiadp
aaaaialpaaaaaaaafbaaaaafadaaapkaaaaaaadpaaaaaaaaaaaaaaaaaaaaaaaa
bpaaaaacafaaabiaabaaapjaagaaaaacaaaaabiaabaaaakaagaaaaacaaaaacia
abaaffkaaeaaaaaeaaaaamiaabaaeejaacaajekaacaahekaaeaaaaaeaaaaadoa
aaaaoeiaadaaaakaaaaaooiaabaaaaacaaaaabiaacaaaakaaeaaaaaeaaaaadia
abaaoejaaaaaaaiaaaaaoekaacaaaaadaaaaadmaaaaaoeiaacaakkkaabaaaaac
aaaaammaacaahekappppaaaafdeieefccmabaaaaeaaaabaaelaaaaaafjaaaaae
egiocaaaaaaaaaaaahaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaagiaaaaacabaaaaaadcaaaaap
dccabaaaaaaaaaaaegbabaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaa
aaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaadgaaaaaimccabaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadpaoaaaaaldcaabaaa
aaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaegiacaaaaaaaaaaa
agaaaaaadcaaaaapmcaabaaaaaaaaaaaagbebaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaiadpaaaaialpaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaiadp
aaaaaaahdccabaaaabaaaaaaegaabaaaaaaaaaaaogakbaaaaaaaaaaadoaaaaab
ejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaaebaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadadaaaa
faepfdejfeejepeoaafeeffiedepepfceeaaklklepfdeheofaaaaaaaacaaaaaa
aiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklkl"
}

SubProgram "gles3 " {
Keywords { }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;

#line 150
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 186
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 180
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 312
struct pp_v2f {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 306
struct pp_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 333
struct pp_notex_v2f {
    highp vec4 vertex;
};
#line 327
struct pp_notex_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[4];
uniform highp vec4 unity_LightPosition[4];
uniform highp vec4 unity_LightAtten[4];
#line 19
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
uniform highp vec4 unity_SHBr;
#line 23
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
#line 27
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
uniform highp vec4 _LightSplitsNear;
#line 31
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
uniform highp vec4 unity_ShadowFadeCenterAndType;
#line 35
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
uniform highp mat4 _Object2World;
#line 39
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
uniform highp mat4 glstate_matrix_texture0;
#line 43
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
uniform highp mat4 glstate_matrix_projection;
#line 47
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
uniform lowp vec4 unity_ColorSpaceGrey;
#line 76
#line 81
#line 86
#line 90
#line 95
#line 119
#line 136
#line 157
#line 165
#line 192
#line 205
#line 214
#line 219
#line 228
#line 233
#line 242
#line 259
#line 264
#line 290
#line 298
#line 302
#line 318
#line 338
#line 346
#line 352
#line 356
#line 370
#line 374
uniform sampler2D _DBN_PostProcessGlow;
uniform lowp float _AlphaMult;
#line 390
uniform lowp float _AlphaAdd;
uniform highp float _BlurSize;
#line 318
pp_v2f pp_vert( in pp_appdata_t v ) {
    pp_v2f o;
    o.vertex.xy = ((v.texcoord * 2.0) - 1.0);
    #line 322
    o.vertex.z = -1.0;
    o.vertex.w = 1.0;
    o.texcoord = v.texcoord;
    return o;
}
out highp vec2 xlv_TEXCOORD0;
void main() {
    pp_v2f xl_retval;
    pp_appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.texcoord = vec2(gl_MultiTexCoord0);
    xl_retval = pp_vert( xlt_v);
    gl_Position = vec4(xl_retval.vertex);
    xlv_TEXCOORD0 = vec2(xl_retval.texcoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 150
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 186
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 180
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 312
struct pp_v2f {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 306
struct pp_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
#line 333
struct pp_notex_v2f {
    highp vec4 vertex;
};
#line 327
struct pp_notex_appdata_t {
    highp vec4 vertex;
    highp vec2 texcoord;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[4];
uniform highp vec4 unity_LightPosition[4];
uniform highp vec4 unity_LightAtten[4];
#line 19
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
uniform highp vec4 unity_SHBr;
#line 23
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
#line 27
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
uniform highp vec4 _LightSplitsNear;
#line 31
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
uniform highp vec4 unity_ShadowFadeCenterAndType;
#line 35
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
uniform highp mat4 _Object2World;
#line 39
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
uniform highp mat4 glstate_matrix_texture0;
#line 43
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
uniform highp mat4 glstate_matrix_projection;
#line 47
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
uniform lowp vec4 unity_ColorSpaceGrey;
#line 76
#line 81
#line 86
#line 90
#line 95
#line 119
#line 136
#line 157
#line 165
#line 192
#line 205
#line 214
#line 219
#line 228
#line 233
#line 242
#line 259
#line 264
#line 290
#line 298
#line 302
#line 318
#line 338
#line 346
#line 352
#line 356
#line 370
#line 374
uniform sampler2D _DBN_PostProcessGlow;
uniform lowp float _AlphaMult;
#line 390
uniform lowp float _AlphaAdd;
uniform highp float _BlurSize;
#line 392
lowp vec4 processAlpha( in lowp vec4 c ) {
    #line 394
    c.w = xll_saturate_f(((c.w * _AlphaMult) + _AlphaAdd));
    return c;
}
#line 397
lowp vec4 frag( in pp_v2f i ) {
    #line 399
    highp float x = i.texcoord.x;
    highp float y = i.texcoord.y;
    highp float scale = (_BlurSize / _ScreenParams.x);
    lowp vec4 center = processAlpha( texture( _DBN_PostProcessGlow, i.texcoord));
    #line 403
    lowp vec4 c = (((((((((center * 0.18) + (processAlpha( texture( _DBN_PostProcessGlow, vec2( (x + (1.0 * scale)), y))) * 0.15)) + (processAlpha( texture( _DBN_PostProcessGlow, vec2( (x + (-1.0 * scale)), y))) * 0.15)) + (processAlpha( texture( _DBN_PostProcessGlow, vec2( (x + (2.0 * scale)), y))) * 0.12)) + (processAlpha( texture( _DBN_PostProcessGlow, vec2( (x + (-2.0 * scale)), y))) * 0.12)) + (processAlpha( texture( _DBN_PostProcessGlow, vec2( (x + (3.0 * scale)), y))) * 0.09)) + (processAlpha( texture( _DBN_PostProcessGlow, vec2( (x + (-3.0 * scale)), y))) * 0.09)) + (processAlpha( texture( _DBN_PostProcessGlow, vec2( (x + (4.0 * scale)), y))) * 0.05)) + (processAlpha( texture( _DBN_PostProcessGlow, vec2( (x + (-4.0 * scale)), y))) * 0.05));
    c = max( c, center);
    return c;
}
in highp vec2 xlv_TEXCOORD0;
void main() {
    lowp vec4 xl_retval;
    pp_v2f xlt_i;
    xlt_i.vertex = vec4(0.0);
    xlt_i.texcoord = vec2(xlv_TEXCOORD0);
    xl_retval = frag( xlt_i);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 53 to 53, TEX: 9 to 9
//   d3d9 - ALU: 54 to 54, TEX: 9 to 9
//   d3d11 - ALU: 5 to 5, TEX: 9 to 9, FLOW: 1 to 1
//   d3d11_9x - ALU: 5 to 5, TEX: 9 to 9, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_AlphaMult]
Float 2 [_AlphaAdd]
Float 3 [_BlurSize]
SetTexture 0 [_DBN_PostProcessGlow] 2D
"!!ARBfp1.0
# 53 ALU, 9 TEX
PARAM c[7] = { program.local[0..3],
		{ 0.18005371, 0.15002441, 2, 0.11999512 },
		{ -2, 3, 0.090026855, -3 },
		{ 4, 0.049987793, -4 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEMP R4;
TEMP R5;
TEMP R6;
TEMP R7;
TEMP R8;
TEMP R9;
RCP R0.x, c[0].x;
MUL R3.x, R0, c[3];
MOV R9.x, c[2];
ADD R0.x, -R3, fragment.texcoord[0];
MAD R0.z, R3.x, c[4], fragment.texcoord[0].x;
MAD R1.z, R3.x, c[5].x, fragment.texcoord[0].x;
MOV R1.w, fragment.texcoord[0].y;
MAD R2.x, R3, c[5].y, fragment.texcoord[0];
MOV R2.y, fragment.texcoord[0];
MAD R2.z, R3.x, c[5].w, fragment.texcoord[0].x;
MOV R2.w, fragment.texcoord[0].y;
MAD R3.z, R3.x, c[6].x, fragment.texcoord[0].x;
ADD R1.x, R3, fragment.texcoord[0];
MOV R3.w, fragment.texcoord[0].y;
MOV R0.y, fragment.texcoord[0];
MOV R0.w, fragment.texcoord[0].y;
MOV R3.y, fragment.texcoord[0];
MAD R3.x, R3, c[6].z, fragment.texcoord[0];
MOV R1.y, fragment.texcoord[0];
TEX R4, R1.zwzw, texture[0], 2D;
TEX R1, R1, texture[0], 2D;
TEX R8, R3, texture[0], 2D;
TEX R7, R3.zwzw, texture[0], 2D;
TEX R6, R2.zwzw, texture[0], 2D;
TEX R5, R2, texture[0], 2D;
TEX R2, R0, texture[0], 2D;
TEX R3, R0.zwzw, texture[0], 2D;
TEX R0, fragment.texcoord[0], texture[0], 2D;
MAD_SAT R1.w, R1, c[1].x, R9.x;
MAD_SAT R0.w, R0, c[1].x, R9.x;
MUL R1, R1, c[4].y;
MAD_SAT R2.w, R2, c[1].x, R9.x;
MAD R1, R0, c[4].x, R1;
MAD R1, R2, c[4].y, R1;
MAD_SAT R2.w, R3, c[1].x, R9.x;
MOV R2.xyz, R3;
MAD R1, R2, c[4].w, R1;
MAD_SAT R2.w, R4, c[1].x, R9.x;
MOV R2.xyz, R4;
MAD R1, R2, c[4].w, R1;
MAD_SAT R2.w, R5, c[1].x, R9.x;
MOV R2.xyz, R5;
MAD R1, R2, c[5].z, R1;
MAD_SAT R2.w, R6, c[1].x, R9.x;
MOV R2.xyz, R6;
MAD R1, R2, c[5].z, R1;
MAD_SAT R2.w, R7, c[1].x, R9.x;
MOV R2.xyz, R7;
MAD R1, R2, c[6].y, R1;
MAD_SAT R2.w, R8, c[1].x, R9.x;
MOV R2.xyz, R8;
MAD R1, R2, c[6].y, R1;
MAX result.color, R1, R0;
END
# 53 instructions, 10 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_ScreenParams]
Float 1 [_AlphaMult]
Float 2 [_AlphaAdd]
Float 3 [_BlurSize]
SetTexture 0 [_DBN_PostProcessGlow] 2D
"ps_2_0
; 54 ALU, 9 TEX
dcl_2d s0
def c4, 2.00000000, -2.00000000, 3.00000000, -3.00000000
def c5, 4.00000000, -4.00000000, 0.15002441, 0.18005371
def c6, 0.11999512, 0.09002686, 0.04998779, 0
dcl t0.xy
rcp r0.x, c0.x
mul r3.x, r0, c3
add r0.x, r3, t0
mov r0.y, t0
mad r8.x, r3, c4.y, t0
add r1.x, -r3, t0
mov r1.y, t0
mad r2.x, r3, c4, t0
mov r2.y, t0
mov r8.y, t0
mad r4.x, r3, c4.z, t0
mov r4.y, t0
mad r5.x, r3, c4.w, t0
mad r6.x, r3, c5, t0
mov r5.y, t0
mov r6.y, t0
mov r3.y, t0
mad r3.x, r3, c5.y, t0
texld r9, r0, s0
texld r7, r3, s0
texld r3, r8, s0
texld r6, r6, s0
texld r5, r5, s0
texld r4, r4, s0
texld r2, r2, s0
texld r1, r1, s0
texld r8, t0, s0
mov_pp r0.x, c2
mad_pp_sat r9.w, r9, c1.x, r0.x
mov_pp r0.x, c2
mad_pp_sat r8.w, r8, c1.x, r0.x
mul_pp r9, r9, c5.z
mov_pp r0.x, c2
mad_pp_sat r0.w, r1, c1.x, r0.x
mov_pp r0.xyz, r1
mad_pp r9, r8, c5.w, r9
mad_pp r1, r0, c5.z, r9
mov_pp r0.x, c2
mad_pp_sat r0.w, r2, c1.x, r0.x
mov_pp r0.xyz, r2
mad_pp r1, r0, c6.x, r1
mov_pp r0.x, c2
mad_pp_sat r0.w, r3, c1.x, r0.x
mov_pp r0.xyz, r3
mad_pp r1, r0, c6.x, r1
mov_pp r0.x, c2
mad_pp_sat r0.w, r4, c1.x, r0.x
mov_pp r0.xyz, r4
mad_pp r1, r0, c6.y, r1
mov_pp r0.x, c2
mad_pp_sat r0.w, r5, c1.x, r0.x
mov_pp r0.xyz, r5
mad_pp r1, r0, c6.y, r1
mov_pp r0.x, c2
mad_pp_sat r0.w, r6, c1.x, r0.x
mov_pp r0.xyz, r6
mad_pp r1, r0, c6.z, r1
mov_pp r0.x, c2
mad_pp_sat r0.w, r7, c1.x, r0.x
mov_pp r0.xyz, r7
mad_pp r0, r0, c6.z, r1
max_pp r0, r0, r8
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 32 // 28 used size, 4 vars
Float 16 [_AlphaMult]
Float 20 [_AlphaAdd]
Float 24 [_BlurSize]
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_DBN_PostProcessGlow] 2D 0
// 41 instructions, 5 temp regs, 0 temp arrays:
// ALU 5 float, 0 int, 0 uint
// TEX 9 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { }
"!!GLES"
}

SubProgram "d3d11_9x " {
Keywords { }
ConstBuffer "$Globals" 32 // 28 used size, 4 vars
Float 16 [_AlphaMult]
Float 20 [_AlphaAdd]
Float 24 [_BlurSize]
ConstBuffer "UnityPerCamera" 128 // 112 used size, 8 vars
Vector 96 [_ScreenParams] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_DBN_PostProcessGlow] 2D 0
// 41 instructions, 5 temp regs, 0 temp arrays:
// ALU 5 float, 0 int, 0 uint
// TEX 9 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1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"
}

SubProgram "gles3 " {
Keywords { }
"!!GLES3"
}

}

#LINE 57

	}
}

SubShader {
    Pass {
    	// don't draw anything
		Lighting Off
		ColorMask 0
        ZWrite Off
        Cull Front
    }
}
}
