﻿// 2014 DeathByNukes

Shader "ring_visualizer" {
Properties {
	_MainTex ("Base (RGB)", 2D) = "white" {}
	_Color ("Batch per-object settings. (Unused, Y rotation, Unused, Unused)", Color) = (0,0,0,0)
	_Colour ("Tint", Color) = (1,1,1,1)
}

Category {

Fog { Mode Off }
ZWrite Off
Blend One One // Add
//Blend One OneMinusSrcColor // AddSmooth
Cull Off // back faces

SubShader {
	Tags {"Queue" = "Transparent" }
	#LINE 58

	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 31 to 31
//   d3d9 - ALU: 28 to 28
//   d3d11 - ALU: 4 to 4, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 4 to 4, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Vector 5 [_Color]
"!!ARBvp1.0
# 31 ALU
PARAM c[9] = { { 0.15915491, 1, -1, 0.5 },
		state.matrix.mvp,
		program.local[5],
		{ 0.25, 0.5, 0.75, 1 },
		{ -24.980801, 60.145809, -85.453789, 64.939346 },
		{ -19.73921, 1 } };
TEMP R0;
TEMP R1;
TEMP R2;
MOV R0.x, c[0];
MUL R0.x, R0, c[5].y;
FRC R1.z, R0.x;
SLT R0, R1.z, c[6];
ADD R2.xyz, R0.yzww, -R0;
MOV R0.yzw, R2.xxyz;
DP4 R1.y, R0, c[6].xxzz;
DP3 R1.x, R2, c[0].wwyw;
ADD R1.xy, R1.z, -R1;
MUL R2.xy, R1, R1;
MUL R2.zw, R2.xyxy, R2.xyxy;
MAD R1, R2.zzww, c[7].xyxy, c[7].zwzw;
MAD R1, R1, R2.zzww, c[8].xyxy;
MAD R1.xy, R1.xzzw, R2, R1.ywzw;
DP4 R1.w, R0, c[0].yyzz;
DP4 R1.z, R0, c[0].yzzy;
MUL R0.zw, R1, R1.xyxy;
MOV R0.y, -R0.w;
MOV R0.x, R0.z;
MUL R1.xy, vertex.position.xzzw, R0;
MUL R0.xy, R0.wzzw, vertex.position.xzzw;
ADD R1.x, R1, R1.y;
ADD R1.y, R0.x, R0;
MOV R0.yw, vertex.position;
MOV R0.xz, R1.xyyw;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
MOV result.color, vertex.color;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 31 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
Vector 4 [_Color]
"vs_2_0
; 28 ALU
def c5, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c6, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c7, -0.02083333, -0.12500000, 1.00000000, 0.50000000
dcl_position0 v0
dcl_texcoord0 v1
dcl_color0 v2
mov r0.x, c4.y
mad r0.x, r0, c5, c5.y
frc r0.x, r0
mad r1.x, r0, c5.z, c5.w
sincos r0.xy, r1.x, c6.xyzw, c7.xyzw
mov r1.yw, v0
mov r0.w, -r0.y
mov r0.z, r0.x
mul r0.zw, v0.xyxz, r0
add r0.z, r0, r0.w
mul r0.xy, r0.yxzw, v0.xzzw
add r0.w, r0.x, r0.y
mov r1.xz, r0.zyww
dp4 oPos.w, r1, c3
dp4 oPos.z, r1, c2
dp4 oPos.y, r1, c1
dp4 oPos.x, r1, c0
mov oD0, v2
mov oT0.xy, v1
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "$Globals" 48 // 32 used size, 3 vars
Vector 16 [_Color] 4
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 13 instructions, 4 temp regs, 0 temp arrays:
// ALU 4 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjldndlfgkmomemcnnlgmbiiklpmlobiiabaaaaaapaacaaaaadaaaaaa
cmaaaaaajmaaaaaabaabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaaepfdeheo
gmaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaagfaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaedepemepfcaaklfdeieefcniabaaaaeaaaabaahgaaaaaa
fjaaaaaeegiocaaaaaaaaaaaacaaaaaafjaaaaaeegiocaaaabaaaaaaaeaaaaaa
fpaaaaadpcbabaaaaaaaaaaafpaaaaaddcbabaaaabaaaaaafpaaaaadpcbabaaa
acaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaa
gfaaaaadpccabaaaacaaaaaagiaaaaacaeaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaabaaaaaaabaaaaaaenaaaaaibcaabaaaabaaaaaa
bcaabaaaacaaaaaabkiacaaaaaaaaaaaabaaaaaadgaaaaagbcaabaaaadaaaaaa
akaabaiaebaaaaaaabaaaaaadgaaaaafccaabaaaadaaaaaaakaabaaaacaaaaaa
dgaaaaafecaabaaaadaaaaaaakaabaaaabaaaaaaapaaaaahbcaabaaaabaaaaaa
ggakbaaaadaaaaaaigbabaaaaaaaaaaaapaaaaahccaabaaaabaaaaaabgafbaaa
adaaaaaaigbabaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaafgafbaaaabaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaabaaaaaaacaaaaaaagaabaaaabaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaabaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadgaaaaafdccabaaaabaaaaaaegbabaaaabaaaaaadgaaaaafpccabaaa
acaaaaaaegbobaaaacaaaaaadoaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "$Globals" 48 // 32 used size, 3 vars
Vector 16 [_Color] 4
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 13 instructions, 4 temp regs, 0 temp arrays:
// ALU 4 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 18 to 18, TEX: 1 to 1
//   d3d9 - ALU: 18 to 18, TEX: 1 to 1
//   d3d11 - ALU: 9 to 9, TEX: 1 to 1, FLOW: 1 to 1
//   d3d11_9x - ALU: 9 to 9, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Colour]
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 18 ALU, 1 TEX
PARAM c[2] = { program.local[0],
		{ 1, 0, 3, 2 } };
TEMP R0;
TEMP R1;
TEX R0.xyz, fragment.texcoord[0], texture[0], 2D;
ABS R1.xyz, c[0];
MUL R0.xyz, R0, fragment.color.primary;
MUL R0.xyz, R0, R1;
MUL R0.xyz, R0, fragment.color.primary.w;
MAX R0.w, R0.x, R0.y;
MAX R1.x, R0.w, R0.z;
ADD_SAT R1.y, R1.x, -c[1].x;
SGE R0.w, c[1].x, R1.x;
MAD R1.z, -R1.y, c[1].w, c[1];
MUL R1.y, R1, R1;
ABS R0.w, R0;
MUL R1.y, R1, R1.z;
RCP R1.x, R1.x;
MAD R1.xyz, R0, R1.x, R1.y;
CMP R0.w, -R0, c[1].y, c[1].x;
CMP result.color.xyz, -R0.w, R1, R0;
MOV result.color.w, c[0];
END
# 18 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Colour]
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 18 ALU, 1 TEX
dcl_2d s0
def c1, 1.00000000, 0.00000000, -1.00000000, 0
def c2, 2.00000000, 3.00000000, 0, 0
dcl t0.xy
dcl v0
texld r0, t0, s0
abs_pp r1.xyz, c0
mul r0.xyz, r0, v0
mul r0.xyz, r0, r1
mul_pp r3.xyz, r0, v0.w
max_pp r0.x, r3, r3.y
max_pp r0.x, r0, r3.z
add_pp_sat r4.x, r0, c1.z
add_pp r1.x, -r0, c1
mad_pp r2.x, -r4, c2, c2.y
mul_pp r4.x, r4, r4
rcp_pp r0.x, r0.x
mul_pp r2.x, r4, r2
mad_pp r2.xyz, r3, r0.x, r2.x
cmp_pp r1.x, r1, c1, c1.y
abs_pp r0.x, r1
mov_pp r0.w, c0
cmp_pp r0.xyz, -r0.x, r2, r3
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 48 // 48 used size, 3 vars
Vector 32 [_Colour] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 15 instructions, 3 temp regs, 0 temp arrays:
// ALU 9 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedldbgofpabipjcfgighmpgafhejmfpchfabaaaaaaomacaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagfaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcbaacaaaaeaaaaaaa
ieaaaaaafjaaaaaeegiocaaaaaaaaaaaadaaaaaafkaaaaadaagabaaaaaaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaad
pcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaaefaaaaaj
pcaabaaaaaaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegbcbaaaacaaaaaadiaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaibaaaaaaaaaaaaaaacaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaaacaaaaaadeaaaaah
icaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadeaaaaahicaabaaa
aaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaaaoaaaaahhcaabaaaabaaaaaa
egacbaaaaaaaaaaapgapbaaaaaaaaaaaaacaaaahicaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaialpbnaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaiadp
dkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaaamaabeaaaaaaaaaeaeadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaabaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaapgapbaaa
abaaaaaaegacbaaaabaaaaaadhaaaaajhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaadgaaaaagiccabaaaaaaaaaaadkiacaaa
aaaaaaaaacaaaaaadoaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
ConstBuffer "$Globals" 48 // 48 used size, 3 vars
Vector 32 [_Colour] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 15 instructions, 3 temp regs, 0 temp arrays:
// ALU 9 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1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"
}

}

#LINE 74

	}
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 32 to 32
//   d3d9 - ALU: 29 to 29
//   d3d11 - ALU: 5 to 5, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 5 to 5, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Vector 5 [_Color]
"!!ARBvp1.0
# 32 ALU
PARAM c[9] = { { 0.15915491, 1, -1, 0.5 },
		state.matrix.mvp,
		program.local[5],
		{ 0.25, 0.5, 0.75, 1 },
		{ -24.980801, 60.145809, -85.453789, 64.939346 },
		{ -19.73921, 1 } };
TEMP R0;
TEMP R1;
TEMP R2;
MOV R0.x, c[0];
MUL R0.x, R0, c[5].y;
FRC R1.z, R0.x;
SLT R0, R1.z, c[6];
ADD R2.xyz, R0.yzww, -R0;
MOV R0.yzw, R2.xxyz;
DP4 R1.y, R0, c[6].xxzz;
DP3 R1.x, R2, c[0].wwyw;
ADD R1.xy, R1.z, -R1;
MUL R2.xy, R1, R1;
MUL R2.zw, R2.xyxy, R2.xyxy;
MAD R1, R2.zzww, c[7].xyxy, c[7].zwzw;
MAD R1, R1, R2.zzww, c[8].xyxy;
MAD R1.xy, R1.xzzw, R2, R1.ywzw;
DP4 R1.w, R0, c[0].yyzz;
DP4 R1.z, R0, c[0].yzzy;
MUL R0.zw, R1, R1.xyxy;
MOV R0.y, -R0.w;
MOV R0.x, R0.z;
MUL R1.xy, vertex.position.xzzw, R0;
MUL R0.xy, R0.wzzw, vertex.position.xzzw;
ADD R1.x, R1, R1.y;
ADD R1.y, R0.x, R0;
MOV R0.yw, vertex.position;
MOV R0.xz, R1.xyyw;
MUL R0, R0, c[0].yzyy;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
MOV result.color, vertex.color;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 32 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
Matrix 0 [glstate_matrix_mvp]
Vector 4 [_Color]
"vs_2_0
; 29 ALU
dcl_position0 v0
dcl_texcoord0 v1
dcl_color0 v2
def c5, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c6, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c7, -0.02083333, -0.12500000, 1.00000000, 0.50000000
def c8, 1.00000000, -1.00000000, 0, 0
mov r0.x, c4.y
mad r0.x, r0, c5, c5.y
frc r0.x, r0
mad r1.x, r0, c5.z, c5.w
sincos r0.xy, r1.x, c6.xyzw, c7.xyzw
mov r0.w, -r0.y
mov r0.z, r0.x
mul r0.zw, v0.xyxz, r0
add r0.z, r0, r0.w
mul r0.xy, r0.yxzw, v0.xzzw
add r0.w, r0.x, r0.y
mov r1.yw, v0
mov r1.xz, r0.zyww
mul r0, r1, c8.xyxx
dp4 oPos.w, r0, c3
dp4 oPos.z, r0, c2
dp4 oPos.y, r0, c1
dp4 oPos.x, r0, c0
mov oD0, v2
mov oT0.xy, v1
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "$Globals" 48 // 32 used size, 3 vars
Vector 16 [_Color] 4
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 15 instructions, 4 temp regs, 0 temp arrays:
// ALU 5 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedafbebhjjjedfkkekfhibbgapjgockiheabaaaaaacmadaaaaadaaaaaa
cmaaaaaajmaaaaaabaabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagcaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaaepfdeheo
gmaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaagfaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaedepemepfcaaklfdeieefcbeacaaaaeaaaabaaifaaaaaa
fjaaaaaeegiocaaaaaaaaaaaacaaaaaafjaaaaaeegiocaaaabaaaaaaaeaaaaaa
fpaaaaadpcbabaaaaaaaaaaafpaaaaaddcbabaaaabaaaaaafpaaaaadpcbabaaa
acaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaa
gfaaaaadpccabaaaacaaaaaagiaaaaacaeaaaaaadgaaaaafkcaabaaaaaaaaaaa
fgbnbaaaaaaaaaaaenaaaaaibcaabaaaabaaaaaabcaabaaaacaaaaaabkiacaaa
aaaaaaaaabaaaaaadgaaaaagbcaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaakaabaaaacaaaaaadgaaaaafecaabaaaadaaaaaa
akaabaaaabaaaaaaapaaaaahecaabaaaaaaaaaaaggakbaaaadaaaaaaigbabaaa
aaaaaaaaapaaaaahbcaabaaaaaaaaaaabgafbaaaadaaaaaaigbabaaaaaaaaaaa
diaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaiadpaaaaialp
aaaaiadpaaaaiadpdiaaaaaipcaabaaaabaaaaaafgafbaaaaaaaaaaaegiocaaa
abaaaaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaabaaaaaaaaaaaaaa
agaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaa
abaaaaaaacaaaaaakgakbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaabaaaaaaadaaaaaapgapbaaaaaaaaaaaegaobaaaabaaaaaa
dgaaaaafdccabaaaabaaaaaaegbabaaaabaaaaaadgaaaaafpccabaaaacaaaaaa
egbobaaaacaaaaaadoaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Bind "color" Color
ConstBuffer "$Globals" 48 // 32 used size, 3 vars
Vector 16 [_Color] 4
ConstBuffer "UnityPerDraw" 336 // 64 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 15 instructions, 4 temp regs, 0 temp arrays:
// ALU 5 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 18 to 18, TEX: 1 to 1
//   d3d9 - ALU: 18 to 18, TEX: 1 to 1
//   d3d11 - ALU: 9 to 9, TEX: 1 to 1, FLOW: 1 to 1
//   d3d11_9x - ALU: 9 to 9, TEX: 1 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Colour]
SetTexture 0 [_MainTex] 2D
"!!ARBfp1.0
# 18 ALU, 1 TEX
PARAM c[2] = { program.local[0],
		{ 1, 0, 3, 2 } };
TEMP R0;
TEMP R1;
TEX R0.xyz, fragment.texcoord[0], texture[0], 2D;
ABS R1.xyz, c[0];
MUL R0.xyz, R0, fragment.color.primary;
MUL R0.xyz, R0, R1;
MUL R0.xyz, R0, fragment.color.primary.w;
MAX R0.w, R0.x, R0.y;
MAX R1.x, R0.w, R0.z;
ADD_SAT R1.y, R1.x, -c[1].x;
SGE R0.w, c[1].x, R1.x;
MAD R1.z, -R1.y, c[1].w, c[1];
MUL R1.y, R1, R1;
ABS R0.w, R0;
MUL R1.y, R1, R1.z;
RCP R1.x, R1.x;
MAD R1.xyz, R0, R1.x, R1.y;
CMP R0.w, -R0, c[1].y, c[1].x;
CMP result.color.xyz, -R0.w, R1, R0;
MOV result.color.w, c[0];
END
# 18 instructions, 2 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Colour]
SetTexture 0 [_MainTex] 2D
"ps_2_0
; 18 ALU, 1 TEX
dcl_2d s0
def c1, 1.00000000, 0.00000000, -1.00000000, 0
def c2, 2.00000000, 3.00000000, 0, 0
dcl t0.xy
dcl v0
texld r0, t0, s0
abs_pp r1.xyz, c0
mul r0.xyz, r0, v0
mul r0.xyz, r0, r1
mul_pp r3.xyz, r0, v0.w
max_pp r0.x, r3, r3.y
max_pp r0.x, r0, r3.z
add_pp_sat r4.x, r0, c1.z
add_pp r1.x, -r0, c1
mad_pp r2.x, -r4, c2, c2.y
mul_pp r4.x, r4, r4
rcp_pp r0.x, r0.x
mul_pp r2.x, r4, r2
mad_pp r2.xyz, r3, r0.x, r2.x
cmp_pp r1.x, r1, c1, c1.y
abs_pp r0.x, r1
mov_pp r0.w, c0
cmp_pp r0.xyz, -r0.x, r2, r3
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 48 // 48 used size, 3 vars
Vector 32 [_Colour] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 15 instructions, 3 temp regs, 0 temp arrays:
// ALU 9 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedldbgofpabipjcfgighmpgafhejmfpchfabaaaaaaomacaaaaadaaaaaa
cmaaaaaakaaaaaaaneaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaagfaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaedepemepfcaakl
epfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaa
aaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcbaacaaaaeaaaaaaa
ieaaaaaafjaaaaaeegiocaaaaaaaaaaaadaaaaaafkaaaaadaagabaaaaaaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaagcbaaaaddcbabaaaabaaaaaagcbaaaad
pcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaaefaaaaaj
pcaabaaaaaaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegbcbaaaacaaaaaadiaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaibaaaaaaaaaaaaaaacaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaaacaaaaaadeaaaaah
icaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadeaaaaahicaabaaa
aaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaaaoaaaaahhcaabaaaabaaaaaa
egacbaaaaaaaaaaapgapbaaaaaaaaaaaaacaaaahicaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaialpbnaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaiadp
dkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaaamaabeaaaaaaaaaeaeadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaaaabaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaapgapbaaa
abaaaaaaegacbaaaabaaaaaadhaaaaajhccabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaadgaaaaagiccabaaaaaaaaaaadkiacaaa
aaaaaaaaacaaaaaadoaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
ConstBuffer "$Globals" 48 // 48 used size, 3 vars
Vector 32 [_Colour] 4
BindCB "$Globals" 0
SetTexture 0 [_MainTex] 2D 0
// 15 instructions, 3 temp regs, 0 temp arrays:
// ALU 9 float, 0 int, 0 uint
// TEX 1 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1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"
}

}

#LINE 90

	}
}
}

// fallback
SubShader {
	Pass {
	}
}

}
