﻿// Copyright 2014 DeathByNukes

Shader "struct" {
Properties {
	_SurfacemapTex ("Surface Map (Self-Illum, Intensity-Illum, Detail Mask)", 2D) = "black" {}
	_FlowTex ("Flow (RGB)", 2D) = "black" {}
	
	_Color ("Batch per-object settings. (Negative Y scale, Y rotation, Unused, Unused)", Color) = (-1,0,0,0)
	_HighwayColor ("The current highway color with no scaling", Color) = (1,1,1,1)
	_Intensity ("The current intensity from 0 to 1", float) = 0
	
	_SpinSpeed ("Y rotation speed (radians per second)", float) = 0
	
	_ScaleFlowU ("Flow U Scale", float) = 1
	_ScaleFlowV ("Flow V Scale", float) = 1
	
	_ScrollFlowU ("Flow U Scroll Speed", float) = 0
	_ScrollFlowV ("Flow V Scroll Speed", float) = 0
	
	_ScrollFlow2U ("Flow 2 U Scroll Speed", float) = 0
	_ScrollFlow2V ("Flow 2 V Scroll Speed", float) = 0
}
Category {
Fog { Mode Off }


SubShader {
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 57 to 57
//   d3d9 - ALU: 54 to 54
//   d3d11 - ALU: 10 to 10, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 10 to 10, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Vector 9 [_Time]
Matrix 5 [_Object2World]
Vector 10 [_Color]
Float 11 [_SpinSpeed]
"!!ARBvp1.0
# 57 ALU
PARAM c[19] = { { 1, 0.15915491, -1, 0.5 },
		state.matrix.mvp,
		program.local[5..11],
		{ 0.25, 0.5, 0.75, 1 },
		{ -24.980801, 60.145809, -85.453789, 64.939346 },
		{ -19.73921, 1, 12.9898, 78.233002 },
		{ 24.980801, -24.980801, -60.145809, 60.145809 },
		{ 0, 0.5, 1, 43758.547 },
		{ 85.453789, -85.453789, -64.939346, 64.939346 },
		{ 19.73921, -19.73921, -9, 0.75 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
MOV R0.x, c[9].y;
MUL R0.x, R0, c[11];
ADD R0.x, R0, c[10].z;
MUL R0.x, R0, c[0].y;
FRC R1.z, R0.x;
SLT R0, R1.z, c[12];
ADD R2.xyz, R0.yzww, -R0;
MOV R0.yzw, R2.xxyz;
DP4 R1.y, R0, c[12].xxzz;
DP3 R1.x, R2, c[0].wwxw;
ADD R1.xy, R1.z, -R1;
MUL R2.xy, R1, R1;
MUL R2.zw, R2.xyxy, R2.xyxy;
MAD R1, R2.zzww, c[13].xyxy, c[13].zwzw;
MAD R1, R1, R2.zzww, c[14].xyxy;
MAD R1.xy, R1.xzzw, R2, R1.ywzw;
DP4 R2.y, R0, c[0].xxzz;
DP4 R2.x, R0, c[0].xzzx;
MUL R0.xy, R2, R1;
MOV R1.w, c[7];
MOV R1.z, c[5].w;
MUL R1.zw, R1, c[14];
ADD R0.z, R1, R1.w;
MUL R0.w, R0.z, c[0].y;
ADD R1.x, R0.w, -c[12];
FRC R2.w, R1.x;
MUL R1.zw, R0.xyyx, vertex.position.xyxz;
ADD R2.xyz, -R2.w, c[16];
MUL R2.xyz, R2, R2;
ADD R1.y, R1.z, R1.w;
MOV R0.z, R0.x;
MOV R0.w, -R0.y;
MUL R0.zw, vertex.position.xyxz, R0;
ADD R1.x, R0.z, R0.w;
MOV R1.xz, R1.xyyw;
MAD R0.xyz, R2, c[15].xyxw, c[15].zwzw;
MAD R0.xyz, R0, R2, c[17].xyxw;
MAD R3.xyz, R0, R2, c[17].zwzw;
MOV R1.yw, vertex.position;
MOV R0.xzw, c[0].x;
MOV R0.y, -c[10].x;
MUL R0, R1, R0;
MAD R1.xyz, R3, R2, c[18].xyxw;
MAD R2.xyz, R1, R2, c[0].zxzw;
SLT R3.x, R2.w, c[12];
SGE R3.yz, R2.w, c[18].xzww;
MOV R1.xz, R3;
DP3 R1.y, R3, c[0].zxzw;
DP3 R1.x, R2, -R1;
MUL R1.x, R1, c[16].w;
FRC R1.x, R1;
DP4 result.position.w, R0, c[4];
DP4 result.position.z, R0, c[3];
DP4 result.position.y, R0, c[2];
DP4 result.position.x, R0, c[1];
ADD result.texcoord[0].z, vertex.texcoord[0].y, R1.x;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 57 instructions, 4 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_Time]
Matrix 4 [_Object2World]
Vector 9 [_Color]
Float 10 [_SpinSpeed]
"vs_2_0
; 54 ALU
def c11, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c12, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c13, -0.02083333, -0.12500000, 1.00000000, 0.50000000
def c14, 12.98980045, 78.23300171, 43758.54687500, 0
dcl_position0 v0
dcl_texcoord0 v1
mov r0.x, c10
mul r0.x, c8.y, r0
add r0.x, r0, c9.z
mad r0.x, r0, c11, c11.y
frc r0.x, r0
mad r1.x, r0, c11.z, c11.w
sincos r0.xy, r1.x, c12.xyzw, c13.xyzw
mov r0.w, -r0.y
mov r0.z, r0.x
mul r0.zw, v0.xyxz, r0
add r0.z, r0, r0.w
mul r0.xy, r0.yxzw, v0.xzzw
add r0.w, r0.x, r0.y
mov r1.y, c6.w
mov r1.x, c4.w
mul r1.xy, r1, c14
add r1.x, r1, r1.y
mad r0.x, r1, c11, c11.y
frc r0.y, r0.x
mov r1.xz, r0.zyww
mad r2.x, r0.y, c11.z, c11.w
mov r0.xzw, c13.z
mov r0.y, -c9.x
mov r1.yw, v0
mul r1, r1, r0
sincos r0.xy, r2.x, c12.xyzw, c13.xyzw
mul r0.x, r0.y, c14.z
frc r0.x, r0
dp4 oPos.w, r1, c3
dp4 oPos.z, r1, c2
dp4 oPos.y, r1, c1
dp4 oPos.x, r1, c0
add oT0.z, v1.y, -r0.x
mov oT0.xy, v1
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 80 // 56 used size, 11 vars
Vector 32 [_Color] 4
Float 52 [_SpinSpeed]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 20 instructions, 3 temp regs, 0 temp arrays:
// ALU 10 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedaopmfigjcoomjjmafiaidphoaidjakkaabaaaaaajeadaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcleacaaaa
eaaaabaaknaaaaaafjaaaaaeegiocaaaaaaaaaaaaeaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaadpcbabaaa
aaaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagiaaaaacadaaaaaadcaaaaambcaabaaaaaaaaaaa
bkiacaaaaaaaaaaaadaaaaaabkiacaaaabaaaaaaaaaaaaaackiacaaaaaaaaaaa
acaaaaaaenaaaaahbcaabaaaaaaaaaaabcaabaaaabaaaaaaakaabaaaaaaaaaaa
dgaaaaagbcaabaaaacaaaaaaakaabaiaebaaaaaaaaaaaaaadgaaaaafccaabaaa
acaaaaaaakaabaaaabaaaaaadgaaaaafecaabaaaacaaaaaaakaabaaaaaaaaaaa
apaaaaahccaabaaaaaaaaaaaggakbaaaacaaaaaaigbabaaaaaaaaaaaapaaaaah
bcaabaaaaaaaaaaabgafbaaaacaaaaaaigbabaaaaaaaaaaadgaaaaafmcaabaaa
aaaaaaaapgbhbaaaaaaaaaaadiaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akiacaiaebaaaaaaaaaaaaaaacaaaaaadiaaaaaipcaabaaaabaaaaaapgapbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaa
acaaaaaaaaaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaa
abaaaaaaegiocaaaacaaaaaaacaaaaaafgafbaaaaaaaaaaaegaobaaaabaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaakgakbaaaaaaaaaaa
egaobaaaabaaaaaaapaaaaalbcaabaaaaaaaaaaaigiacaaaacaaaaaaapaaaaaa
aceaaaaadjngepebemhhjmecaaaaaaaaaaaaaaaaenaaaaagbcaabaaaaaaaaaaa
aanaaaaaakaabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaaimoockehbkaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
eccabaaaabaaaaaaakaabaiaebaaaaaaaaaaaaaabkbabaaaabaaaaaadgaaaaaf
dccabaaaabaaaaaaegbabaaaabaaaaaadoaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 80 // 56 used size, 11 vars
Vector 32 [_Color] 4
Float 52 [_SpinSpeed]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 20 instructions, 3 temp regs, 0 temp arrays:
// ALU 10 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 35 to 35, TEX: 3 to 3
//   d3d9 - ALU: 37 to 37, TEX: 3 to 3
//   d3d11 - ALU: 13 to 13, TEX: 3 to 3, FLOW: 1 to 1
//   d3d11_9x - ALU: 13 to 13, TEX: 3 to 3, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Time]
Vector 1 [_HighwayColor]
Float 2 [_Intensity]
Float 3 [_ScaleFlowU]
Float 4 [_ScaleFlowV]
Float 5 [_ScrollFlowU]
Float 6 [_ScrollFlowV]
Float 7 [_ScrollFlow2U]
Float 8 [_ScrollFlow2V]
SetTexture 0 [_SurfacemapTex] 2D
SetTexture 1 [_FlowTex] 2D
"!!ARBfp1.0
# 35 ALU, 3 TEX
PARAM c[11] = { program.local[0..8],
		{ 1, 0, 4, 0.25 },
		{ 0.25, 0.33000001, 3, 2 } };
TEMP R0;
TEMP R1;
TEMP R2;
MOV R1.y, c[6].x;
MOV R1.x, c[5];
MOV R0.y, c[4].x;
MOV R0.x, c[3];
MUL R0.xy, fragment.texcoord[0].xzzw, R0;
MOV R0.z, c[7].x;
MOV R0.w, c[8].x;
MAD R0.zw, R0, c[0].y, R0.xyxy;
MAD R0.xy, R1, c[0].y, R0;
FRC R0.xy, R0;
FRC R0.zw, R0;
ADD R0.zw, R0, c[10].xyxy;
MOV result.color.w, c[9].x;
TEX R2.xyz, R0.zwzw, texture[1], 2D;
TEX R1.xyz, R0, texture[1], 2D;
TEX R0.xyz, fragment.texcoord[0], texture[0], 2D;
MOV R0.w, c[2].x;
MAD R1.w, R0, c[9], c[9].z;
MAD R0.w, R0.y, c[2].x, R0.x;
MUL R0.x, R0.z, R1.w;
MUL R0.xyz, R0.x, R1;
MAD R0.xyz, R0, R2, R0.w;
MUL R0.xyz, R0, c[1];
MAX R0.w, R0.x, R0.y;
MAX R0.w, R0, R0.z;
ADD_SAT R1.y, R0.w, -c[9].x;
SGE R1.x, c[9], R0.w;
MAD R1.z, -R1.y, c[10].w, c[10];
MUL R1.y, R1, R1;
ABS R1.w, R1.x;
RCP R0.w, R0.w;
MUL R1.y, R1, R1.z;
MAD R1.xyz, R0, R0.w, R1.y;
CMP R0.w, -R1, c[9].y, c[9].x;
CMP result.color.xyz, -R0.w, R1, R0;
END
# 35 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Time]
Vector 1 [_HighwayColor]
Float 2 [_Intensity]
Float 3 [_ScaleFlowU]
Float 4 [_ScaleFlowV]
Float 5 [_ScrollFlowU]
Float 6 [_ScrollFlowV]
Float 7 [_ScrollFlow2U]
Float 8 [_ScrollFlow2V]
SetTexture 0 [_SurfacemapTex] 2D
SetTexture 1 [_FlowTex] 2D
"ps_2_0
; 37 ALU, 3 TEX
dcl_2d s0
dcl_2d s1
def c9, 0.25000000, 4.00000000, -0.33000001, -1.00000000
def c10, 1.00000000, 0.00000000, 2.00000000, 3.00000000
dcl t0.xyz
texld r3, t0, s0
mov r0.x, t0
mov r0.y, t0.z
mov r1.y, c4.x
mov r1.x, c3
mul r1.xy, r0, r1
mov r0.x, c7
mov r0.y, -c8.x
mad r2.xy, r0, c0.y, r1
frc r2.xy, r2
mov r0.y, -c6.x
mov r0.x, c5
mad r0.xy, r0, c0.y, r1
frc r0.xy, r0
mov r1.y, c9.z
mov r1.x, c9
add r1.xy, r2, r1
mov_pp r0.w, c10.x
texld r2, r0, s1
texld r1, r1, s1
mov r0.x, c2
mad r0.x, r0, c9, c9.y
mul r0.x, r3.z, r0
mul_pp r2.xyz, r0.x, r2
mad r0.x, r3.y, c2, r3
mad_pp r0.xyz, r2, r1, r0.x
mul_pp r3.xyz, r0, c1
max_pp r0.x, r3, r3.y
max_pp r0.x, r0, r3.z
add_pp_sat r4.x, r0, c9.w
add_pp r1.x, -r0, c10
mad_pp r2.x, -r4, c10.z, c10.w
mul_pp r4.x, r4, r4
rcp_pp r0.x, r0.x
mul_pp r2.x, r4, r2
mad_pp r2.xyz, r3, r0.x, r2.x
cmp_pp r1.x, r1, c10, c10.y
abs_pp r0.x, r1
cmp_pp r0.xyz, -r0.x, r2, r3
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 80 // 80 used size, 11 vars
Vector 16 [_HighwayColor] 4
Float 48 [_Intensity]
Float 56 [_ScaleFlowU]
Float 60 [_ScaleFlowV]
Float 64 [_ScrollFlowU]
Float 68 [_ScrollFlowV]
Float 72 [_ScrollFlow2U]
Float 76 [_ScrollFlow2V]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_SurfacemapTex] 2D 0
SetTexture 1 [_FlowTex] 2D 1
// 25 instructions, 3 temp regs, 0 temp arrays:
// ALU 13 float, 0 int, 0 uint
// TEX 3 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedlobkaodofamhonaieppeielphehllfjiabaaaaaafeaeaaaaadaaaaaa
cmaaaaaaieaaaaaaliaaaaaaejfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcjeadaaaa
eaaaaaaaofaaaaaafjaaaaaeegiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
gcbaaaadhcbabaaaabaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacadaaaaaa
diaaaaajfcaabaaaaaaaaaaaagiccaaaaaaaaaaaaeaaaaaafgifcaaaabaaaaaa
aaaaaaaadiaaaaakkcaabaaaaaaaaaaafgincaiaebaaaaaaaaaaaaaaaeaaaaaa
fgifcaaaabaaaaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaigbibaaaabaaaaaa
ogiocaaaaaaaaaaaadaaaaaaegaobaaaaaaaaaaabkaaaaafpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaaaaaaakmcaabaaaaaaaaaaakgaobaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaiadomdpfkiloefaaaaajpcaabaaaabaaaaaaegaabaaa
aaaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaefaaaaajpcaabaaaaaaaaaaa
ogakbaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaadcaaaaakicaabaaa
aaaaaaaaakiacaaaaaaaaaaaadaaaaaaabeaaaaaaaaaiadoabeaaaaaaaaaiaea
efaaaaajpcaabaaaacaaaaaaegbabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaa
aaaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaacaaaaaa
dcaaaaakicaabaaaabaaaaaabkaabaaaacaaaaaaakiacaaaaaaaaaaaadaaaaaa
akaabaaaacaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaapgapbaaa
aaaaaaaadcaaaaajhcaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaa
pgapbaaaabaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaabaaaaaadeaaaaahicaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaa
aaaaaaaadeaaaaahicaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
aoaaaaahhcaabaaaabaaaaaaegacbaaaaaaaaaaapgapbaaaaaaaaaaaaacaaaah
icaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaialpbnaaaaahicaabaaa
aaaaaaaaabeaaaaaaaaaiadpdkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaaaaaaeaeadiaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaaaabaaaaaadcaaaaajhcaabaaaabaaaaaa
agaabaaaacaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadhaaaaajhccabaaa
aaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadgaaaaaf
iccabaaaaaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
ConstBuffer "$Globals" 80 // 80 used size, 11 vars
Vector 16 [_HighwayColor] 4
Float 48 [_Intensity]
Float 56 [_ScaleFlowU]
Float 60 [_ScaleFlowV]
Float 64 [_ScrollFlowU]
Float 68 [_ScrollFlowV]
Float 72 [_ScrollFlow2U]
Float 76 [_ScrollFlow2V]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_SurfacemapTex] 2D 0
SetTexture 1 [_FlowTex] 2D 1
// 25 instructions, 3 temp regs, 0 temp arrays:
// ALU 13 float, 0 int, 0 uint
// TEX 3 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1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"
}

}

#LINE 105

	}
}


// fallback: solid black
SubShader {
	Pass {
        SetTexture [_SurfacemapTex] {
			ConstantColor (0.2,0.2,0.2,1)
            Combine constant
        }
	}
}

}
}
