﻿// Copyright 2014 DeathByNukes

Shader "struct_simple" {
Properties {
	_LightmapTex ("Lightmap (RGB)", 2D) = "black" {}
	_DetailTex ("Detail (RGB)", 2D) = "black" {}
	_FlowTex ("Flow (RGB)", 2D) = "black" {}
	
	_Color ("Batch per-object settings. (Negative Y scale, Y rotation, Unused, Unused)", Color) = (-1,0,0,0)
	_Colour ("Tint w/ Overbright Support", Color) = (1,1,1,1)
	
	_SpinSpeed ("Y rotation speed (radians per second)", float) = 0

	_ScaleDetailU ("Detail U Scale", float) = 1
	_ScaleDetailV ("Detail V Scale", float) = 1
	
	_ScaleFlowU ("Flow U Scale", float) = 1
	_ScaleFlowV ("Flow V Scale", float) = 1
	
	_ScrollFlowU ("Flow U Scroll Speed", float) = 0
	_ScrollFlowV ("Flow V Scroll Speed", float) = 0
	
	_ScrollFlow2U ("Flow 2 U Scroll Speed", float) = 0
	_ScrollFlow2V ("Flow 2 V Scroll Speed", float) = 0
	
	//_TimeTest ("time", float) = 0
	//_ColorScaleTest ("color scale", float) = 1
}
Category {
Fog { Mode Off }


SubShader {
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 55 to 55
//   d3d9 - ALU: 52 to 52
//   d3d11 - ALU: 10 to 10, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 10 to 10, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Vector 9 [_Time]
Matrix 5 [_Object2World]
Vector 10 [_Color]
Float 11 [_SpinSpeed]
"!!ARBvp1.0
# 55 ALU
PARAM c[19] = { { 0.15915491, 1, -1, 0.5 },
		state.matrix.mvp,
		program.local[5..11],
		{ 0.25, 0.5, 0.75, 1 },
		{ -24.980801, 60.145809, -85.453789, 64.939346 },
		{ -19.73921, 1, 12.9898, 78.233002 },
		{ 24.980801, -24.980801, -60.145809, 60.145809 },
		{ 0, 0.5, 1, 43758.547 },
		{ 85.453789, -85.453789, -64.939346, 64.939346 },
		{ 19.73921, -19.73921, -9, 0.75 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
MOV R0.x, c[9].y;
MUL R0.x, R0, c[11];
ADD R0.x, R0, c[10].z;
MUL R0.x, R0, c[0];
FRC R1.z, R0.x;
SLT R0, R1.z, c[12];
ADD R2.xyz, R0.yzww, -R0;
MOV R0.yzw, R2.xxyz;
DP4 R1.y, R0, c[12].xxzz;
DP3 R1.x, R2, c[0].wwyw;
ADD R1.xy, R1.z, -R1;
MUL R2.xy, R1, R1;
MUL R2.zw, R2.xyxy, R2.xyxy;
MAD R1, R2.zzww, c[13].xyxy, c[13].zwzw;
MAD R1, R1, R2.zzww, c[14].xyxy;
MAD R1.zw, R1.xyxz, R2.xyxy, R1.xyyw;
DP4 R2.y, R0, c[0].yyzz;
DP4 R2.x, R0, c[0].yzzy;
MUL R1.zw, R2.xyxy, R1;
MOV R1.y, c[7].w;
MOV R1.x, c[5].w;
MUL R1.xy, R1, c[14].zwzw;
ADD R1.x, R1, R1.y;
MUL R0.x, R1, c[0];
ADD R0.x, R0, -c[12];
FRC R0.w, R0.x;
ADD R0.xyz, -R0.w, c[16];
MUL R0.xyz, R0, R0;
MAD R2.xyz, R0, c[15].xyxw, c[15].zwzw;
MAD R2.xyz, R2, R0, c[17].xyxw;
MAD R2.xyz, R2, R0, c[17].zwzw;
MAD R2.xyz, R2, R0, c[18].xyxw;
MAD R2.xyz, R2, R0, c[0].zyzw;
MOV R1.x, R1.z;
MOV R1.y, -R1.w;
MUL R1.xy, vertex.position.xzzw, R1;
MUL R1.zw, R1.xywz, vertex.position.xyxz;
ADD R1.x, R1, R1.y;
ADD R1.y, R1.z, R1.w;
MOV R1.xz, R1.xyyw;
MOV R1.w, vertex.position;
MUL R1.y, vertex.position, -c[10].x;
SLT R3.x, R0.w, c[12];
SGE R3.yz, R0.w, c[18].xzww;
MOV R0.xz, R3;
DP3 R0.y, R3, c[0].zyzw;
DP3 R0.x, R2, -R0;
MUL R0.x, R0, c[16].w;
FRC R0.x, R0;
DP4 result.position.w, R1, c[4];
DP4 result.position.z, R1, c[3];
DP4 result.position.y, R1, c[2];
DP4 result.position.x, R1, c[1];
ADD result.texcoord[0].z, vertex.texcoord[0].y, R0.x;
MOV result.texcoord[0].xy, vertex.texcoord[0];
END
# 55 instructions, 4 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_Time]
Matrix 4 [_Object2World]
Vector 9 [_Color]
Float 10 [_SpinSpeed]
"vs_2_0
; 52 ALU
def c11, 0.15915491, 0.50000000, 6.28318501, -3.14159298
def c12, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c13, -0.02083333, -0.12500000, 1.00000000, 0.50000000
def c14, 12.98980045, 78.23300171, 43758.54687500, 0
dcl_position0 v0
dcl_texcoord0 v1
mov r0.x, c10
mul r0.x, c8.y, r0
add r0.x, r0, c9.z
mad r0.x, r0, c11, c11.y
frc r0.x, r0
mad r1.x, r0, c11.z, c11.w
sincos r0.xy, r1.x, c12.xyzw, c13.xyzw
mov r1.w, v0
mov r1.x, r0
mov r1.y, -r0
mul r1.xy, v0.xzzw, r1
mul r0.xy, r0.yxzw, v0.xzzw
mov r0.w, c6
mov r0.z, c4.w
mul r0.zw, r0, c14.xyxy
add r0.w, r0.z, r0
add r0.z, r1.x, r1.y
mad r0.w, r0, c11.x, c11.y
frc r1.x, r0.w
mad r1.y, r1.x, c11.z, c11.w
add r0.w, r0.x, r0.y
mov r1.xz, r0.zyww
sincos r0.xy, r1.y, c12.xyzw, c13.xyzw
mul r1.y, v0, -c9.x
mul r0.x, r0.y, c14.z
frc r0.x, r0
dp4 oPos.w, r1, c3
dp4 oPos.z, r1, c2
dp4 oPos.y, r1, c1
dp4 oPos.x, r1, c0
add oT0.z, v1.y, -r0.x
mov oT0.xy, v1
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 96 // 52 used size, 12 vars
Vector 32 [_Color] 4
Float 48 [_SpinSpeed]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 19 instructions, 4 temp regs, 0 temp arrays:
// ALU 10 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecednlkkhgedbkmjhejhlbognlofkpnnkdeiabaaaaaaiaadaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefckaacaaaa
eaaaabaakiaaaaaafjaaaaaeegiocaaaaaaaaaaaaeaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafjaaaaaeegiocaaaacaaaaaabaaaaaaafpaaaaadpcbabaaa
aaaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagiaaaaacaeaaaaaadiaaaaajbcaabaaaaaaaaaaa
bkbabaaaaaaaaaaaakiacaiaebaaaaaaaaaaaaaaacaaaaaadiaaaaaipcaabaaa
aaaaaaaaagaabaaaaaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaambcaabaaa
abaaaaaaakiacaaaaaaaaaaaadaaaaaabkiacaaaabaaaaaaaaaaaaaackiacaaa
aaaaaaaaacaaaaaaenaaaaahbcaabaaaabaaaaaabcaabaaaacaaaaaaakaabaaa
abaaaaaadgaaaaagbcaabaaaadaaaaaaakaabaiaebaaaaaaabaaaaaadgaaaaaf
ccaabaaaadaaaaaaakaabaaaacaaaaaadgaaaaafecaabaaaadaaaaaaakaabaaa
abaaaaaaapaaaaahbcaabaaaabaaaaaaggakbaaaadaaaaaaigbabaaaaaaaaaaa
apaaaaahccaabaaaabaaaaaabgafbaaaadaaaaaaigbabaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaacaaaaaaaaaaaaaafgafbaaaabaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaacaaaaaaagaabaaa
abaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaacaaaaaa
adaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaaapaaaaalbcaabaaaaaaaaaaa
igiacaaaacaaaaaaapaaaaaaaceaaaaadjngepebemhhjmecaaaaaaaaaaaaaaaa
enaaaaagbcaabaaaaaaaaaaaaanaaaaaakaabaaaaaaaaaaadiaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaimoockehbkaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaaaaaaaaieccabaaaabaaaaaaakaabaiaebaaaaaaaaaaaaaa
bkbabaaaabaaaaaadgaaaaafdccabaaaabaaaaaaegbabaaaabaaaaaadoaaaaab
"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 96 // 52 used size, 12 vars
Vector 32 [_Color] 4
Float 48 [_SpinSpeed]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityPerDraw" 2
// 19 instructions, 4 temp regs, 0 temp arrays:
// ALU 10 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 36 to 36, TEX: 4 to 4
//   d3d9 - ALU: 39 to 39, TEX: 4 to 4
//   d3d11 - ALU: 18 to 18, TEX: 4 to 4, FLOW: 1 to 1
//   d3d11_9x - ALU: 18 to 18, TEX: 4 to 4, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Time]
Vector 1 [_Colour]
Float 2 [_ScaleDetailU]
Float 3 [_ScaleDetailV]
Float 4 [_ScaleFlowU]
Float 5 [_ScaleFlowV]
Float 6 [_ScrollFlowU]
Float 7 [_ScrollFlowV]
Float 8 [_ScrollFlow2U]
Float 9 [_ScrollFlow2V]
SetTexture 0 [_DetailTex] 2D
SetTexture 1 [_FlowTex] 2D
SetTexture 2 [_LightmapTex] 2D
"!!ARBfp1.0
# 36 ALU, 4 TEX
PARAM c[12] = { program.local[0..9],
		{ 1, 0, 0.25, 0.33000001 },
		{ 3, 2 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEX R3.xyz, fragment.texcoord[0], texture[2], 2D;
MOV R1.x, c[4];
MOV R1.y, c[5].x;
MOV R0.y, c[7].x;
MOV R0.x, c[6];
MUL R0.zw, R0.xyxy, c[0].y;
FRC R0.zw, R0;
MAD R0.zw, fragment.texcoord[0].xyxz, R1.xyxy, R0;
MOV R0.y, c[9].x;
MOV R0.x, c[8];
MUL R0.xy, R0, c[0].y;
FRC R0.xy, R0;
MAD R0.xy, fragment.texcoord[0].xzzw, R1, R0;
ADD R1.xy, R0, c[10].zwzw;
MOV R0.y, c[3].x;
MOV R0.x, c[2];
MUL R0.xy, fragment.texcoord[0].xzzw, R0;
MOV result.color.w, c[10].x;
TEX R2.xyz, R1, texture[1], 2D;
TEX R1.xyz, R0.zwzw, texture[1], 2D;
TEX R0.xyz, R0, texture[0], 2D;
MUL R0.xyz, R0, R1;
MAD R0.xyz, R0, R2, R3;
MUL R0.xyz, R0, c[1];
MAX R0.w, R0.x, R0.y;
MAX R0.w, R0, R0.z;
ADD_SAT R1.y, R0.w, -c[10].x;
SGE R1.x, c[10], R0.w;
MAD R1.z, -R1.y, c[11].y, c[11].x;
MUL R1.y, R1, R1;
ABS R1.w, R1.x;
RCP R0.w, R0.w;
MUL R1.y, R1, R1.z;
MAD R1.xyz, R0, R0.w, R1.y;
CMP R0.w, -R1, c[10].y, c[10].x;
CMP result.color.xyz, -R0.w, R1, R0;
END
# 36 instructions, 4 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Time]
Vector 1 [_Colour]
Float 2 [_ScaleDetailU]
Float 3 [_ScaleDetailV]
Float 4 [_ScaleFlowU]
Float 5 [_ScaleFlowV]
Float 6 [_ScrollFlowU]
Float 7 [_ScrollFlowV]
Float 8 [_ScrollFlow2U]
Float 9 [_ScrollFlow2V]
SetTexture 0 [_DetailTex] 2D
SetTexture 1 [_FlowTex] 2D
SetTexture 2 [_LightmapTex] 2D
"ps_2_0
; 39 ALU, 4 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c10, 0.25000000, -0.33000001, 1.00000000, 0.00000000
def c11, -1.00000000, 2.00000000, 3.00000000, 0
dcl t0.xyz
mov r2.x, c4
mov r2.y, c5.x
mov r0.y, -c9.x
mov r0.x, c8
mul r1.xy, r0, c0.y
frc r3.xy, r1
mov r0.y, -c7.x
mov r0.x, c6
mul r0.xy, r0, c0.y
mov r1.x, t0
mov r1.y, t0.z
mad r1.xy, r1, r2, r3
frc r3.xy, r0
add r1.xy, r1, c10
mov r0.x, t0
mov r0.y, t0.z
mad r0.xy, r0, r2, r3
mov r2.x, t0
mov r2.y, t0.z
mov r3.y, c3.x
mov r3.x, c2
mul r3.xy, r2, r3
texld r2, r0, s1
texld r0, t0, s2
texld r1, r1, s1
texld r3, r3, s0
mul_pp r2.xyz, r3, r2
mad_pp r0.xyz, r2, r1, r0
mul_pp r3.xyz, r0, c1
max_pp r0.x, r3, r3.y
max_pp r0.x, r0, r3.z
add_pp_sat r4.x, r0, c11
add_pp r1.x, -r0, c10.z
mad_pp r2.x, -r4, c11.y, c11.z
mul_pp r4.x, r4, r4
rcp_pp r0.x, r0.x
mul_pp r2.x, r4, r2
mad_pp r2.xyz, r3, r0.x, r2.x
cmp_pp r1.x, r1, c10.z, c10.w
abs_pp r0.x, r1
mov_pp r0.w, c10.z
cmp_pp r0.xyz, -r0.x, r2, r3
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 96 // 84 used size, 12 vars
Vector 16 [_Colour] 4
Float 52 [_ScaleDetailU]
Float 56 [_ScaleDetailV]
Float 60 [_ScaleFlowU]
Float 64 [_ScaleFlowV]
Float 68 [_ScrollFlowU]
Float 72 [_ScrollFlowV]
Float 76 [_ScrollFlow2U]
Float 80 [_ScrollFlow2V]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_DetailTex] 2D 1
SetTexture 1 [_FlowTex] 2D 2
SetTexture 2 [_LightmapTex] 2D 0
// 28 instructions, 4 temp regs, 0 temp arrays:
// ALU 18 float, 0 int, 0 uint
// TEX 4 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "d3d11_9x " {
Keywords { }
ConstBuffer "$Globals" 96 // 84 used size, 12 vars
Vector 16 [_Colour] 4
Float 52 [_ScaleDetailU]
Float 56 [_ScaleDetailV]
Float 60 [_ScaleFlowU]
Float 64 [_ScaleFlowV]
Float 68 [_ScrollFlowU]
Float 72 [_ScrollFlowV]
Float 76 [_ScrollFlow2U]
Float 80 [_ScrollFlow2V]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_DetailTex] 2D 1
SetTexture 1 [_FlowTex] 2D 2
SetTexture 2 [_LightmapTex] 2D 0
// 28 instructions, 4 temp regs, 0 temp arrays:
// ALU 18 float, 0 int, 0 uint
// TEX 4 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1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"
}

}

#LINE 128

	}
}


// fallback

// (_FlowTex * 0.5 * _DetailTex + _LightmapTex) * _Color
SubShader {
	Pass {
        SetTexture [_FlowTex] {
			ConstantColor (0.5, 0.5, 0.5, 1)
            Combine texture * constant
            //Matrix ((2, 0), (0, 1))
            //Matrix (2, 0, 0, 1)
            //Matrix ((2, 0, 10), (0, 1, 0), (0, 0, 0))
            //Matrix ((2, 0, 0, 10), (0, 1, 0, 0), (0, 0, 1, 0), (0, 0, 0, 1))
            //Matrix (2, 0, 0, 10, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1)
        }
        SetTexture [_DetailTex] {
            Combine texture * previous
        }
        SetTexture [_LightmapTex] {
            Combine texture + previous
        }
        SetTexture [_LightmapTex] {
			ConstantColor [_Color]
            Combine constant * previous
        }
	}
}

// _LightmapTex * _Color
SubShader {
	Pass {
        SetTexture [_LightmapTex] {
			ConstantColor [_Color]
            Combine texture * constant
        }
	}
}

}
}
