// Copyright 2014 DeathByNukes

Shader "struct_simple" {
Properties {
	_LightmapTex ("Lightmap (RGB)", 2D) = "black" {}
	_DetailTex ("Detail (RGB)", 2D) = "black" {}
	_FlowTex ("Flow (RGB)", 2D) = "black" {}
	
	_Color ("Tint w/ Overbright Support", Color) = (1,1,1,1)
	
	_ScaleDetailU ("Detail U Scale", float) = 1
	_ScaleDetailV ("Detail V Scale", float) = 1
	
	_ScaleFlowU ("Flow U Scale", float) = 1
	_ScaleFlowV ("Flow V Scale", float) = 1
	
	_ScrollFlowU ("Flow U Scroll Speed", float) = 0
	_ScrollFlowV ("Flow V Scroll Speed", float) = 0
	
	_ScrollFlow2U ("Flow 2 U Scroll Speed", float) = 0
	_ScrollFlow2V ("Flow 2 V Scroll Speed", float) = 0
	
	//_TimeTest ("time", float) = 0
	//_ColorScaleTest ("color scale", float) = 1
}
Category {
Fog { Mode Off }


SubShader {
	Pass {
		Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 28 to 28
//   d3d9 - ALU: 27 to 27
//   d3d11 - ALU: 6 to 6, TEX: 0 to 0, FLOW: 1 to 1
//   d3d11_9x - ALU: 6 to 6, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 5 [_Object2World]
"!!ARBvp1.0
# 28 ALU
PARAM c[14] = { { 12.9898, 78.233002, 24.980801, -24.980801 },
		state.matrix.mvp,
		program.local[5..8],
		{ 0, 0.5, 1, 0.15915491 },
		{ 0.25, -60.145809, 60.145809, 43758.547 },
		{ 85.453789, -85.453789, -64.939346, 64.939346 },
		{ 19.73921, -19.73921, -1, 1 },
		{ -9, 0.75 } };
TEMP R0;
TEMP R1;
TEMP R2;
MOV R0.y, c[7].w;
MOV R0.x, c[5].w;
MUL R0.xy, R0, c[0];
ADD R0.x, R0, R0.y;
MUL R0.x, R0, c[9].w;
ADD R0.x, R0, -c[10];
FRC R0.w, R0.x;
ADD R0.xyz, -R0.w, c[9];
MUL R0.xyz, R0, R0;
MUL R1.xyz, R0, c[0].zwzw;
ADD R1.xyz, R1, c[10].yzyw;
MAD R1.xyz, R1, R0, c[11].xyxw;
MAD R1.xyz, R1, R0, c[11].zwzw;
MAD R1.xyz, R1, R0, c[12].xyxw;
MAD R1.xyz, R1, R0, c[12].zwzw;
SLT R2.x, R0.w, c[10];
SGE R2.yz, R0.w, c[13].xxyw;
MOV R0.xz, R2;
DP3 R0.y, R2, c[12].zwzw;
DP3 R0.x, R1, -R0;
MUL R0.x, R0, c[10].w;
FRC R0.x, R0;
ADD result.texcoord[0].z, vertex.texcoord[0].y, R0.x;
MOV result.texcoord[0].xy, vertex.texcoord[0];
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 28 instructions, 3 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
"vs_2_0
; 27 ALU
def c8, -0.02083333, -0.12500000, 1.00000000, 0.50000000
def c9, -0.00000155, -0.00002170, 0.00260417, 0.00026042
def c10, 12.98980045, 78.23300171, 0.15915491, 0.50000000
def c11, 6.28318501, -3.14159298, 43758.54687500, 0
dcl_position0 v0
dcl_texcoord0 v1
mov r0.y, c6.w
mov r0.x, c4.w
mul r0.xy, r0, c10
add r0.x, r0, r0.y
mad r0.x, r0, c10.z, c10.w
frc r0.x, r0
mad r1.x, r0, c11, c11.y
sincos r0.xy, r1.x, c9.xyzw, c8.xyzw
mul r0.x, r0.y, c11.z
frc r0.x, r0
add oT0.z, v1.y, -r0.x
mov oT0.xy, v1
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "UnityPerDraw" 0
// 11 instructions, 1 temp regs, 0 temp arrays:
// ALU 6 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedinafbeecifblkifbmnojbaecpjbhoclpabaaaaaahiacaaaaadaaaaaa
cmaaaaaaiaaaaaaaniaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaadadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaahaiaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcjiabaaaa
eaaaabaaggaaaaaafjaaaaaeegiocaaaaaaaaaaabaaaaaaafpaaaaadpcbabaaa
aaaaaaaafpaaaaaddcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadhccabaaaabaaaaaagiaaaaacabaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaaaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaaaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaaaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaaaaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaaapaaaaalbcaabaaaaaaaaaaaigiacaaaaaaaaaaa
apaaaaaaaceaaaaadjngepebemhhjmecaaaaaaaaaaaaaaaaenaaaaagbcaabaaa
aaaaaaaaaanaaaaaakaabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaimoockehbkaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
aaaaaaaieccabaaaabaaaaaaakaabaiaebaaaaaaaaaaaaaabkbabaaaabaaaaaa
dgaaaaafdccabaaaabaaaaaaegbabaaaabaaaaaadoaaaaab"
}

SubProgram "d3d11_9x " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "UnityPerDraw" 0
// 11 instructions, 1 temp regs, 0 temp arrays:
// ALU 6 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0_level_9_1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"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 37 to 37, TEX: 4 to 4
//   d3d9 - ALU: 40 to 40, TEX: 4 to 4
//   d3d11 - ALU: 15 to 15, TEX: 4 to 4, FLOW: 1 to 1
//   d3d11_9x - ALU: 15 to 15, TEX: 4 to 4, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { }
Vector 0 [_Time]
Vector 1 [_Color]
Float 2 [_ScaleDetailU]
Float 3 [_ScaleDetailV]
Float 4 [_ScaleFlowU]
Float 5 [_ScaleFlowV]
Float 6 [_ScrollFlowU]
Float 7 [_ScrollFlowV]
Float 8 [_ScrollFlow2U]
Float 9 [_ScrollFlow2V]
SetTexture 0 [_DetailTex] 2D
SetTexture 1 [_FlowTex] 2D
SetTexture 2 [_LightmapTex] 2D
"!!ARBfp1.0
# 37 ALU, 4 TEX
PARAM c[12] = { program.local[0..9],
		{ 1, 0, 0.25, 0.33000001 },
		{ 3, 2 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEX R3.xyz, fragment.texcoord[0], texture[2], 2D;
MOV R1.x, c[4];
MOV R1.y, c[5].x;
MOV R0.y, c[7].x;
MOV R0.x, c[6];
MUL R0.zw, R0.xyxy, c[0].y;
FRC R0.zw, R0;
MAD R0.zw, fragment.texcoord[0].xyxz, R1.xyxy, R0;
MOV R0.y, c[9].x;
MOV R0.x, c[8];
MUL R0.xy, R0, c[0].y;
FRC R0.xy, R0;
MAD R0.xy, fragment.texcoord[0].xzzw, R1, R0;
ADD R1.xy, R0, c[10].zwzw;
MOV R0.y, c[3].x;
MOV R0.x, c[2];
MUL R0.xy, fragment.texcoord[0].xzzw, R0;
MOV result.color.w, c[10].x;
TEX R2.xyz, R1, texture[1], 2D;
TEX R1.xyz, R0.zwzw, texture[1], 2D;
TEX R0.xyz, R0, texture[0], 2D;
MUL R0.xyz, R0, R1;
MUL R0.xyz, R0, R2;
MAX R0.xyz, R0, R3;
MUL R0.xyz, R0, c[1];
MAX R0.w, R0.x, R0.y;
MAX R0.w, R0, R0.z;
ADD_SAT R1.y, R0.w, -c[10].x;
SGE R1.x, c[10], R0.w;
MAD R1.z, -R1.y, c[11].y, c[11].x;
MUL R1.y, R1, R1;
ABS R1.w, R1.x;
RCP R0.w, R0.w;
MUL R1.y, R1, R1.z;
MAD R1.xyz, R0, R0.w, R1.y;
CMP R0.w, -R1, c[10].y, c[10].x;
CMP result.color.xyz, -R0.w, R1, R0;
END
# 37 instructions, 4 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_Time]
Vector 1 [_Color]
Float 2 [_ScaleDetailU]
Float 3 [_ScaleDetailV]
Float 4 [_ScaleFlowU]
Float 5 [_ScaleFlowV]
Float 6 [_ScrollFlowU]
Float 7 [_ScrollFlowV]
Float 8 [_ScrollFlow2U]
Float 9 [_ScrollFlow2V]
SetTexture 0 [_DetailTex] 2D
SetTexture 1 [_FlowTex] 2D
SetTexture 2 [_LightmapTex] 2D
"ps_2_0
; 40 ALU, 4 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c10, 0.25000000, -0.33000001, 1.00000000, 0.00000000
def c11, -1.00000000, 2.00000000, 3.00000000, 0
dcl t0.xyz
mov r2.x, c4
mov r2.y, c5.x
mov r0.y, -c9.x
mov r0.x, c8
mul r1.xy, r0, c0.y
frc r3.xy, r1
mov r0.y, -c7.x
mov r0.x, c6
mul r0.xy, r0, c0.y
mov r1.x, t0
mov r1.y, t0.z
mad r1.xy, r1, r2, r3
frc r3.xy, r0
add r1.xy, r1, c10
mov r0.x, t0
mov r0.y, t0.z
mad r0.xy, r0, r2, r3
mov r2.x, t0
mov r2.y, t0.z
mov r3.y, c3.x
mov r3.x, c2
mul r3.xy, r2, r3
texld r2, r0, s1
texld r0, t0, s2
texld r1, r1, s1
texld r3, r3, s0
mul_pp r2.xyz, r3, r2
mul_pp r1.xyz, r2, r1
max_pp r0.xyz, r1, r0
mul_pp r3.xyz, r0, c1
max_pp r0.x, r3, r3.y
max_pp r0.x, r0, r3.z
add_pp_sat r4.x, r0, c11
add_pp r1.x, -r0, c10.z
mad_pp r2.x, -r4, c11.y, c11.z
mul_pp r4.x, r4, r4
rcp_pp r0.x, r0.x
mul_pp r2.x, r4, r2
mad_pp r2.xyz, r3, r0.x, r2.x
cmp_pp r1.x, r1, c10.z, c10.w
abs_pp r0.x, r1
mov_pp r0.w, c10.z
cmp_pp r0.xyz, -r0.x, r2, r3
mov_pp oC0, r0
"
}

SubProgram "d3d11 " {
Keywords { }
ConstBuffer "$Globals" 64 // 64 used size, 10 vars
Vector 16 [_Color] 4
Float 32 [_ScaleDetailU]
Float 36 [_ScaleDetailV]
Float 40 [_ScaleFlowU]
Float 44 [_ScaleFlowV]
Float 48 [_ScrollFlowU]
Float 52 [_ScrollFlowV]
Float 56 [_ScrollFlow2U]
Float 60 [_ScrollFlow2V]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_DetailTex] 2D 1
SetTexture 1 [_FlowTex] 2D 2
SetTexture 2 [_LightmapTex] 2D 0
// 25 instructions, 3 temp regs, 0 temp arrays:
// ALU 15 float, 0 int, 0 uint
// TEX 4 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "d3d11_9x " {
Keywords { }
ConstBuffer "$Globals" 64 // 64 used size, 10 vars
Vector 16 [_Color] 4
Float 32 [_ScaleDetailU]
Float 36 [_ScaleDetailV]
Float 40 [_ScaleFlowU]
Float 44 [_ScaleFlowV]
Float 48 [_ScrollFlowU]
Float 52 [_ScrollFlowV]
Float 56 [_ScrollFlow2U]
Float 60 [_ScrollFlow2V]
ConstBuffer "UnityPerCamera" 128 // 16 used size, 8 vars
Vector 0 [_Time] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_DetailTex] 2D 1
SetTexture 1 [_FlowTex] 2D 2
SetTexture 2 [_LightmapTex] 2D 0
// 25 instructions, 3 temp regs, 0 temp arrays:
// ALU 15 float, 0 int, 0 uint
// TEX 4 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0_level_9_1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"
}

}

#LINE 116

	}
}


// fallback

// (_FlowTex * 0.5 * _DetailTex + _LightmapTex) * _Color
SubShader {
	Pass {
        SetTexture [_FlowTex] {
			ConstantColor (0.5, 0.5, 0.5, 1)
            Combine texture * constant
            //Matrix ((2, 0), (0, 1))
            //Matrix (2, 0, 0, 1)
            //Matrix ((2, 0, 10), (0, 1, 0), (0, 0, 0))
            //Matrix ((2, 0, 0, 10), (0, 1, 0, 0), (0, 0, 1, 0), (0, 0, 0, 1))
            //Matrix (2, 0, 0, 10, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1)
        }
        SetTexture [_DetailTex] {
            Combine texture * previous
        }
        SetTexture [_LightmapTex] {
            Combine texture + previous
        }
        SetTexture [_LightmapTex] {
			ConstantColor [_Color]
            Combine constant * previous
        }
	}
}

// _LightmapTex * _Color
SubShader {
	Pass {
        SetTexture [_LightmapTex] {
			ConstantColor [_Color]
            Combine texture * constant
        }
	}
}

}
}
