﻿Shader "Skyscreen/TheGrid" {
	Properties {
		iPrimaryColor("PrimaryColor", Color) = (1.0, 1.0, 1.0, 1.0)
		iFloorHeight("FloorHeight", Float) = -11
		iIntensity("Intensity", Float) = 0.5
		iIntensityTime("IntensityTime", Float) = 0.5
	}
	SubShader {
	
	
 // Stats for Vertex shader:
 //       d3d11 : 8 math
 //        d3d9 : 10 math
 //      opengl : 10 math
 // Stats for Fragment shader:
 //       d3d11 : 97 math, 4 branch
 //        d3d9 : 274 math, 11 branch
 //      opengl : 932 math
		Pass{
			Fog { Mode Off }
			Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 6 to 6
//   d3d9 - ALU: 6 to 6
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
"3.0-!!ARBvp1.0
# 6 ALU
PARAM c[5] = { { 0 },
		state.matrix.mvp };
MOV result.texcoord[0].xy, vertex.texcoord[0];
MOV result.texcoord[0].zw, c[0].x;
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
END
# 6 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
"vs_3_0
; 6 ALU
dcl_position o0
dcl_texcoord0 o1
def c4, 0.00000000, 0, 0, 0
dcl_position0 v0
dcl_texcoord0 v1
mov o1.xy, v1
mov o1.zw, c4.x
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
// Stats: 8 math
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerDraw" 336
Matrix 0 [glstate_matrix_mvp]
Matrix 192 [_Object2World]
BindCB  "UnityPerDraw" 0
"vs_4_0
eefiecednkbfgbdpdfiboilkoebgffjoaicfdlmeabaaaaaamaacaaaaadaaaaaa
cmaaaaaaiaaaaaaapaaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapadaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaa
fmaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfe
ejepeoaafeeffiedepepfceeaaklklklfdeieefcmiabaaaaeaaaabaahcaaaaaa
fjaaaaaeegiocaaaaaaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
dcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadpccabaaaacaaaaaagiaaaaacabaaaaaadiaaaaaipcaabaaa
aaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaabaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaaaaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaacaaaaaakgbkbaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaaaaaaaaaadaaaaaa
pgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafdccabaaaabaaaaaaegbabaaa
abaaaaaadgaaaaaimccabaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaa
anaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaamaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaacaaaaaa
egiocaaaaaaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadoaaaaab
"
}


}
Program "fp" {
SubProgram "opengl " {
// Stats: 932 math
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [iPrimaryColor]
Float 2 [iFloorHeight]
Float 3 [iIntensity]
Float 4 [iIntensityTime]
"3.0-!!ARBfp1.0
PARAM c[19] = { program.local[0..4],
		{ 0, -80000, -65000, -50000 },
		{ -35000, 0, -20000, -13.200001 },
		{ -8.8000002, 0, 8.8000002, 1 },
		{ 0.99989998, 0, -1, -5000 },
		{ 11, 30, 3.141593, 1.570796 },
		{ -0.01348047, 0.05747731, 0.1212391, 0.1956359 },
		{ 0.33299461, 0.99999559, 4, 1.7 },
		{ 11.11, 547.89001, -0.2, 0.69999999 },
		{ 8, 0.25, 16, 0.125 },
		{ 5, 0.1, 3, 2.718282 },
		{ -100, 9.9999997e-005, 180, 500 },
		{ 100, 250, 48, 0.02 },
		{ -1, 1, 0.00040000002, 0.00070000003 },
		{ 4.4000001, 0.001, 0.0013, 0.0016 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEMP R4;
TEMP R5;
MOV R1.zw, c[10].y;
MOV R2.xz, c[10].x;
RCP R0.y, c[5].y;
RCP R0.x, c[5].x;
MUL R0.xy, fragment.position, R0;
MAD R0.xy, R0, c[11].z, c[11].y;
MOV R1.x, R0;
MOV R1.y, -R0;
DP4 R0.z, R1, c[2];
DP4 R0.x, R1, c[0];
DP4 R0.y, R1, c[1];
DP3 R0.w, R0, R0;
RSQ R0.w, R0.w;
MUL R0.xyz, R0.w, R0;
MOV R1.x, c[18];
ADD R2.y, R1.x, c[7].x;
ADD R1.xyz, -R2, c[4];
MUL R2.xyz, -R1.zxyw, c[10].xxyw;
MAD R2.xyz, R1.yzxw, c[10].xyxw, R2;
MUL R3.xyz, -R1.yzxw, c[10].yxxw;
DP3 R2.y, R0, R2;
MAD R3.xyz, R1.zxyw, c[10].xyxw, R3;
MOV R1.w, c[12].y;
RCP R0.w, R0.y;
ADD R2.w, R1, c[9].x;
DP3 R2.x, R1, c[11].xyxw;
DP3 R2.z, R0, R3;
MUL R2.xyz, R0.w, R2;
MUL R1.x, R2.w, c[18].w;
MAD R1.xy, R2.yzzw, c[18].z, R1.x;
FLR R1.xy, R1;
ADD R3.xy, R1, c[11].yxzw;
MUL R1.z, R3.y, c[13].w;
MUL R1.w, R3.y, c[13].y;
MAD R1.z, R3.x, c[13], R1;
MAD R1.w, R3.x, c[13].x, R1;
COS R3.y, R1.z;
SIN R3.x, R1.w;
FRC R3.xy, R3;
ABS R1.z, R3.y;
ABS R1.w, R3.x;
MAX R2.y, R1.w, R1.z;
SLT R3.z, R2.y, c[14];
SLT R1.z, c[10].x, R2.x;
MUL R1.w, R1.z, R3.z;
MUL R3.y, R1, c[13];
ABS R2.z, R3;
MUL R3.x, R1.y, c[13].w;
CMP R1.w, -R1, R2.y, c[14].z;
MAD R3.w, R1.x, c[13].x, R3.y;
MAD R3.x, R1, c[13].z, R3;
COS R3.y, R3.x;
SIN R3.x, R3.w;
FRC R3.xy, R3;
CMP R2.z, -R2, c[10].x, c[10].y;
MUL R3.w, R1.z, R2.z;
ABS R2.z, R3.y;
ABS R3.x, R3;
MAX R2.z, R3.x, R2;
SLT R4.x, R2.z, R1.w;
MUL R3.x, R3.z, R3.w;
CMP R3.x, -R3, R2.y, c[14].z;
MUL R2.y, R1.z, R4.x;
CMP R3.z, -R2.y, R1.w, R3.x;
ABS R3.y, R4.x;
CMP R3.x, -R3.y, c[10], c[10].y;
MUL R4.x, R1.z, R3;
ADD R3.xy, R1, c[10].yxzw;
SLT R3.w, R2.z, R3.z;
MUL R3.w, R4.x, R3;
CMP R1.w, -R2.y, R2.z, R1;
MUL R4.x, R3.y, c[13].w;
MUL R4.y, R3, c[13];
MAD R3.y, R3.x, c[13].z, R4.x;
MAD R3.x, R3, c[13], R4.y;
COS R3.y, R3.y;
SIN R3.x, R3.x;
FRC R3.xy, R3;
ABS R2.y, R3;
ABS R3.x, R3;
MAX R2.y, R3.x, R2;
SLT R4.x, R2.y, R1.w;
CMP R3.x, -R3.w, R2.z, R3.z;
MUL R2.z, R1, R4.x;
CMP R3.z, -R2, R1.w, R3.x;
ABS R3.y, R4.x;
CMP R3.x, -R3.y, c[10], c[10].y;
MUL R4.x, R1.z, R3;
ADD R3.xy, R1, c[14];
SLT R3.w, R2.y, R3.z;
MUL R3.w, R4.x, R3;
CMP R1.w, -R2.z, R2.y, R1;
CMP R2.y, -R3.w, R2, R3.z;
MUL R4.x, R3.y, c[13].w;
MUL R4.y, R3, c[13];
MAD R3.y, R3.x, c[13].z, R4.x;
MAD R3.x, R3, c[13], R4.y;
COS R3.y, R3.y;
SIN R3.x, R3.x;
FRC R3.xy, R3;
ABS R2.z, R3.y;
ABS R3.x, R3;
MAX R2.z, R3.x, R2;
SLT R3.y, R2.z, R1.w;
MUL R3.z, R1, R3.y;
CMP R2.y, -R3.z, R1.w, R2;
ABS R3.x, R3.y;
CMP R3.x, -R3, c[10], c[10].y;
MUL R4.x, R1.z, R3;
ADD R3.xy, R1, c[10];
SLT R3.w, R2.z, R2.y;
MUL R3.w, R4.x, R3;
CMP R1.w, -R3.z, R2.z, R1;
ADD R1.xy, R1, c[10].y;
CMP R2.z, -R3.w, R2, R2.y;
MUL R4.x, R3.y, c[13].w;
MUL R4.y, R3, c[13];
MAD R3.y, R3.x, c[13].z, R4.x;
MAD R3.x, R3, c[13], R4.y;
MUL R3.w, R1.y, c[13].y;
COS R3.y, R3.y;
SIN R3.x, R3.x;
FRC R3.xy, R3;
ABS R3.y, R3;
ABS R3.x, R3;
MAX R3.x, R3, R3.y;
SLT R3.z, R3.x, R1.w;
MUL R2.y, R1.z, R3.z;
CMP R2.z, -R2.y, R1.w, R2;
ABS R3.y, R3.z;
CMP R3.z, -R3.y, c[10].x, c[10].y;
CMP R1.w, -R2.y, R3.x, R1;
SLT R3.y, R3.x, R2.z;
MUL R3.z, R1, R3;
MUL R3.y, R3.z, R3;
MUL R3.z, R1.y, c[13].w;
MAD R1.y, R1.x, c[13].z, R3.z;
MAD R1.x, R1, c[13], R3.w;
COS R1.y, R1.y;
SIN R1.x, R1.x;
FRC R1.xy, R1;
ABS R1.y, R1;
ABS R1.x, R1;
MAX R2.y, R1.x, R1;
SLT R3.z, R2.y, R1.w;
CMP R1.x, -R3.y, R3, R2.z;
MUL R2.z, R1, R3;
CMP R3.y, -R2.z, R1.w, R1.x;
ABS R1.y, R3.z;
CMP R1.y, -R1, c[10].x, c[10];
SLT R1.x, R2.y, R3.y;
MUL R1.y, R1.z, R1;
MUL R3.x, R1.y, R1;
MOV R1.y, c[19].x;
CMP R3.w, -R3.x, R2.y, R3.y;
MOV R1.xz, c[10].x;
ADD R1.y, R1, c[7].x;
ADD R1.xyz, -R1, c[4];
MUL R3.xyz, -R1.zxyw, c[10].xxyw;
MAD R3.xyz, R1.yzxw, c[10].xyxw, R3;
MUL R4.xyz, -R1.yzxw, c[10].yxxw;
DP3 R3.y, R0, R3;
MAD R4.xyz, R1.zxyw, c[10].xyxw, R4;
DP3 R3.x, R1, c[11].xyxw;
DP3 R3.z, R0, R4;
CMP R1.z, -R2, R2.y, R1.w;
MUL R3.xyz, R0.w, R3;
MUL R1.x, R2.w, c[19].z;
MAD R1.xy, R3.yzzw, c[19].y, R1.x;
ADD R2.y, R3.w, -R1.z;
FLR R1.xy, R1;
ADD R1.zw, R1.xyxy, c[11].xyyx;
ADD R3.y, R2, -c[14].w;
MUL R2.y, R1.w, c[13].w;
MUL R2.z, R1.w, c[13].y;
MAD R1.w, R1.z, c[13].z, R2.y;
MAD R1.z, R1, c[13].x, R2;
MUL R2.y, R3, c[15].x;
COS R1.w, R1.w;
SIN R1.z, R1.z;
FRC R3.zw, R1;
ABS R1.z, R3.w;
ABS R1.w, R3.z;
MAX R2.z, R1.w, R1;
SLT R4.x, R2.z, c[14].z;
SLT R1.z, c[10].x, R3.x;
MUL R1.w, R1.z, R4.x;
MUL R3.w, R1.y, c[13].y;
ABS R3.y, R4.x;
MUL R3.z, R1.y, c[13].w;
CMP R1.w, -R1, R2.z, c[14].z;
MAD R4.y, R1.x, c[13].x, R3.w;
MAD R3.z, R1.x, c[13], R3;
COS R3.w, R3.z;
SIN R3.z, R4.y;
FRC R3.zw, R3;
CMP R3.y, -R3, c[10].x, c[10];
MUL R4.y, R1.z, R3;
POW R2.y, c[11].w, R2.y;
ABS R3.y, R3.w;
ABS R3.z, R3;
MAX R3.y, R3.z, R3;
SLT R4.z, R3.y, R1.w;
MUL R3.z, R4.x, R4.y;
CMP R3.z, -R3, R2, c[14];
MUL R2.z, R1, R4;
CMP R4.x, -R2.z, R1.w, R3.z;
ABS R3.w, R4.z;
CMP R3.z, -R3.w, c[10].x, c[10].y;
MUL R4.z, R1, R3;
ADD R3.zw, R1.xyxy, c[10].xyyx;
SLT R4.y, R3, R4.x;
MUL R4.y, R4.z, R4;
CMP R1.w, -R2.z, R3.y, R1;
MUL R4.z, R3.w, c[13].w;
MUL R4.w, R3, c[13].y;
MAD R3.w, R3.z, c[13].z, R4.z;
MAD R3.z, R3, c[13].x, R4.w;
COS R3.w, R3.w;
SIN R3.z, R3.z;
FRC R3.zw, R3;
ABS R2.z, R3.w;
ABS R3.z, R3;
MAX R2.z, R3, R2;
SLT R4.z, R2, R1.w;
CMP R3.z, -R4.y, R3.y, R4.x;
MUL R3.y, R1.z, R4.z;
CMP R4.x, -R3.y, R1.w, R3.z;
ABS R3.w, R4.z;
CMP R3.z, -R3.w, c[10].x, c[10].y;
MUL R4.z, R1, R3;
ADD R3.zw, R1.xyxy, c[14].xyxy;
SLT R4.y, R2.z, R4.x;
MUL R4.y, R4.z, R4;
CMP R1.w, -R3.y, R2.z, R1;
MUL R4.z, R3.w, c[13].w;
MUL R4.w, R3, c[13].y;
MAD R3.w, R3.z, c[13].z, R4.z;
MAD R3.z, R3, c[13].x, R4.w;
COS R3.w, R3.w;
SIN R3.z, R3.z;
FRC R3.zw, R3;
ABS R3.y, R3.w;
ABS R3.z, R3;
MAX R3.y, R3.z, R3;
SLT R4.z, R3.y, R1.w;
CMP R3.z, -R4.y, R2, R4.x;
MUL R2.z, R1, R4;
CMP R4.x, -R2.z, R1.w, R3.z;
ABS R3.w, R4.z;
CMP R3.z, -R3.w, c[10].x, c[10].y;
MUL R4.z, R1, R3;
ADD R3.zw, R1.xyxy, c[10].xyxy;
SLT R4.y, R3, R4.x;
MUL R4.y, R4.z, R4;
CMP R2.z, -R2, R3.y, R1.w;
ADD R1.xy, R1, c[10].y;
CMP R3.y, -R4, R3, R4.x;
MUL R4.z, R3.w, c[13].w;
MUL R4.w, R3, c[13].y;
MAD R3.w, R3.z, c[13].z, R4.z;
MAD R3.z, R3, c[13].x, R4.w;
MUL R4.y, R1, c[13];
COS R3.w, R3.w;
SIN R3.z, R3.z;
FRC R3.zw, R3;
ABS R1.w, R3;
ABS R3.z, R3;
MAX R1.w, R3.z, R1;
SLT R3.z, R1.w, R2;
ABS R3.w, R3.z;
MUL R3.z, R1, R3;
CMP R3.y, -R3.z, R2.z, R3;
CMP R4.x, -R3.w, c[10], c[10].y;
CMP R2.z, -R3, R1.w, R2;
SLT R3.w, R1, R3.y;
MUL R4.x, R1.z, R4;
MUL R4.x, R4, R3.w;
CMP R3.z, -R4.x, R1.w, R3.y;
MUL R3.w, R1.y, c[13];
MAD R1.y, R1.x, c[13].z, R3.w;
MAD R1.x, R1, c[13], R4.y;
ABS R1.w, R0.z;
COS R1.y, R1.y;
SIN R1.x, R1.x;
FRC R1.xy, R1;
ABS R1.y, R1;
ABS R1.x, R1;
MAX R1.x, R1, R1.y;
SLT R3.w, R1.x, R2.z;
ABS R1.y, R0.x;
MUL R3.y, R1.z, R3.w;
CMP R3.z, -R3.y, R2, R3;
MAX R4.x, R1.y, R1.w;
MIN R4.y, R1, R1.w;
ABS R4.w, R3;
RCP R4.x, R4.x;
MUL R4.x, R4.y, R4;
MUL R4.y, R4.x, R4.x;
MAD R3.w, R4.y, c[20].x, c[20].y;
CMP R4.w, -R4, c[10].x, c[10].y;
SLT R4.z, R1.x, R3;
MAD R3.w, R3, R4.y, -c[20].z;
MUL R4.w, R1.z, R4;
MAD R1.z, R3.w, R4.y, c[20].w;
MUL R3.w, R4, R4.z;
CMP R3.z, -R3.w, R1.x, R3;
CMP R1.x, -R3.y, R1, R2.z;
MAD R1.z, R1, R4.y, -c[21].x;
MAD R1.z, R1, R4.y, c[21].y;
ADD R2.z, R3, -R1.x;
MUL R1.z, R1, R4.x;
ADD R1.x, -R1.z, c[21].z;
ADD R1.y, R1, -R1.w;
CMP R1.y, -R1, R1.x, R1.z;
ADD R1.x, -R1.y, c[21].w;
CMP R1.x, R0.z, R1, R1.y;
ADD R2.z, R2, -c[14].w;
MUL R1.y, R2.z, c[15].x;
MOV R1.z, c[22].y;
CMP R1.w, R0.x, -R1.x, R1.x;
MUL R1.z, R1, c[9].x;
MAD R1.x, R1.w, c[22], R1.z;
POW R2.z, c[11].w, R1.y;
MAD R1.y, R1.w, c[14].z, -R1.z;
MAD R1.z, R1.w, c[23].y, R1;
FLR R1.x, R1;
MUL R1.x, R1, c[22].z;
SIN R1.x, R1.x;
MUL R1.x, R1, c[22].w;
FRC R3.y, R1.x;
FLR R1.y, R1;
MUL R1.y, R1, c[22].z;
FLR R1.z, R1;
SIN R1.y, R1.y;
MUL R1.z, R1, c[22];
MUL R1.y, R1, c[22].w;
SIN R1.z, R1.z;
FRC R1.y, R1;
MUL R1.z, R1, c[22].w;
FRC R1.z, R1;
MUL R1.y, R1, c[23].w;
MAD R1.y, R1.z, c[23].z, R1;
MOV R1.zw, c[10].xyyw;
MAD R1.y, R3, c[23].x, R1;
ADD R1.z, R1, -c[8].x;
MUL R1.x, R0.y, R0.y;
MUL R1.x, R1, R1.z;
RCP R1.x, R1.x;
POW R1.y, R1.y, c[24].x;
MUL R3.z, R1.y, R1.x;
ABS R1.y, R0;
MAD R1.x, R1.z, c[24].y, c[24].z;
ADD R1.y, -R1, c[10];
POW R3.y, R1.y, R1.x;
MAD R3.z, R3, c[15].y, R3.y;
MOV R1.y, c[17];
MUL R3.y, R2.w, c[16];
MOV R1.xz, c[10].x;
ADD R1.y, R1, c[7].x;
ADD R1.xyz, -R1, c[4];
MUL R4.xyz, -R1.zxyw, c[10].xxyw;
MAD R4.xyz, R1.yzxw, c[10].xyxw, R4;
DP3 R4.y, R0, R4;
MUL R5.xyz, -R1.yzxw, c[10].yxxw;
MAD R5.xyz, R1.zxyw, c[10].xyxw, R5;
DP3 R4.z, R0, R5;
DP3 R4.x, R1, c[11].xyxw;
MUL R1.xyz, R0.w, R4;
MAD R4.xy, R1.yzzw, c[17].w, -R3.y;
MUL R1.z, R3, c[24].w;
FLR R3.zw, R4.xyxy;
MAD R1.y, R2.z, c[15], R1.z;
ADD R4.xy, R3.zwzw, c[11].yxzw;
CMP R1.y, -R3.x, R1, R1.z;
MUL R1.z, R4.y, c[13].w;
MUL R2.z, R4.y, c[13].y;
MAD R1.z, R4.x, c[13], R1;
MAD R2.z, R4.x, c[13].x, R2;
COS R4.y, R1.z;
MAD R1.z, R2.y, c[15].y, R1.y;
SIN R4.x, R2.z;
FRC R4.xy, R4;
CMP R1.y, -R2.x, R1.z, R1;
ABS R2.y, R4;
ABS R2.z, R4.x;
MAX R4.x, R2.z, R2.y;
SLT R4.y, R4.x, c[14].z;
SLT R2.z, c[10].x, R1.x;
MUL R1.z, R2, R4.y;
ABS R2.x, R4.y;
CMP R3.x, -R2, c[10], c[10].y;
MUL R2.y, R3.w, c[13];
MUL R2.x, R3.w, c[13].w;
CMP R1.z, -R1, R4.x, c[14];
MAD R4.z, R3, c[13].x, R2.y;
MAD R2.x, R3.z, c[13].z, R2;
COS R2.y, R2.x;
SIN R2.x, R4.z;
FRC R2.xy, R2;
MUL R4.z, R2, R3.x;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R3.x, R2, R2.y;
SLT R4.w, R3.x, R1.z;
MUL R2.x, R4.y, R4.z;
CMP R2.x, -R2, R4, c[14].z;
MUL R4.x, R2.z, R4.w;
CMP R4.y, -R4.x, R1.z, R2.x;
ABS R2.y, R4.w;
CMP R2.x, -R2.y, c[10], c[10].y;
MUL R4.w, R2.z, R2.x;
ADD R2.xy, R3.zwzw, c[10].yxzw;
SLT R4.z, R3.x, R4.y;
MUL R4.z, R4.w, R4;
CMP R1.z, -R4.x, R3.x, R1;
MUL R4.w, R2.y, c[13];
MUL R5.x, R2.y, c[13].y;
MAD R2.y, R2.x, c[13].z, R4.w;
MAD R2.x, R2, c[13], R5;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R4.x, R2, R2.y;
SLT R4.w, R4.x, R1.z;
CMP R2.x, -R4.z, R3, R4.y;
MUL R3.x, R2.z, R4.w;
CMP R4.y, -R3.x, R1.z, R2.x;
ABS R2.y, R4.w;
CMP R2.x, -R2.y, c[10], c[10].y;
MUL R4.w, R2.z, R2.x;
ADD R2.xy, R3.zwzw, c[14];
SLT R4.z, R4.x, R4.y;
MUL R4.z, R4.w, R4;
CMP R1.z, -R3.x, R4.x, R1;
MUL R4.w, R2.y, c[13];
MUL R5.x, R2.y, c[13].y;
MAD R2.y, R2.x, c[13].z, R4.w;
MAD R2.x, R2, c[13], R5;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R3.x, R2, R2.y;
SLT R4.w, R3.x, R1.z;
CMP R2.x, -R4.z, R4, R4.y;
MUL R4.x, R2.z, R4.w;
CMP R4.y, -R4.x, R1.z, R2.x;
ABS R2.y, R4.w;
CMP R2.x, -R2.y, c[10], c[10].y;
MUL R4.w, R2.z, R2.x;
ADD R2.xy, R3.zwzw, c[10];
SLT R4.z, R3.x, R4.y;
MUL R4.z, R4.w, R4;
CMP R1.z, -R4.x, R3.x, R1;
MUL R4.w, R2.y, c[13];
MUL R5.x, R2.y, c[13].y;
MAD R2.y, R2.x, c[13].z, R4.w;
MAD R2.x, R2, c[13], R5;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R4.x, R2, R2.y;
SLT R4.w, R4.x, R1.z;
CMP R2.x, -R4.z, R3, R4.y;
MUL R3.x, R2.z, R4.w;
CMP R4.y, -R3.x, R1.z, R2.x;
ABS R2.y, R4.w;
CMP R2.x, -R2.y, c[10], c[10].y;
MUL R4.w, R2.z, R2.x;
ADD R2.xy, R3.zwzw, c[10].y;
SLT R4.z, R4.x, R4.y;
MUL R3.z, R4.w, R4;
CMP R1.z, -R3.x, R4.x, R1;
MUL R3.w, R2.y, c[13];
MUL R4.z, R2.y, c[13].y;
MAD R2.y, R2.x, c[13].z, R3.w;
MAD R2.x, R2, c[13], R4.z;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R3.x, R2, R2.y;
SLT R3.w, R3.x, R1.z;
CMP R2.x, -R3.z, R4, R4.y;
ABS R2.y, R3.w;
MUL R3.z, R2, R3.w;
CMP R3.w, -R3.z, R1.z, R2.x;
CMP R2.y, -R2, c[10].x, c[10];
SLT R2.x, R3, R3.w;
MUL R2.y, R2.z, R2;
MUL R4.x, R2.y, R2;
MOV R2.y, c[16].z;
CMP R3.w, -R4.x, R3.x, R3;
CMP R1.z, -R3, R3.x, R1;
ADD R1.z, R3.w, -R1;
ADD R1.z, R1, -c[14].w;
MUL R1.z, R1, c[15].x;
POW R1.z, c[11].w, R1.z;
MOV R2.xz, c[10].x;
ADD R2.y, R2, c[7].x;
ADD R2.xyz, -R2, c[4];
MUL R4.xyz, -R2.zxyw, c[10].xxyw;
MAD R4.xyz, R2.yzxw, c[10].xyxw, R4;
DP3 R4.y, R0, R4;
MUL R5.xyz, -R2.yzxw, c[10].yxxw;
MAD R5.xyz, R2.zxyw, c[10].xyxw, R5;
DP3 R4.z, R0, R5;
DP3 R4.x, R2, c[11].xyxw;
MUL R2.xyz, R0.w, R4;
MUL R4.xy, R2.yzzw, c[17].x;
FLR R3.zw, R4.xyxy;
ADD R4.xy, R3.zwzw, c[11].yxzw;
MUL R2.y, R4, c[13].w;
MUL R2.z, R4.y, c[13].y;
MAD R2.y, R4.x, c[13].z, R2;
MAD R2.z, R4.x, c[13].x, R2;
COS R4.y, R2.y;
SIN R4.x, R2.z;
FRC R4.xy, R4;
ABS R2.y, R4;
ABS R2.z, R4.x;
MAX R4.z, R2, R2.y;
MAD R2.y, R1.z, c[15], R1;
CMP R2.y, -R1.x, R2, R1;
SLT R4.w, R4.z, c[14].z;
SLT R1.z, c[10].x, R2.x;
MUL R2.z, R1, R4.w;
MUL R4.y, R3.w, c[13];
ABS R3.x, R4.w;
MUL R4.x, R3.w, c[13].w;
MOV R1.y, c[15].z;
CMP R2.z, -R2, R4, c[14];
MAD R5.x, R3.z, c[13], R4.y;
MAD R4.x, R3.z, c[13].z, R4;
COS R4.y, R4.x;
SIN R4.x, R5.x;
FRC R4.xy, R4;
CMP R3.x, -R3, c[10], c[10].y;
MUL R5.x, R1.z, R3;
ABS R3.x, R4.y;
ABS R4.x, R4;
MAX R3.x, R4, R3;
SLT R5.y, R3.x, R2.z;
MUL R4.x, R4.w, R5;
MUL R4.w, R1.z, R5.y;
CMP R4.x, -R4, R4.z, c[14].z;
CMP R4.z, -R4.w, R2, R4.x;
ABS R4.y, R5;
CMP R4.x, -R4.y, c[10], c[10].y;
MUL R5.y, R1.z, R4.x;
ADD R4.xy, R3.zwzw, c[10].yxzw;
SLT R5.x, R3, R4.z;
MUL R5.x, R5.y, R5;
CMP R2.z, -R4.w, R3.x, R2;
CMP R3.x, -R5, R3, R4.z;
MUL R5.y, R4, c[13].w;
MUL R5.z, R4.y, c[13].y;
MAD R4.y, R4.x, c[13].z, R5;
MAD R4.x, R4, c[13], R5.z;
COS R4.y, R4.y;
SIN R4.x, R4.x;
FRC R4.xy, R4;
ABS R4.y, R4;
ABS R4.x, R4;
MAX R4.w, R4.x, R4.y;
SLT R4.y, R4.w, R2.z;
MUL R4.z, R1, R4.y;
CMP R3.x, -R4.z, R2.z, R3;
ABS R4.x, R4.y;
CMP R4.x, -R4, c[10], c[10].y;
MUL R5.y, R1.z, R4.x;
ADD R4.xy, R3.zwzw, c[14];
SLT R5.x, R4.w, R3;
MUL R5.x, R5.y, R5;
CMP R2.z, -R4, R4.w, R2;
MUL R5.y, R4, c[13].w;
MUL R5.z, R4.y, c[13].y;
MAD R4.y, R4.x, c[13].z, R5;
MAD R4.x, R4, c[13], R5.z;
CMP R3.x, -R5, R4.w, R3;
COS R4.y, R4.y;
SIN R4.x, R4.x;
FRC R4.xy, R4;
ABS R4.y, R4;
ABS R4.x, R4;
MAX R4.z, R4.x, R4.y;
SLT R4.y, R4.z, R2.z;
MUL R4.w, R1.z, R4.y;
CMP R3.x, -R4.w, R2.z, R3;
ABS R4.x, R4.y;
CMP R4.x, -R4, c[10], c[10].y;
MUL R5.y, R1.z, R4.x;
ADD R4.xy, R3.zwzw, c[10];
SLT R5.x, R4.z, R3;
MUL R5.x, R5.y, R5;
CMP R2.z, -R4.w, R4, R2;
ADD R3.zw, R3, c[10].y;
MUL R5.y, R4, c[13].w;
MUL R5.z, R4.y, c[13].y;
MAD R4.y, R4.x, c[13].z, R5;
MAD R4.x, R4, c[13], R5.z;
COS R4.y, R4.y;
SIN R4.x, R4.x;
FRC R4.xy, R4;
ABS R4.y, R4;
ABS R4.x, R4;
MAX R4.x, R4, R4.y;
CMP R4.y, -R5.x, R4.z, R3.x;
SLT R4.w, R4.x, R2.z;
MUL R3.x, R1.z, R4.w;
CMP R4.y, -R3.x, R2.z, R4;
ABS R4.z, R4.w;
CMP R4.w, -R4.z, c[10].x, c[10].y;
CMP R3.x, -R3, R4, R2.z;
SLT R4.z, R4.x, R4.y;
MUL R4.w, R1.z, R4;
MUL R4.z, R4.w, R4;
MUL R4.w, R3, c[13];
MUL R5.x, R3.w, c[13].y;
MAD R3.w, R3.z, c[13].z, R4;
MAD R3.z, R3, c[13].x, R5.x;
COS R3.w, R3.w;
SIN R3.z, R3.z;
FRC R3.zw, R3;
ABS R2.z, R3.w;
ABS R3.z, R3;
MAX R3.z, R3, R2;
CMP R2.z, -R4, R4.x, R4.y;
SLT R3.w, R3.z, R3.x;
ABS R4.y, R3.w;
MUL R3.w, R1.z, R3;
CMP R4.x, -R3.w, R3, R2.z;
CMP R4.y, -R4, c[10].x, c[10];
SLT R2.z, R3, R4.x;
MUL R1.z, R1, R4.y;
MUL R1.z, R1, R2;
CMP R2.z, -R1, R3, R4.x;
CMP R3.x, -R3.w, R3.z, R3;
ADD R2.z, R2, -R3.x;
MOV R1.xz, c[10].x;
ADD R1.y, R1, c[7].x;
ADD R1.xyz, -R1, c[4];
MUL R4.xyz, -R1.zxyw, c[10].xxyw;
MAD R4.xyz, R1.yzxw, c[10].xyxw, R4;
DP3 R4.y, R0, R4;
MUL R5.xyz, -R1.yzxw, c[10].yxxw;
MAD R5.xyz, R1.zxyw, c[10].xyxw, R5;
DP3 R4.z, R0, R5;
DP3 R4.x, R1, c[11].xyxw;
MUL R1.xyz, R0.w, R4;
MAD R3.xy, R1.yzzw, c[16].x, R3.y;
FLR R3.xy, R3;
ADD R3.zw, R3.xyxy, c[11].xyyx;
ADD R1.y, R2.z, -c[14].w;
MUL R1.z, R3.w, c[13].w;
MUL R2.z, R3.w, c[13].y;
MAD R1.z, R3, c[13], R1;
MAD R2.z, R3, c[13].x, R2;
MUL R1.y, R1, c[15].x;
POW R1.y, c[11].w, R1.y;
MAD R1.y, R1, c[15], R2;
COS R3.w, R1.z;
SIN R3.z, R2.z;
FRC R3.zw, R3;
ABS R2.z, R3;
ABS R1.z, R3.w;
MAX R2.z, R2, R1;
CMP R1.z, -R2.x, R1.y, R2.y;
SLT R4.x, R2.z, c[14].z;
SLT R3.z, c[10].x, R1.x;
MUL R1.y, R3.z, R4.x;
ABS R2.x, R4;
CMP R3.w, -R2.x, c[10].x, c[10].y;
MUL R2.y, R3, c[13];
MUL R2.x, R3.y, c[13].w;
CMP R1.y, -R1, R2.z, c[14].z;
MAD R4.y, R3.x, c[13].x, R2;
MAD R2.x, R3, c[13].z, R2;
COS R2.y, R2.x;
SIN R2.x, R4.y;
FRC R2.xy, R2;
MUL R4.y, R3.z, R3.w;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R3.w, R2.x, R2.y;
SLT R4.z, R3.w, R1.y;
MUL R2.x, R4, R4.y;
CMP R2.x, -R2, R2.z, c[14].z;
MUL R2.z, R3, R4;
CMP R4.x, -R2.z, R1.y, R2;
ABS R2.y, R4.z;
CMP R2.x, -R2.y, c[10], c[10].y;
MUL R4.z, R3, R2.x;
ADD R2.xy, R3, c[10].yxzw;
SLT R4.y, R3.w, R4.x;
MUL R4.y, R4.z, R4;
CMP R1.y, -R2.z, R3.w, R1;
MUL R4.z, R2.y, c[13].w;
MUL R4.w, R2.y, c[13].y;
MAD R2.y, R2.x, c[13].z, R4.z;
MAD R2.x, R2, c[13], R4.w;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R2.z, R2.x, R2.y;
SLT R4.z, R2, R1.y;
CMP R2.x, -R4.y, R3.w, R4;
MUL R3.w, R3.z, R4.z;
CMP R4.x, -R3.w, R1.y, R2;
ABS R2.y, R4.z;
CMP R2.x, -R2.y, c[10], c[10].y;
MUL R4.z, R3, R2.x;
ADD R2.xy, R3, c[14];
SLT R4.y, R2.z, R4.x;
MUL R4.y, R4.z, R4;
CMP R1.y, -R3.w, R2.z, R1;
MUL R4.z, R2.y, c[13].w;
MUL R4.w, R2.y, c[13].y;
MAD R2.y, R2.x, c[13].z, R4.z;
MAD R2.x, R2, c[13], R4.w;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R3.w, R2.x, R2.y;
SLT R4.z, R3.w, R1.y;
CMP R2.x, -R4.y, R2.z, R4;
MUL R2.z, R3, R4;
CMP R4.x, -R2.z, R1.y, R2;
ABS R2.y, R4.z;
CMP R2.x, -R2.y, c[10], c[10].y;
MUL R4.z, R3, R2.x;
ADD R2.xy, R3, c[10];
SLT R4.y, R3.w, R4.x;
MUL R4.y, R4.z, R4;
CMP R1.y, -R2.z, R3.w, R1;
MUL R4.z, R2.y, c[13].w;
MUL R4.w, R2.y, c[13].y;
MAD R2.y, R2.x, c[13].z, R4.z;
MAD R2.x, R2, c[13], R4.w;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R2.z, R2.x, R2.y;
SLT R4.z, R2, R1.y;
CMP R2.x, -R4.y, R3.w, R4;
MUL R3.w, R3.z, R4.z;
CMP R4.x, -R3.w, R1.y, R2;
ABS R2.y, R4.z;
CMP R2.x, -R2.y, c[10], c[10].y;
MUL R4.z, R3, R2.x;
ADD R2.xy, R3, c[10].y;
SLT R4.y, R2.z, R4.x;
MUL R3.x, R4.z, R4.y;
CMP R1.y, -R3.w, R2.z, R1;
MUL R3.y, R2, c[13].w;
MUL R4.y, R2, c[13];
MAD R2.y, R2.x, c[13].z, R3;
MAD R2.x, R2, c[13], R4.y;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R3.w, R2.x, R2.y;
SLT R2.y, R3.w, R1;
CMP R2.x, -R3, R2.z, R4;
MUL R4.w, R3.z, R2.y;
CMP R5.x, -R4.w, R1.y, R2;
ABS R2.x, R2.y;
CMP R3.x, -R2, c[10], c[10].y;
ADD R2.y, R1.w, c[7].x;
MOV R2.xz, c[10].x;
ADD R2.xyz, -R2, c[4];
MUL R4.xyz, -R2.yzxw, c[10].yxxw;
MUL R1.w, R3.z, R3.x;
MUL R3.xyz, -R2.zxyw, c[10].xxyw;
MAD R3.xyz, R2.yzxw, c[10].xyxw, R3;
DP3 R3.y, R3, R0;
MAD R4.xyz, R2.zxyw, c[10].xyxw, R4;
DP3 R3.x, R2, c[11].xyxw;
DP3 R3.z, R0, R4;
MUL R0.xyz, R3, R0.w;
MUL R2.x, R2.w, c[12].z;
MAD R0.zw, R0.xyyz, c[12].x, R2.x;
FLR R0.zw, R0;
SLT R5.y, R3.w, R5.x;
MUL R0.y, R1.w, R5;
CMP R1.w, -R0.y, R3, R5.x;
CMP R0.y, -R4.w, R3.w, R1;
ADD R2.xy, R0.zwzw, c[11].yxzw;
MUL R1.y, R2, c[13].w;
MAD R1.y, R2.x, c[13].z, R1;
MUL R2.y, R2, c[13];
MAD R2.x, R2, c[13], R2.y;
ADD R0.y, R1.w, -R0;
COS R2.y, R1.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R1.y, R2;
ABS R1.w, R2.x;
MAX R2.w, R1, R1.y;
SLT R3.x, R2.w, c[14].z;
ABS R2.x, R3;
CMP R2.z, -R2.x, c[10].x, c[10].y;
ADD R1.y, R0, -c[14].w;
SLT R0.y, c[10].x, R0.x;
MUL R1.w, R0.y, R3.x;
MUL R2.x, R0.w, c[13].w;
MAD R2.x, R0.z, c[13].z, R2;
MUL R2.y, R0.w, c[13];
MAD R2.y, R0.z, c[13].x, R2;
CMP R1.w, -R1, R2, c[14].z;
MUL R3.y, R0, R2.z;
COS R3.w, R2.x;
SIN R3.z, R2.y;
FRC R2.xy, R3.zwzw;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R2.z, R2.x, R2.y;
SLT R3.z, R2, R1.w;
MUL R2.x, R3, R3.y;
CMP R2.x, -R2, R2.w, c[14].z;
MUL R2.w, R0.y, R3.z;
CMP R3.x, -R2.w, R1.w, R2;
ABS R2.y, R3.z;
CMP R2.x, -R2.y, c[10], c[10].y;
MUL R3.z, R0.y, R2.x;
ADD R2.xy, R0.zwzw, c[10].yxzw;
SLT R3.y, R2.z, R3.x;
MUL R3.y, R3.z, R3;
CMP R1.w, -R2, R2.z, R1;
MUL R3.z, R2.y, c[13].w;
MUL R3.w, R2.y, c[13].y;
MAD R2.y, R2.x, c[13].z, R3.z;
MAD R2.x, R2, c[13], R3.w;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R2.w, R2.x, R2.y;
SLT R3.z, R2.w, R1.w;
CMP R2.x, -R3.y, R2.z, R3;
MUL R2.z, R0.y, R3;
CMP R3.x, -R2.z, R1.w, R2;
ABS R2.y, R3.z;
CMP R2.x, -R2.y, c[10], c[10].y;
MUL R3.z, R0.y, R2.x;
ADD R2.xy, R0.zwzw, c[14];
SLT R3.y, R2.w, R3.x;
MUL R3.y, R3.z, R3;
CMP R1.w, -R2.z, R2, R1;
MUL R3.z, R2.y, c[13].w;
MUL R3.w, R2.y, c[13].y;
MAD R2.y, R2.x, c[13].z, R3.z;
MAD R2.x, R2, c[13], R3.w;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R2.z, R2.x, R2.y;
SLT R3.z, R2, R1.w;
CMP R2.x, -R3.y, R2.w, R3;
MUL R3.x, R0.y, R3.z;
CMP R2.w, -R3.x, R1, R2.x;
ABS R2.y, R3.z;
CMP R2.x, -R2.y, c[10], c[10].y;
MUL R3.z, R0.y, R2.x;
ADD R2.xy, R0.zwzw, c[10];
SLT R3.y, R2.z, R2.w;
MUL R3.y, R3.z, R3;
CMP R1.w, -R3.x, R2.z, R1;
ADD R0.zw, R0, c[10].y;
MUL R3.w, R2.y, c[13].y;
MUL R3.z, R2.y, c[13].w;
MAD R2.y, R2.x, c[13].z, R3.z;
MAD R2.x, R2, c[13], R3.w;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R2.x, R2, R2.y;
CMP R2.y, -R3, R2.z, R2.w;
SLT R3.x, R2, R1.w;
MUL R2.z, R0.y, R3.x;
CMP R2.y, -R2.z, R1.w, R2;
ABS R2.w, R3.x;
CMP R3.x, -R2.w, c[10], c[10].y;
CMP R2.z, -R2, R2.x, R1.w;
MUL R3.x, R0.y, R3;
SLT R2.w, R2.x, R2.y;
MUL R2.w, R3.x, R2;
MUL R3.x, R0.w, c[13].w;
MUL R3.y, R0.w, c[13];
MAD R0.w, R0.z, c[13].z, R3.x;
MAD R0.z, R0, c[13].x, R3.y;
COS R0.w, R0.w;
SIN R0.z, R0.z;
FRC R3.xy, R0.zwzw;
ABS R0.w, R3.x;
ABS R0.z, R3.y;
MAX R3.x, R0.w, R0.z;
SLT R0.w, R3.x, R2.z;
CMP R0.z, -R2.w, R2.x, R2.y;
ABS R2.x, R0.w;
MUL R1.w, R0.y, R0;
CMP R0.w, -R1, R2.z, R0.z;
CMP R2.x, -R2, c[10], c[10].y;
SLT R0.z, R3.x, R0.w;
MUL R0.y, R0, R2.x;
MUL R0.z, R0.y, R0;
CMP R0.z, -R0, R3.x, R0.w;
CMP R0.y, -R1.w, R3.x, R2.z;
ADD R0.z, R0, -R0.y;
ADD R0.z, R0, -c[14].w;
MUL R0.y, R1, c[15].x;
POW R0.y, c[11].w, R0.y;
MAD R0.y, R0, c[15], R1.z;
MUL R0.w, R0.z, c[15].x;
CMP R0.z, -R1.x, R0.y, R1;
POW R0.y, c[11].w, R0.w;
MAD R0.y, R0, c[15], R0.z;
CMP R0.x, -R0, R0.y, R0.z;
MUL result.color.xyz, R0.x, c[6];
MOV result.depth.z, c[10];
MOV result.color.w, c[10].x;
END
# 941 instructions, 6 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 4 [_WorldSpaceCameraPos]
Vector 5 [_ScreenParams]
Vector 6 [iPrimaryColor]
Float 7 [iFloorHeight]
Float 8 [iIntensity]
Float 9 [iIntensityTime]
Matrix 0 [_ViewProjectInverse]
"ps_3_0
; 281 ALU, 11 FLOW
def c10, 2.00000000, -1.00000000, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 3.14159298, 1.70000005, 16.00000000
def c13, 1.76821101, 0.50000000, 6.28318501, -3.14159298
def c14, 547.89001465, 4.00000000, 8.00000000, 0.25000000
def c15, 0.12500000, 5.00000000, 1.00000000, 0.10000000
def c16, 30.00000000, 11.00000000, 3.00000000, 0.00000000
defi i0, 6, 0, 1, 0
def c17, -15000.00000000, -5000.00000000, 0.00000000, -1.00000000
def c18, 0.00000000, 1.00000000, 0.00030000, 0.00010000
def c19, 180.00000000, -3.00000000, 4.40000010, 100.00000000
defi i1, 255, 0, 1, 0
def c20, 500.00000000, 0.15915491, 0.50000000, 48.00000000
def c21, 250.00000000, -0.02000000, -100.00000000, 2.71828198
def c22, 0.99989998, 0, 0, 0
dcl vPos.xy
mov r1.zw, c15.z
rcp r0.y, c5.y
rcp r0.x, c5.x
mul r0.xy, vPos, r0
mad r0.xy, r0, c10.x, c10.y
mov r1.x, r0
mov r1.y, -r0
dp4 r0.z, r1, c2
dp4 r0.x, r1, c0
dp4 r0.y, r1, c1
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul r1.xyz, r0.w, r0
abs r0.y, r1.z
abs r0.x, r1
max r0.z, r0.x, r0.y
rcp r0.w, r0.z
min r0.z, r0.x, r0.y
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mad r1.w, r0, c10.z, c10
mad r1.w, r1, r0, c11.x
mad r1.w, r1, r0, c11.y
mad r1.w, r1, r0, c11.z
mad r0.w, r1, r0, c11
mul r0.z, r0.w, r0
add r0.w, -r0.z, c12.x
add r0.x, r0, -r0.y
cmp r0.x, -r0, r0.z, r0.w
add r0.y, -r0.x, c12
cmp r0.x, r1.z, r0, r0.y
mov r0.z, c9.x
mul r2.y, c12.z, r0.z
cmp r2.x, r1, r0, -r0
mad r0.x, r2, c12.w, r2.y
frc r0.y, r0.x
add r0.x, r0, -r0.y
mad r0.x, r0, c13, c13.y
frc r0.x, r0
mad r1.w, r0.x, c13.z, c13
sincos r0.xy, r1.w
mad r0.z, r2.x, c14, -r2.y
mul r1.w, r0.y, c14.x
frc r0.y, r0.z
add r0.z, r0, -r0.y
mad r0.x, r2, c14.y, r2.y
frc r0.y, r0.x
add r0.x, r0, -r0.y
mad r0.z, r0, c13.x, c13.y
frc r0.y, r0.z
mad r0.x, r0, c13, c13.y
mad r2.y, r0, c13.z, c13.w
frc r2.x, r0
sincos r0.xy, r2.y
mad r0.x, r2, c13.z, c13.w
sincos r2.xy, r0.x
mul r0.x, r0.y, c14
frc r0.y, r0.x
mul r0.x, r2.y, c14
frc r0.x, r0
mul r0.y, r0, c14.w
mad r0.y, r0.x, c13, r0
frc r0.x, r1.w
mad r1.w, r0.x, c15.x, r0.y
pow r0, r1.w, c15.y
mov r2.y, r0.x
mov r0.x, c8
add r2.x, c15.z, -r0
abs r0.x, r1.y
mul r1.w, r1.y, r1.y
mad r2.w, r2.x, c16.x, c16.y
add r2.z, -r0.x, c15
pow r0, r2.z, r2.w
mul r0.y, r1.w, r2.x
mov r0.z, r0.x
rcp r0.y, r0.y
mul r0.x, r2.y, r0.y
mad r0.x, r0, c15.w, r0.z
mul r1.w, r0.x, c16.z
mov r3.z, c16.w
loop aL, i0
mul r0.x, r3.z, c17
add r0.y, r0.x, c7.x
mov r0.xz, c16.w
add r0.y, r0, c17
add r0.xyz, -r0, c4
mul r2.xyz, -r0.zxyw, c18.xxyw
mad r2.xyz, r0.yzxw, c18.xyxw, r2
dp3 r2.y, r2, r1
mul r4.xyz, -r0.yzxw, c18.yxxw
mad r4.xyz, r0.zxyw, c18.xyxw, r4
dp3 r2.z, r1, r4
rcp r0.w, r1.y
dp3 r2.x, r0, c17.zwzw
mul r0.xyz, r2, r0.w
if_gt r0.x, c16.w
mov r0.x, c9
add r0.w, r3.z, c19.y
add r0.x, c19, r0
mul r0.x, r0, r0.w
mul r0.w, r0.x, c19.z
mad r0.x, r3.z, c18.z, c18.w
mad r0.xy, r0.yzzw, r0.x, r0.w
frc r0.zw, r0.xyxy
add r3.xy, r0, -r0.zwzw
mov r4.x, c14.z
mov r4.w, c14.z
mov r3.w, c16
loop aL, i1
break_gt r3.w, c15.z
mov r0.y, r3.w
mov r0.x, c10.y
add r0.xy, r3, r0
mul r0.z, r0.y, c20.w
mad r0.z, r0.x, c21.x, r0
mul r0.y, r0, c19.w
mad r0.x, r0, c20, r0.y
mad r0.y, r0.z, c20, c20.z
frc r0.y, r0
mad r0.x, r0, c20.y, c20.z
frc r0.x, r0
mad r2.x, r0.y, c13.z, c13.w
mad r4.y, r0.x, c13.z, c13.w
sincos r0.xy, r2.x
sincos r2.xy, r4.y
mov r0.y, r0.x
mov r0.x, r2.y
frc r0.xy, r0
abs r0.y, r0
abs r0.x, r0
max r4.y, r0.x, r0
add r4.z, r4.y, -r4.x
cmp r0.z, r4, r4.w, r4.x
add r0.x, r4.y, -r4
add r0.y, r4, -r0.z
cmp r0.x, r0, c18, c18.y
abs_pp r0.x, r0
cmp r0.y, r0, c18.x, c18
cmp_pp r0.x, -r0, c18.y, c18
mul_pp r0.w, r0.x, r0.y
cmp r4.w, -r0, r0.z, r4.y
cmp r4.y, r4.z, r4.x, r4
mov r0.y, r3.w
mov r0.x, c16.w
add r0.xy, r3, r0
mul r0.z, r0.y, c20.w
mad r0.z, r0.x, c21.x, r0
mul r0.y, r0, c19.w
mad r0.x, r0, c20, r0.y
mad r0.y, r0.z, c20, c20.z
frc r0.y, r0
mad r0.x, r0, c20.y, c20.z
frc r0.x, r0
mad r2.x, r0.y, c13.z, c13.w
mad r5.x, r0, c13.z, c13.w
sincos r0.xy, r2.x
sincos r2.xy, r5.x
mov r0.y, r0.x
mov r0.x, r2.y
frc r0.xy, r0
abs r0.y, r0
abs r0.x, r0
max r4.x, r0, r0.y
add r4.z, r4.x, -r4.y
cmp r0.z, r4, r4.w, r4.y
add r0.y, r4.x, -r0.z
add r0.x, r4, -r4.y
cmp r0.x, r0, c18, c18.y
abs_pp r0.x, r0
cmp r0.y, r0, c18.x, c18
cmp_pp r0.x, -r0, c18.y, c18
mul_pp r0.w, r0.x, r0.y
mov r0.y, r3.w
mov r0.x, c18.y
add r0.xy, r3, r0
cmp r4.w, -r0, r0.z, r4.x
mul r0.z, r0.y, c20.w
mad r0.z, r0.x, c21.x, r0
mul r0.y, r0, c19.w
mad r0.x, r0, c20, r0.y
mad r0.y, r0.z, c20, c20.z
frc r0.y, r0
mad r0.x, r0, c20.y, c20.z
frc r0.x, r0
mad r2.x, r0.y, c13.z, c13.w
mad r5.x, r0, c13.z, c13.w
sincos r0.xy, r2.x
sincos r2.xy, r5.x
cmp r0.z, r4, r4.y, r4.x
mov r0.y, r0.x
mov r0.x, r2.y
frc r0.xy, r0
abs r0.y, r0
abs r0.x, r0
max r0.x, r0, r0.y
add r0.y, r0.x, -r0.z
cmp r2.x, r0.y, r4.w, r0.z
add r0.w, r0.x, -r0.z
cmp r0.w, r0, c18.x, c18.y
add r2.y, r0.x, -r2.x
abs_pp r0.w, r0
cmp r2.y, r2, c18.x, c18
cmp_pp r0.w, -r0, c18.y, c18.x
mul_pp r0.w, r0, r2.y
cmp r4.w, -r0, r2.x, r0.x
cmp r4.x, r0.y, r0.z, r0
add r3.w, r3, c18.y
endloop
add r0.x, r4.w, -r4
add r0.x, r0, c21.y
mul r2.x, r0, c21.z
pow r0, c21.w, r2.x
mad r1.w, r0.x, c15, r1
endif
add r3.z, r3, c15
endloop
mul oC0.xyz, r1.w, c6
mov oC0.w, c16
mov oDepth, c22.x
"
}
SubProgram "d3d11 " {
// Stats: 97 math, 4 branches
ConstBuffer "$Globals" 176
Vector 16 [iPrimaryColor]
Float 32 [iFloorHeight]
Float 36 [iIntensity]
Float 40 [iIntensityTime]
ConstBuffer "UnityPerCamera" 128
Vector 64 [_WorldSpaceCameraPos] 3
BindCB  "$Globals" 0
BindCB  "UnityPerCamera" 1
"ps_4_0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"
}
SubProgram "gles3 " {
"!!GLES3"
}
}
 }
}
Fallback "Diffuse"
}