﻿Shader "Skyscreen/TheGridSkyBlue" {
	Properties {
		iPrimaryColor("PrimaryColor", Color) = (1.0, 1.0, 1.0, 1.0)
		iFloorHeight("FloorHeight", Float) = -11
		iIntensity("Intensity", Float) = 0.5
		iIntensityTime("IntensityTime", Float) = 0.5
		iCeilingHeight("CeilingHeight", Float) = 111
		iSkyColor("SkyColor", Color) = (1, 1, 1, 0)
	}
	SubShader {
		Pass{
			Fog { Mode Off }
			Program "vp" {
// Vertex combos: 1
//   opengl - ALU: 10 to 10
//   d3d9 - ALU: 10 to 10
SubProgram "opengl " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 5 [_Object2World]
"3.0-!!ARBvp1.0
# 10 ALU
PARAM c[9] = { { 0 },
		state.matrix.mvp,
		program.local[5..8] };
MOV result.texcoord[0].xy, vertex.texcoord[0];
MOV result.texcoord[0].zw, c[0].x;
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
DP4 result.texcoord[1].w, vertex.position, c[8];
DP4 result.texcoord[1].z, vertex.position, c[7];
DP4 result.texcoord[1].y, vertex.position, c[6];
DP4 result.texcoord[1].x, vertex.position, c[5];
END
# 10 instructions, 0 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
"vs_3_0
; 10 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
def c8, 0.00000000, 0, 0, 0
dcl_position0 v0
dcl_texcoord0 v1
mov o1.xy, v1
mov o1.zw, c8.x
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o2.w, v0, c7
dp4 o2.z, v0, c6
dp4 o2.y, v0, c5
dp4 o2.x, v0, c4
"
}

}
Program "fp" {
// Fragment combos: 1
//   opengl - ALU: 799 to 799, TEX: 0 to 0
//   d3d9 - ALU: 289 to 289, FLOW: 11 to 11
SubProgram "opengl " {
Keywords { }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [iPrimaryColor]
Vector 2 [iSkyColor]
Float 3 [iFloorHeight]
Float 4 [iCeilingHeight]
Float 5 [iIntensity]
Float 6 [iIntensityTime]
"3.0-!!ARBfp1.0
# 799 ALU, 0 TEX
PARAM c[20] = { program.local[0..6],
		{ 0, 0.99989998, 5000, -1 },
		{ 1, 2, 100000, 0 },
		{ 2.718282, 0.0013, 180, 4.4000001 },
		{ 500, 100, 250, 48 },
		{ -1, 1, 8, 0.02 },
		{ -100, 0.1, 75000, 0.001 },
		{ 50000, 0.00070000003, 25000, 0.00040000002 },
		{ -8.8000002, 0, 9.9999997e-005, -13.200001 },
		{ -0.01348047, 0.05747731, 0.1212391, 0.1956359 },
		{ 0.33299461, 0.99999559, 1.570796, 3.141593 },
		{ 16, 1.7, 11.11, 547.89001 },
		{ 0.125, 4, 0.5, 0.25 },
		{ 5, 30, 11 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEMP R3;
TEMP R4;
TEMP R5;
TEMP R6;
ADD R1.xyz, fragment.texcoord[1], -c[0];
DP3 R0.x, R1, R1;
MOV R0.w, c[7].z;
RSQ R0.x, R0.x;
MUL R0.xyz, R0.x, R1;
ADD R2.x, -R0.w, c[3];
RCP R4.w, R0.y;
MOV R1.y, R2.x;
MOV R1.xz, c[7].x;
ADD R1.xyz, -R1, c[0];
DP3 R0.w, R1, c[7].xwxw;
MUL R0.w, R0, R4;
SGE R1.w, c[7].x, R0;
ADD R0.w, -R2.x, c[4].x;
MUL R1.x, R1.w, c[8].y;
ADD R3.w, R1.x, c[7];
ADD R0.w, R0, c[7].z;
MAD R2.w, R1, R0, R2.x;
MOV R0.w, c[9].z;
ADD R5.x, R0.w, c[6];
MAD R1.y, R3.w, c[13].x, R2.w;
MOV R1.xz, c[7].x;
ADD R1.xyz, -R1, c[0];
MUL R2.xyz, -R1.zxyw, c[8].wwxw;
MAD R3.xyz, R1.yzxw, c[8].wxww, R2;
DP3 R3.y, R0, R3;
MUL R2.xyz, -R1.yzxw, c[8].xwww;
MAD R2.xyz, R1.zxyw, c[8].wxww, R2;
DP3 R3.z, R0, R2;
DP3 R3.x, R1, c[7].xwxw;
MUL R1.xyz, R4.w, R3;
MUL R0.w, R5.x, c[9];
MAD R2.xy, R1.yzzw, c[13].y, -R0.w;
FLR R2.xy, R2;
ADD R3.xy, R2, c[7].wxzw;
MUL R1.y, R3, c[10].w;
MUL R1.z, R3.y, c[10].y;
MAD R1.y, R3.x, c[10].z, R1;
MAD R1.z, R3.x, c[10].x, R1;
SLT R2.z, c[7].x, R1.x;
COS R3.y, R1.y;
SIN R3.x, R1.z;
FRC R3.xy, R3;
ABS R1.y, R3;
ABS R1.z, R3.x;
MAX R3.z, R1, R1.y;
SLT R4.y, R3.z, c[11].z;
MUL R1.y, R2.z, R4;
CMP R1.z, -R1.y, R3, c[11];
MUL R3.y, R2, c[10];
MOV R1.y, c[8].x;
ABS R3.x, R4.y;
CMP R4.x, -R3, c[7], R1.y;
MUL R3.x, R2.y, c[10].w;
MAD R4.z, R2.x, c[10].x, R3.y;
MAD R3.x, R2, c[10].z, R3;
COS R3.y, R3.x;
SIN R3.x, R4.z;
FRC R3.xy, R3;
MUL R4.z, R2, R4.x;
ABS R3.y, R3;
ABS R3.x, R3;
MAX R4.x, R3, R3.y;
SLT R5.y, R4.x, R1.z;
MUL R3.x, R4.y, R4.z;
CMP R3.x, -R3, R3.z, c[11].z;
MUL R3.z, R2, R5.y;
CMP R4.y, -R3.z, R1.z, R3.x;
ABS R3.y, R5;
CMP R3.x, -R3.y, c[7], R1.y;
MUL R5.y, R2.z, R3.x;
ADD R3.xy, R2, c[8].xwzw;
SLT R4.z, R4.x, R4.y;
MUL R4.z, R5.y, R4;
CMP R3.z, -R3, R4.x, R1;
MUL R5.y, R3, c[10].w;
MUL R5.z, R3.y, c[10].y;
MAD R3.y, R3.x, c[10].z, R5;
MAD R3.x, R3, c[10], R5.z;
COS R3.y, R3.y;
SIN R3.x, R3.x;
FRC R3.xy, R3;
ABS R1.z, R3.y;
ABS R3.x, R3;
MAX R1.z, R3.x, R1;
SLT R5.y, R1.z, R3.z;
CMP R3.x, -R4.z, R4, R4.y;
MUL R4.x, R2.z, R5.y;
CMP R4.y, -R4.x, R3.z, R3.x;
ABS R3.y, R5;
CMP R3.x, -R3.y, c[7], R1.y;
MUL R5.y, R2.z, R3.x;
ADD R3.xy, R2, c[11];
SLT R4.z, R1, R4.y;
MUL R4.z, R5.y, R4;
CMP R4.x, -R4, R1.z, R3.z;
MUL R5.y, R3, c[10].w;
MUL R5.z, R3.y, c[10].y;
MAD R3.y, R3.x, c[10].z, R5;
MAD R3.x, R3, c[10], R5.z;
COS R3.y, R3.y;
SIN R3.x, R3.x;
FRC R3.xy, R3;
ABS R3.y, R3;
ABS R3.x, R3;
MAX R3.z, R3.x, R3.y;
SLT R5.y, R3.z, R4.x;
CMP R3.x, -R4.z, R1.z, R4.y;
MUL R1.z, R2, R5.y;
CMP R4.y, -R1.z, R4.x, R3.x;
ABS R3.y, R5;
CMP R3.x, -R3.y, c[7], R1.y;
MUL R5.y, R2.z, R3.x;
ADD R3.xy, R2, c[8].wxzw;
SLT R4.z, R3, R4.y;
MUL R4.z, R5.y, R4;
CMP R1.z, -R1, R3, R4.x;
ADD R2.xy, R2, c[8].x;
MUL R5.y, R3, c[10].w;
MUL R5.z, R3.y, c[10].y;
MAD R3.y, R3.x, c[10].z, R5;
MAD R3.x, R3, c[10], R5.z;
COS R3.y, R3.y;
SIN R3.x, R3.x;
FRC R3.xy, R3;
ABS R3.y, R3;
ABS R3.x, R3;
MAX R3.x, R3, R3.y;
SLT R5.y, R3.x, R1.z;
CMP R3.y, -R4.z, R3.z, R4;
MUL R3.z, R2, R5.y;
CMP R3.y, -R3.z, R1.z, R3;
ABS R4.x, R5.y;
CMP R4.y, -R4.x, c[7].x, R1;
CMP R1.z, -R3, R3.x, R1;
SLT R4.x, R3, R3.y;
MUL R4.y, R2.z, R4;
MUL R4.x, R4.y, R4;
MUL R4.y, R2, c[10].w;
MUL R4.z, R2.y, c[10].y;
MAD R2.y, R2.x, c[10].z, R4;
MAD R2.x, R2, c[10], R4.z;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R5.y, R2.x, R2;
SLT R3.z, R5.y, R1;
ABS R2.y, R3.z;
CMP R2.y, -R2, c[7].x, R1;
CMP R2.x, -R4, R3, R3.y;
MUL R5.z, R2, R3;
CMP R3.y, -R5.z, R1.z, R2.x;
SLT R2.x, R5.y, R3.y;
MUL R2.y, R2.z, R2;
MUL R3.x, R2.y, R2;
CMP R5.w, -R3.x, R5.y, R3.y;
CMP R1.z, -R5, R5.y, R1;
MAD R2.y, R3.w, c[13].z, R2.w;
MOV R2.xz, c[7].x;
ADD R2.xyz, -R2, c[0];
MUL R3.xyz, -R2.zxyw, c[8].wwxw;
MAD R3.xyz, R2.yzxw, c[8].wxww, R3;
DP3 R3.y, R0, R3;
MUL R4.xyz, -R2.yzxw, c[8].xwww;
MAD R4.xyz, R2.zxyw, c[8].wxww, R4;
DP3 R3.z, R0, R4;
DP3 R3.x, R2, c[7].xwxw;
MUL R2.xyz, R4.w, R3;
MUL R4.x, R5, c[14];
MAD R3.xy, R2.yzzw, c[13].w, R4.x;
FLR R3.xy, R3;
ADD R4.xy, R3, c[7].wxzw;
ADD R1.z, R5.w, -R1;
ADD R2.z, R1, -c[11].w;
MUL R1.z, R4.y, c[10].w;
MUL R2.y, R4, c[10];
MAD R1.z, R4.x, c[10], R1;
MAD R2.y, R4.x, c[10].x, R2;
SLT R3.z, c[7].x, R2.x;
COS R4.y, R1.z;
SIN R4.x, R2.y;
FRC R4.xy, R4;
ABS R1.z, R4.y;
ABS R2.y, R4.x;
MAX R4.z, R2.y, R1;
SLT R5.y, R4.z, c[11].z;
MUL R2.y, R3.z, R5;
MUL R4.y, R3, c[10];
MUL R2.z, R2, c[12].x;
POW R1.z, c[9].x, R2.z;
ABS R2.z, R5.y;
MUL R4.x, R3.y, c[10].w;
CMP R2.y, -R2, R4.z, c[11].z;
CMP R2.z, -R2, c[7].x, R1.y;
MAD R5.z, R3.x, c[10].x, R4.y;
MAD R4.x, R3, c[10].z, R4;
COS R4.y, R4.x;
SIN R4.x, R5.z;
FRC R4.xy, R4;
MUL R5.z, R3, R2;
ABS R2.z, R4.y;
ABS R4.x, R4;
MAX R2.z, R4.x, R2;
SLT R5.w, R2.z, R2.y;
MUL R4.x, R5.y, R5.z;
CMP R4.x, -R4, R4.z, c[11].z;
MUL R4.z, R3, R5.w;
CMP R5.y, -R4.z, R2, R4.x;
ABS R4.y, R5.w;
CMP R4.x, -R4.y, c[7], R1.y;
MUL R5.w, R3.z, R4.x;
ADD R4.xy, R3, c[8].xwzw;
SLT R5.z, R2, R5.y;
MUL R5.z, R5.w, R5;
CMP R2.y, -R4.z, R2.z, R2;
MUL R5.w, R4.y, c[10];
MUL R6.x, R4.y, c[10].y;
MAD R4.y, R4.x, c[10].z, R5.w;
MAD R4.x, R4, c[10], R6;
MUL R5.x, R5, c[14].w;
COS R4.y, R4.y;
SIN R4.x, R4.x;
FRC R4.xy, R4;
ABS R4.y, R4;
ABS R4.x, R4;
MAX R4.z, R4.x, R4.y;
SLT R5.w, R4.z, R2.y;
CMP R4.x, -R5.z, R2.z, R5.y;
MUL R2.z, R3, R5.w;
CMP R5.y, -R2.z, R2, R4.x;
ABS R4.y, R5.w;
CMP R4.x, -R4.y, c[7], R1.y;
MUL R5.w, R3.z, R4.x;
ADD R4.xy, R3, c[11];
SLT R5.z, R4, R5.y;
MUL R5.z, R5.w, R5;
CMP R2.y, -R2.z, R4.z, R2;
MUL R5.w, R4.y, c[10];
MUL R6.x, R4.y, c[10].y;
MAD R4.y, R4.x, c[10].z, R5.w;
MAD R4.x, R4, c[10], R6;
COS R4.y, R4.y;
SIN R4.x, R4.x;
FRC R4.xy, R4;
ABS R2.z, R4.y;
ABS R4.x, R4;
MAX R2.z, R4.x, R2;
SLT R5.w, R2.z, R2.y;
CMP R4.x, -R5.z, R4.z, R5.y;
MUL R5.z, R3, R5.w;
CMP R4.z, -R5, R2.y, R4.x;
ABS R4.y, R5.w;
CMP R4.x, -R4.y, c[7], R1.y;
MUL R5.w, R3.z, R4.x;
ADD R4.xy, R3, c[8].wxzw;
SLT R5.y, R2.z, R4.z;
MUL R5.y, R5.w, R5;
ADD R3.xy, R3, c[8].x;
CMP R2.y, -R5.z, R2.z, R2;
MUL R5.w, R4.y, c[10];
MUL R6.x, R4.y, c[10].y;
MAD R4.y, R4.x, c[10].z, R5.w;
MAD R4.x, R4, c[10], R6;
COS R4.y, R4.y;
SIN R4.x, R4.x;
FRC R4.xy, R4;
ABS R4.y, R4;
ABS R4.x, R4;
MAX R4.x, R4, R4.y;
SLT R5.z, R4.x, R2.y;
CMP R4.y, -R5, R2.z, R4.z;
MUL R2.z, R3, R5;
ABS R4.z, R5;
CMP R4.y, -R2.z, R2, R4;
CMP R5.y, -R4.z, c[7].x, R1;
CMP R2.y, -R2.z, R4.x, R2;
SLT R4.z, R4.x, R4.y;
MUL R5.y, R3.z, R5;
MUL R4.z, R5.y, R4;
MUL R5.y, R3, c[10].w;
MUL R5.z, R3.y, c[10].y;
MAD R3.y, R3.x, c[10].z, R5;
MAD R3.x, R3, c[10], R5.z;
COS R3.y, R3.y;
SIN R3.x, R3.x;
FRC R3.xy, R3;
ABS R2.z, R3.y;
ABS R3.x, R3;
MAX R2.z, R3.x, R2;
SLT R5.y, R2.z, R2;
ABS R3.y, R5;
CMP R3.y, -R3, c[7].x, R1;
CMP R3.x, -R4.z, R4, R4.y;
MUL R5.y, R3.z, R5;
CMP R4.x, -R5.y, R2.y, R3;
SLT R3.x, R2.z, R4;
MUL R3.y, R3.z, R3;
MUL R4.y, R3, R3.x;
CMP R5.z, -R4.y, R2, R4.x;
CMP R2.y, -R5, R2.z, R2;
ADD R2.y, R5.z, -R2;
MOV R3.y, R2.w;
MOV R3.xz, c[7].x;
ADD R3.xyz, -R3, c[0];
MUL R4.xyz, -R3.zxyw, c[8].wwxw;
MAD R4.xyz, R3.yzxw, c[8].wxww, R4;
DP3 R4.y, R0, R4;
MUL R6.xyz, -R3.yzxw, c[8].xwww;
MAD R6.xyz, R3.zxyw, c[8].wxww, R6;
DP3 R4.z, R0, R6;
DP3 R4.x, R3, c[7].xwxw;
MUL R3.xyz, R4.w, R4;
MAD R4.xy, R3.yzzw, c[14].z, R5.x;
FLR R4.xy, R4;
ADD R5.xy, R4, c[7].wxzw;
ADD R3.y, R2, -c[11].w;
MUL R2.y, R5, c[10].w;
MUL R2.z, R5.y, c[10].y;
MAD R2.y, R5.x, c[10].z, R2;
MAD R2.z, R5.x, c[10].x, R2;
COS R5.y, R2.y;
SIN R5.x, R2.z;
FRC R5.xy, R5;
ABS R2.y, R5;
ABS R2.z, R5.x;
MAX R4.z, R2, R2.y;
SLT R5.z, R4, c[11];
MUL R5.y, R4, c[10];
MUL R3.y, R3, c[12].x;
ABS R3.z, R5;
MUL R5.x, R4.y, c[10].w;
SLT R2.z, c[7].x, R3.x;
POW R2.y, c[9].x, R3.y;
MUL R3.y, R2.z, R5.z;
CMP R3.y, -R3, R4.z, c[11].z;
CMP R3.z, -R3, c[7].x, R1.y;
MAD R5.w, R4.x, c[10].x, R5.y;
MAD R5.x, R4, c[10].z, R5;
COS R5.y, R5.x;
SIN R5.x, R5.w;
FRC R5.xy, R5;
MUL R5.w, R2.z, R3.z;
ABS R3.z, R5.y;
ABS R5.x, R5;
MAX R3.z, R5.x, R3;
SLT R6.x, R3.z, R3.y;
MUL R5.x, R5.z, R5.w;
MUL R5.w, R2.z, R6.x;
CMP R4.z, -R5.x, R4, c[11];
CMP R4.z, -R5.w, R3.y, R4;
ABS R5.y, R6.x;
CMP R5.x, -R5.y, c[7], R1.y;
MUL R6.x, R2.z, R5;
ADD R5.xy, R4, c[8].xwzw;
SLT R5.z, R3, R4;
MUL R5.z, R6.x, R5;
CMP R3.y, -R5.w, R3.z, R3;
CMP R3.z, -R5, R3, R4;
MUL R6.x, R5.y, c[10].w;
MUL R6.y, R5, c[10];
MAD R5.y, R5.x, c[10].z, R6.x;
MAD R5.x, R5, c[10], R6.y;
COS R5.y, R5.y;
SIN R5.x, R5.x;
FRC R5.xy, R5;
ABS R5.y, R5;
ABS R5.x, R5;
MAX R5.w, R5.x, R5.y;
SLT R5.x, R5.w, R3.y;
MUL R5.z, R2, R5.x;
CMP R3.z, -R5, R3.y, R3;
ABS R4.z, R5.x;
CMP R5.x, -R4.z, c[7], R1.y;
MUL R6.x, R2.z, R5;
ADD R5.xy, R4, c[11];
SLT R4.z, R5.w, R3;
MUL R4.z, R6.x, R4;
CMP R3.y, -R5.z, R5.w, R3;
MUL R6.x, R5.y, c[10].w;
MUL R6.y, R5, c[10];
MAD R5.y, R5.x, c[10].z, R6.x;
MAD R5.x, R5, c[10], R6.y;
CMP R3.z, -R4, R5.w, R3;
COS R5.y, R5.y;
SIN R5.x, R5.x;
FRC R5.xy, R5;
ABS R5.y, R5;
ABS R5.x, R5;
MAX R5.z, R5.x, R5.y;
SLT R5.x, R5.z, R3.y;
MUL R5.w, R2.z, R5.x;
CMP R3.z, -R5.w, R3.y, R3;
ABS R4.z, R5.x;
CMP R5.x, -R4.z, c[7], R1.y;
MUL R6.x, R2.z, R5;
ADD R5.xy, R4, c[8].wxzw;
SLT R4.z, R5, R3;
MUL R4.z, R6.x, R4;
CMP R3.y, -R5.w, R5.z, R3;
ADD R4.xy, R4, c[8].x;
CMP R3.z, -R4, R5, R3;
MUL R6.x, R5.y, c[10].w;
MUL R6.y, R5, c[10];
MAD R5.y, R5.x, c[10].z, R6.x;
MAD R5.x, R5, c[10], R6.y;
COS R5.y, R5.y;
SIN R5.x, R5.x;
FRC R5.xy, R5;
ABS R5.y, R5;
ABS R5.x, R5;
MAX R5.x, R5, R5.y;
SLT R5.y, R5.x, R3;
ABS R5.z, R5.y;
MUL R4.z, R2, R5.y;
CMP R5.y, -R4.z, R3, R3.z;
CMP R5.z, -R5, c[7].x, R1.y;
CMP R4.z, -R4, R5.x, R3.y;
SLT R3.z, R5.x, R5.y;
MUL R5.z, R2, R5;
MUL R3.z, R5, R3;
CMP R3.z, -R3, R5.x, R5.y;
MUL R5.y, R4, c[10].w;
MUL R5.z, R4.y, c[10].y;
MAD R4.y, R4.x, c[10].z, R5;
MAD R4.x, R4, c[10], R5.z;
COS R4.y, R4.y;
SIN R4.x, R4.x;
FRC R4.xy, R4;
ABS R3.y, R4;
ABS R4.x, R4;
MAX R5.x, R4, R3.y;
SLT R6.x, R5, R4.z;
MUL R4.y, R2.z, R6.x;
CMP R3.z, -R4.y, R4, R3;
ABS R3.y, R0;
ABS R4.x, R0;
MAX R5.y, R4.x, R3;
MIN R5.z, R4.x, R3.y;
RCP R5.y, R5.y;
MUL R5.y, R5.z, R5;
MUL R5.z, R5.y, R5.y;
CMP R4.y, -R4, R5.x, R4.z;
SLT R5.w, R5.x, R3.z;
MAD R6.y, R5.z, c[15].x, c[15];
ABS R6.z, R6.x;
MAD R6.x, R6.y, R5.z, -c[15].z;
CMP R6.y, -R6.z, c[7].x, R1;
MUL R6.y, R2.z, R6;
MAD R6.x, R6, R5.z, c[15].w;
MAD R2.z, R6.x, R5, -c[16].x;
MAD R2.z, R2, R5, c[16].y;
MUL R5.w, R6.y, R5;
CMP R5.z, -R5.w, R5.x, R3;
MUL R3.z, R2, R5.y;
ADD R2.z, -R3, c[16];
ADD R4.x, R4, -R3.y;
CMP R4.x, -R4, R2.z, R3.z;
ADD R3.z, -R4.x, c[16].w;
CMP R3.z, R0.y, R3, R4.x;
MOV R2.z, c[17].y;
MUL R4.x, R2.z, c[6];
CMP R4.z, R0.x, -R3, R3;
ADD R4.y, R5.z, -R4;
MAD R2.z, R4, c[17].x, R4.x;
ADD R3.z, R4.y, -c[11].w;
MUL R4.y, R3.z, c[12].x;
FLR R2.z, R2;
MUL R3.z, R2, c[17];
POW R2.z, c[9].x, R4.y;
MAD R4.y, R4.z, c[11].z, -R4.x;
SIN R3.z, R3.z;
MAD R4.z, R4, c[18].y, R4.x;
FLR R4.y, R4;
MUL R4.x, R4.y, c[17].z;
FLR R4.y, R4.z;
MUL R3.z, R3, c[17].w;
FRC R4.z, R3;
SIN R4.x, R4.x;
MUL R4.y, R4, c[17].z;
MUL R4.x, R4, c[17].w;
SIN R4.y, R4.y;
FRC R4.x, R4;
MUL R4.y, R4, c[17].w;
MUL R4.x, R4, c[18].w;
FRC R4.y, R4;
MAD R4.y, R4, c[18].z, R4.x;
MAD R4.y, R4.z, c[18].x, R4;
ADD R4.x, R1.y, -c[5];
MUL R3.z, R0.y, R0.y;
MUL R3.z, R3, R4.x;
RCP R3.z, R3.z;
POW R4.y, R4.y, c[19].x;
MUL R5.x, R4.y, R3.z;
ADD R3.z, -R3.y, c[8].x;
MAD R3.y, R4.x, c[19], c[19].z;
POW R3.y, R3.z, R3.y;
MAD R3.y, R5.x, c[12], R3;
MUL R5.w, R3.y, c[8].y;
MAD R2.z, R2, c[12].y, R5.w;
CMP R2.z, -R3.x, R2, R5.w;
MAD R2.y, R2, c[12], R2.z;
CMP R2.z, -R2.x, R2.y, R2;
MAD R4.y, R3.w, c[12].z, R2.w;
MOV R4.xz, c[7].x;
ADD R4.xyz, -R4, c[0];
MUL R6.xyz, -R4.zxyw, c[8].wwxw;
MAD R6.xyz, R4.yzxw, c[8].wxww, R6;
DP3 R6.y, R0, R6;
MUL R5.xyz, -R4.yzxw, c[8].xwww;
MAD R5.xyz, R4.zxyw, c[8].wxww, R5;
DP3 R6.z, R0, R5;
DP3 R6.x, R4, c[7].xwxw;
MUL R4.xyz, R4.w, R6;
MUL R5.xy, R4.yzzw, c[12].w;
FLR R5.xy, R5;
ADD R3.xy, R5, c[7].wxzw;
MUL R3.z, R3.y, c[10].w;
MUL R4.y, R3, c[10];
MAD R3.y, R3.x, c[10].z, R3.z;
MAD R3.x, R3, c[10], R4.y;
COS R3.y, R3.y;
SIN R3.x, R3.x;
FRC R3.xy, R3;
ABS R2.y, R3.x;
MAD R3.x, R1.z, c[12].y, R2.z;
ABS R2.x, R3.y;
MAX R3.z, R2.y, R2.x;
SLT R4.z, R3, c[11];
SLT R1.z, c[7].x, R4.x;
MUL R2.y, R1.z, R4.z;
CMP R3.y, -R2, R3.z, c[11].z;
ABS R2.x, R4.z;
CMP R4.y, -R2.x, c[7].x, R1;
MUL R2.y, R5, c[10];
MUL R2.x, R5.y, c[10].w;
CMP R1.x, -R1, R3, R2.z;
MAD R5.z, R5.x, c[10].x, R2.y;
MAD R2.x, R5, c[10].z, R2;
COS R2.y, R2.x;
SIN R2.x, R5.z;
FRC R2.xy, R2;
MUL R5.z, R1, R4.y;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R4.y, R2.x, R2;
SLT R6.x, R4.y, R3.y;
MUL R2.x, R4.z, R5.z;
CMP R2.x, -R2, R3.z, c[11].z;
MUL R3.z, R1, R6.x;
CMP R4.z, -R3, R3.y, R2.x;
ABS R2.y, R6.x;
CMP R2.x, -R2.y, c[7], R1.y;
MUL R6.x, R1.z, R2;
ADD R2.xy, R5, c[8].xwzw;
SLT R5.z, R4.y, R4;
MUL R5.z, R6.x, R5;
CMP R3.y, -R3.z, R4, R3;
MUL R6.x, R2.y, c[10].w;
MUL R6.y, R2, c[10];
MAD R2.y, R2.x, c[10].z, R6.x;
MAD R2.x, R2, c[10], R6.y;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R3.z, R2.x, R2.y;
SLT R6.x, R3.z, R3.y;
CMP R2.x, -R5.z, R4.y, R4.z;
MUL R4.y, R1.z, R6.x;
CMP R4.z, -R4.y, R3.y, R2.x;
ABS R2.y, R6.x;
CMP R2.x, -R2.y, c[7], R1.y;
MUL R6.x, R1.z, R2;
ADD R2.xy, R5, c[11];
SLT R5.z, R3, R4;
MUL R5.z, R6.x, R5;
CMP R3.y, -R4, R3.z, R3;
MUL R6.x, R2.y, c[10].w;
MUL R6.y, R2, c[10];
MAD R2.y, R2.x, c[10].z, R6.x;
MAD R2.x, R2, c[10], R6.y;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R4.y, R2.x, R2;
SLT R6.x, R4.y, R3.y;
CMP R2.x, -R5.z, R3.z, R4.z;
MUL R3.z, R1, R6.x;
CMP R4.z, -R3, R3.y, R2.x;
ABS R2.y, R6.x;
CMP R2.x, -R2.y, c[7], R1.y;
MUL R6.x, R1.z, R2;
ADD R2.xy, R5, c[8].wxzw;
SLT R5.z, R4.y, R4;
MUL R5.z, R6.x, R5;
CMP R3.z, -R3, R4.y, R3.y;
MUL R6.x, R2.y, c[10].w;
MUL R6.y, R2, c[10];
MAD R2.y, R2.x, c[10].z, R6.x;
MAD R2.x, R2, c[10], R6.y;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R3.y, R2.x, R2;
SLT R6.x, R3.y, R3.z;
CMP R2.x, -R5.z, R4.y, R4.z;
MUL R4.y, R1.z, R6.x;
CMP R5.z, -R4.y, R3, R2.x;
ABS R2.y, R6.x;
CMP R2.x, -R2.y, c[7], R1.y;
MUL R6.x, R1.z, R2;
ADD R2.xy, R5, c[8].x;
SLT R4.z, R3.y, R5;
MUL R5.x, R6, R4.z;
CMP R4.y, -R4, R3, R3.z;
MUL R4.z, R2.y, c[10].w;
MUL R5.y, R2, c[10];
MAD R2.y, R2.x, c[10].z, R4.z;
MAD R2.x, R2, c[10], R5.y;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R4.z, R2.x, R2.y;
SLT R2.y, R4.z, R4;
CMP R2.x, -R5, R3.y, R5.z;
MUL R6.x, R1.z, R2.y;
CMP R6.y, -R6.x, R4, R2.x;
ABS R3.x, R2.y;
MAD R2.y, R3.w, c[8].z, R2.w;
CMP R2.w, -R3.x, c[7].x, R1.y;
MOV R2.xz, c[7].x;
ADD R2.xyz, -R2, c[0];
MUL R3.xyz, -R2.zxyw, c[8].wwxw;
MAD R3.xyz, R2.yzxw, c[8].wxww, R3;
DP3 R3.y, R0, R3;
MUL R5.xyz, -R2.yzxw, c[8].xwww;
MAD R5.xyz, R2.zxyw, c[8].wxww, R5;
DP3 R3.x, R2, c[7].xwxw;
DP3 R3.z, R0, R5;
MUL R0.xyz, R4.w, R3;
MAD R0.zw, R0.xyyz, c[9].y, R0.w;
FLR R0.zw, R0;
ADD R2.xy, R0.zwzw, c[7].wxzw;
MUL R1.z, R1, R2.w;
SLT R6.z, R4, R6.y;
MUL R0.y, R1.z, R6.z;
CMP R1.z, -R0.y, R4, R6.y;
CMP R0.y, -R6.x, R4.z, R4;
MUL R2.z, R2.y, c[10].w;
MUL R2.w, R2.y, c[10].y;
MAD R2.y, R2.x, c[10].z, R2.z;
MAD R2.x, R2, c[10], R2.w;
ADD R0.y, R1.z, -R0;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R1.z, R2.y;
ABS R2.x, R2;
MAX R3.x, R2, R1.z;
SLT R3.y, R3.x, c[11].z;
ADD R1.z, R0.y, -c[11].w;
SLT R0.y, c[7].x, R0.x;
MUL R2.y, R0, R3;
CMP R2.z, -R2.y, R3.x, c[11];
ABS R2.x, R3.y;
CMP R2.w, -R2.x, c[7].x, R1.y;
MUL R2.y, R0.w, c[10];
MUL R2.x, R0.w, c[10].w;
MAD R3.z, R0, c[10].x, R2.y;
MAD R2.x, R0.z, c[10].z, R2;
COS R2.y, R2.x;
SIN R2.x, R3.z;
FRC R2.xy, R2;
MUL R3.z, R0.y, R2.w;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R2.w, R2.x, R2.y;
SLT R3.w, R2, R2.z;
MUL R2.x, R3.y, R3.z;
CMP R2.x, -R2, R3, c[11].z;
MUL R3.x, R0.y, R3.w;
CMP R3.y, -R3.x, R2.z, R2.x;
ABS R2.y, R3.w;
CMP R2.x, -R2.y, c[7], R1.y;
MUL R3.w, R0.y, R2.x;
ADD R2.xy, R0.zwzw, c[8].xwzw;
SLT R3.z, R2.w, R3.y;
MUL R3.z, R3.w, R3;
CMP R2.z, -R3.x, R2.w, R2;
MUL R3.w, R2.y, c[10];
MUL R4.y, R2, c[10];
MAD R2.y, R2.x, c[10].z, R3.w;
MAD R2.x, R2, c[10], R4.y;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R3.x, R2, R2.y;
SLT R3.w, R3.x, R2.z;
CMP R2.x, -R3.z, R2.w, R3.y;
MUL R2.w, R0.y, R3;
CMP R3.y, -R2.w, R2.z, R2.x;
ABS R2.y, R3.w;
CMP R2.x, -R2.y, c[7], R1.y;
MUL R3.w, R0.y, R2.x;
ADD R2.xy, R0.zwzw, c[11];
SLT R3.z, R3.x, R3.y;
MUL R3.z, R3.w, R3;
CMP R2.z, -R2.w, R3.x, R2;
MUL R3.w, R2.y, c[10];
MUL R4.y, R2, c[10];
MAD R2.y, R2.x, c[10].z, R3.w;
MAD R2.x, R2, c[10], R4.y;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R2.w, R2.x, R2.y;
SLT R3.w, R2, R2.z;
CMP R2.x, -R3.z, R3, R3.y;
MUL R3.y, R0, R3.w;
CMP R3.x, -R3.y, R2.z, R2;
ABS R2.y, R3.w;
CMP R2.x, -R2.y, c[7], R1.y;
MUL R3.w, R0.y, R2.x;
ADD R2.xy, R0.zwzw, c[8].wxzw;
SLT R3.z, R2.w, R3.x;
MUL R3.z, R3.w, R3;
ADD R0.zw, R0, c[8].x;
CMP R2.z, -R3.y, R2.w, R2;
MUL R4.y, R2, c[10];
MUL R3.w, R2.y, c[10];
MAD R2.y, R2.x, c[10].z, R3.w;
MAD R2.x, R2, c[10], R4.y;
COS R2.y, R2.y;
SIN R2.x, R2.x;
FRC R2.xy, R2;
ABS R2.y, R2;
ABS R2.x, R2;
MAX R2.x, R2, R2.y;
CMP R2.y, -R3.z, R2.w, R3.x;
SLT R3.y, R2.x, R2.z;
MUL R2.w, R0.y, R3.y;
CMP R2.y, -R2.w, R2.z, R2;
ABS R3.x, R3.y;
CMP R3.y, -R3.x, c[7].x, R1;
CMP R2.z, -R2.w, R2.x, R2;
SLT R3.x, R2, R2.y;
MUL R3.y, R0, R3;
MUL R3.x, R3.y, R3;
MUL R3.z, R0.w, c[10].y;
MUL R3.y, R0.w, c[10].w;
MAD R0.w, R0.z, c[10].z, R3.y;
MAD R0.z, R0, c[10].x, R3;
COS R0.w, R0.w;
SIN R0.z, R0.z;
FRC R0.zw, R0;
ABS R0.w, R0;
ABS R0.z, R0;
MAX R2.w, R0.z, R0;
CMP R0.z, -R3.x, R2.x, R2.y;
SLT R0.w, R2, R2.z;
ABS R2.y, R0.w;
MUL R2.x, R0.y, R0.w;
CMP R0.w, -R2.x, R2.z, R0.z;
CMP R1.y, -R2, c[7].x, R1;
MUL R0.y, R0, R1;
SLT R0.z, R2.w, R0.w;
MUL R0.z, R0.y, R0;
CMP R0.z, -R0, R2.w, R0.w;
CMP R0.y, -R2.x, R2.w, R2.z;
ADD R0.z, R0, -R0.y;
MUL R0.y, R1.z, c[12].x;
ADD R0.z, R0, -c[11].w;
POW R0.y, c[9].x, R0.y;
MAD R0.y, R0, c[12], R1.x;
MUL R0.w, R0.z, c[12].x;
CMP R0.z, -R4.x, R0.y, R1.x;
POW R0.y, c[9].x, R0.w;
MAD R0.y, R0, c[12], R0.z;
ADD R0.w, -R1, c[8].x;
CMP R0.x, -R0, R0.y, R0.z;
MUL R1.xyz, R0.w, c[1];
MAX R0.x, R0, R5.w;
MAD R1.xyz, R1.w, c[2], R1;
MUL result.color.xyz, R1, R0.x;
MOV result.depth.z, c[7].y;
MOV result.color.w, c[7].x;
END
# 799 instructions, 7 R-regs
"
}

SubProgram "d3d9 " {
Keywords { }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [iPrimaryColor]
Vector 2 [iSkyColor]
Float 3 [iFloorHeight]
Float 4 [iCeilingHeight]
Float 5 [iIntensity]
Float 6 [iIntensityTime]
"ps_3_0
; 289 ALU, 11 FLOW
def c7, -0.01348047, 0.05747731, -0.12123910, 0.19563590
def c8, -0.33299461, 0.99999559, 1.57079601, 3.14159298
def c9, 1.70000005, 16.00000000, 1.76821101, 0.50000000
def c10, 6.28318501, -3.14159298, 547.89001465, 4.00000000
def c11, 8.00000000, 0.25000000, 0.12500000, 5.00000000
def c12, 1.00000000, 0.00000000, 30.00000000, 11.00000000
def c13, 0.10000000, 2.00000000, -5000.00000000, 5000.00000000
def c14, 0.00000000, -1.00000000, 2.00000000, 25000.00000000
defi i0, 5, 0, 1, 0
def c15, 0.00030000, 0.00010000, 180.00000000, -3.00000000
def c16, 4.40000010, 100.00000000, 500.00000000, 48.00000000
defi i1, 255, 0, 1, 0
def c17, 0.15915491, 0.50000000, 250.00000000, -0.02000000
def c18, -100.00000000, 2.71828198, 0.99989998, 0
dcl_texcoord1 v0.xyz
add r0.xyz, v0, -c0
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul r1.xyz, r0.w, r0
abs r1.w, r1.y
abs r0.x, r1
max r0.y, r0.x, r1.w
rcp r0.z, r0.y
min r0.y, r0.x, r1.w
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
add r0.x, r0, -r1.w
mad r0.w, r0.z, c7.x, c7.y
mad r0.w, r0, r0.z, c7.z
mad r0.w, r0, r0.z, c7
mad r0.w, r0, r0.z, c8.x
mad r0.z, r0.w, r0, c8.y
mul r0.y, r0.z, r0
add r0.z, -r0.y, c8
cmp r0.x, -r0, r0.y, r0.z
add r0.y, -r0.x, c8.w
cmp r0.x, r1.y, r0, r0.y
mov r0.z, c6.x
mul r2.y, c9.x, r0.z
cmp r2.x, r1, r0, -r0
mad r0.x, r2, c9.y, r2.y
frc r0.y, r0.x
add r0.x, r0, -r0.y
mad r0.x, r0, c9.z, c9.w
frc r0.x, r0
mad r2.z, r0.x, c10.x, c10.y
sincos r0.xy, r2.z
mad r0.z, r2.x, c11.x, -r2.y
mul r3.x, r0.y, c10.z
frc r0.y, r0.z
add r0.z, r0, -r0.y
mad r0.x, r2, c10.w, r2.y
frc r0.y, r0.x
add r0.x, r0, -r0.y
mad r0.z, r0, c9, c9.w
frc r0.y, r0.z
mad r0.x, r0, c9.z, c9.w
mad r2.y, r0, c10.x, c10
frc r2.x, r0
sincos r0.xy, r2.y
mad r0.x, r2, c10, c10.y
sincos r2.xy, r0.x
mul r0.x, r0.y, c10.z
frc r0.y, r0.x
mul r0.x, r2.y, c10.z
frc r0.x, r0
mul r0.y, r0, c11
mad r0.y, r0.x, c9.w, r0
frc r0.x, r3
mad r2.x, r0, c11.z, r0.y
pow r0, r2.x, c11.w
mov r0.y, c5.x
add r2.y, c12.x, -r0
mov r2.z, r0.x
mul r2.x, r1.y, r1.y
add r1.w, -r1, c12.x
mad r2.w, r2.y, c12.z, c12
pow r0, r1.w, r2.w
mul r0.y, r2.x, r2
mov r0.z, r0.x
rcp r0.y, r0.y
mul r0.x, r2.z, r0.y
mad r0.x, r0, c13, r0.z
mul r0.x, r0, c13.y
mov r0.y, c3.x
add r0.w, c13.z, r0.y
mov r1.w, r0.x
mov r4.y, r0.x
mov r0.xz, c12.y
mov r0.y, r0.w
add r0.xyz, -r0, c0
dp3 r0.x, r0, c14.xyxw
rcp r2.x, r1.y
add r0.y, -r0.w, c4.x
mul r0.x, r0, r2
cmp r3.z, -r0.x, c12.x, c12.y
add r0.y, r0, c13.w
mad r3.w, r3.z, r0.y, r0
mad r4.x, r3.z, c14.z, c14.y
mov r4.z, c12.y
loop aL, i0
mul r0.y, r4.z, r4.x
mov r0.xz, c12.y
mad r0.y, r0, c14.w, r3.w
add r0.xyz, -r0, c0
mul r2.xyz, -r0.zxyw, c12.yyxw
mad r2.xyz, r0.yzxw, c12.yxyw, r2
dp3 r2.y, r2, r1
mul r5.xyz, -r0.yzxw, c12.xyyw
mad r5.xyz, r0.zxyw, c12.yxyw, r5
dp3 r2.z, r1, r5
rcp r0.w, r1.y
dp3 r2.x, r0, c14.xyxw
mul r0.xyz, r2, r0.w
if_gt r0.x, c12.y
mov r0.x, c6
add r0.w, r4.z, c15
add r0.x, c15.z, r0
mul r0.x, r0, r0.w
mul r0.w, r0.x, c16.x
mad r0.x, r4.z, c15, c15.y
mad r0.xy, r0.yzzw, r0.x, r0.w
frc r0.zw, r0.xyxy
add r3.xy, r0, -r0.zwzw
mov r5.x, c11
mov r5.w, c11.x
mov r4.w, c12.y
loop aL, i1
break_gt r4.w, c12.x
mov r0.y, r4.w
mov r0.x, c14.y
add r0.xy, r3, r0
mul r0.z, r0.y, c16.w
mad r0.z, r0.x, c17, r0
mul r0.y, r0, c16
mad r0.x, r0, c16.z, r0.y
mad r0.y, r0.z, c17.x, c17
frc r0.y, r0
mad r0.x, r0, c17, c17.y
frc r0.x, r0
mad r2.x, r0.y, c10, c10.y
mad r5.y, r0.x, c10.x, c10
sincos r0.xy, r2.x
sincos r2.xy, r5.y
mov r0.y, r0.x
mov r0.x, r2.y
frc r0.xy, r0
abs r0.y, r0
abs r0.x, r0
max r5.y, r0.x, r0
add r5.z, r5.y, -r5.x
cmp r0.z, r5, r5.w, r5.x
add r0.x, r5.y, -r5
add r0.y, r5, -r0.z
cmp r0.x, r0, c12.y, c12
abs_pp r0.x, r0
cmp r5.x, r5.z, r5, r5.y
cmp r0.y, r0, c12, c12.x
cmp_pp r0.x, -r0, c12, c12.y
mul_pp r0.w, r0.x, r0.y
cmp r5.w, -r0, r0.z, r5.y
mov r0.y, r4.w
mov r0.x, c12.y
add r0.xy, r3, r0
mul r0.z, r0.y, c16.w
mad r0.z, r0.x, c17, r0
mul r0.y, r0, c16
mad r0.x, r0, c16.z, r0.y
mad r0.y, r0.z, c17.x, c17
frc r0.y, r0
mad r0.x, r0, c17, c17.y
frc r0.x, r0
mad r2.x, r0.y, c10, c10.y
mad r6.x, r0, c10, c10.y
sincos r0.xy, r2.x
sincos r2.xy, r6.x
mov r0.y, r0.x
mov r0.x, r2.y
frc r0.xy, r0
abs r0.y, r0
abs r0.x, r0
max r5.y, r0.x, r0
add r5.z, r5.y, -r5.x
cmp r0.z, r5, r5.w, r5.x
add r0.x, r5.y, -r5
add r0.y, r5, -r0.z
cmp r0.x, r0, c12.y, c12
abs_pp r0.x, r0
cmp r0.y, r0, c12, c12.x
cmp_pp r0.x, -r0, c12, c12.y
mul_pp r0.w, r0.x, r0.y
mov r0.y, r4.w
mov r0.x, c12
add r0.xy, r3, r0
cmp r5.w, -r0, r0.z, r5.y
mul r0.z, r0.y, c16.w
mad r0.z, r0.x, c17, r0
mul r0.y, r0, c16
mad r0.x, r0, c16.z, r0.y
mad r0.y, r0.z, c17.x, c17
frc r0.y, r0
mad r0.x, r0, c17, c17.y
frc r0.x, r0
mad r2.x, r0.y, c10, c10.y
mad r6.x, r0, c10, c10.y
sincos r0.xy, r2.x
sincos r2.xy, r6.x
cmp r0.z, r5, r5.x, r5.y
mov r0.y, r0.x
mov r0.x, r2.y
frc r0.xy, r0
abs r0.y, r0
abs r0.x, r0
max r0.x, r0, r0.y
add r0.y, r0.x, -r0.z
cmp r2.x, r0.y, r5.w, r0.z
add r0.w, r0.x, -r0.z
cmp r0.w, r0, c12.y, c12.x
add r2.y, r0.x, -r2.x
abs_pp r0.w, r0
cmp r2.y, r2, c12, c12.x
cmp_pp r0.w, -r0, c12.x, c12.y
mul_pp r0.w, r0, r2.y
cmp r5.w, -r0, r2.x, r0.x
cmp r5.x, r0.y, r0.z, r0
add r4.w, r4, c12.x
endloop
add r0.x, r5.w, -r5
add r0.x, r0, c17.w
mul r2.x, r0, c18
pow r0, c18.y, r2.x
mad r1.w, r0.x, c13.x, r1
endif
add r4.z, r4, c12.x
endloop
add r0.x, -r3.z, c12
mul r1.xyz, r0.x, c1
max r0.x, r1.w, r4.y
mad r1.xyz, r3.z, c2, r1
mul oC0.xyz, r1, r0.x
mov oC0.w, c12.y
mov oDepth, c18.z
"
}

}

#LINE 207

		}
	} 
	FallBack "Diffuse"
}
